<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    U.startTransactionIfNoContext( request, response, "qm_start", "" );
%>

<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
    String pageBundle = AssetManager.basicBundle(session, application, request);
%>

<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

     String stStyle = "";
%>

<script >
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "qm_autentica";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
        aggiungiEventoOnchangeAComboLanguage();
        setFocus( "AUTH_logon" );
  const navigationMenu = document.getElementById("xMenu1")
  navigationMenu.style.display = "none"
}
//
// per non incasinare i controlli, aggiungo l'onChange alla combo delle location
// in maniera programmatica
//
function aggiungiEventoOnchangeAComboLanguage() {
    document.getElementById( "AUTH_language" ).onchange = OnChangeCboLanguage;
}
function OnChangeCboLanguage() {
    startTransaction('qm_language_selector', '');
}
</script>

<script>
document.addEventListener('DOMContentLoaded', function() {
  const loginButton = document.getElementById('loginButton');
  
  document.addEventListener('keydown', function(event) {
    if (event.key === 'Enter') {
      loginButton.click();
    }
  });
});
</script>

<center>
<div class="qm-auth L-column L-gap-24">
  <h1><%= oDec.k("logon_title") %></h1>
    
    <div class="qm-auth-input">
      <label for="AUTH_logon"><%= oDec.k("logon_login") %></label>
      <%= oH.autocompletableTextBox( "AUTH_logon",  true, stStyle, 50 ) %>
    </div>

    <div class="qm-auth-input">
      <label for="AUTH_password"><%= oDec.k("logon_pass") %></label>
      <%= oH.password( "AUTH_password", true, stStyle, 50 ) %>
    </div>

    <%= oH.combo("AUTH_language", true, stStyle, oC.getLt( "LANG_languages"), 0, 1, "" ) %>
    
    <%= oH.hidden( "AUTH_url") %>
    <%= oH.hidden( "AUTH_url_sig") %>

    <INPUT TYPE='submit' name="login" id="loginButton" CLASS='qm-login Q-button-primary' data-verb="qm_autentica" VALUE="<%= oDec.k("logon_btn") %>">

  <%@ include file="/includes/lic_error.jspf" %>

<%= oC.getS("AUTH_sso_html") %>

<p>
<%= lP.getSplashWithExpiryMessage() %>
</div>
</center>


<%@ include file="/includes/00_page_footer.jspf" %>