<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%
    // $Id: dbtest_ami_choose.jsp,v 1.2 2015/09/28 08:41:16 marcos Exp $
    String stW = "";
%>

<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>

<script>
    function select( u, p, srv, po ) {
        var url = "dbtest_ami_run.do"
                + "?DBTEST_ami_login=" + u
                + "&DBTEST_ami_pass=" + p
                + "&DBTEST_ami_srv=" + srv
                + "&DBTEST_ami_port=" + po;
        location.href=url;
    }

    function manualTest() {
        select(
            $( "#DBTEST_ami_login").val(),
            $( "#DBTEST_ami_pass").val(),
            $( "#DBTEST_ami_srv").val(),
            $( "#DBTEST_ami_port").val()
        );
    }

</script>

<div class="qm-form-body L-column L-gap-24 L-padding-32">
  <h2>Test Asterisk Manager connectivity and dialplan</h2>
  <h3>AMI configuration currently found</h3>

    <%
        String platform = oC.getS("DBTEST_ami_queue_platform");
        if(platform.contains("LIVE")){
            out.println("<h5 class=\"L-error\" style=\"margin: 0;\">Warning: The AMI tester is only useful if your platform is DIRECTAMI. The current platform is " + platform + ".</h5>");
        }
    %>

    <%
        SmartTable T = new SmartTable("x1", oC.getLt("DBTEST_ami_chooser") );
        T.setDecoder(oDec);
        T.addColumn("Property", 0, "50");
        T.addColumn("Manager",  1, "400");
        T.addColumn("&nbsp;",   2, "50");
        T.withTableClass( "qm-table Q-table qm-table-withborder" );
        out.println(T.render());
    %>


  <div class="L-width-25 L-column L-gap-16 L-padding-32 L-border L-border-radius-2">
    <h3>Test manually</h3>
    <div class="L-column L-gap-16">
        <div class="L-column L-gap-8">
            <label for="">AMI login</label>
            <%= oH.textBox( "DBTEST_ami_login",  true, stW, 100 ) %>
        </div>
            
        <div class="L-column L-gap-8">
            <label for="">AMI password</label>
            <%= oH.textBox( "DBTEST_ami_pass",  true, stW, 100 ) %>
        </div>
        
        <div class="L-column L-gap-8">
            <label for="">Asterisk server</label>
            <%= oH.textBox( "DBTEST_ami_srv",  true, stW, 100 ) %>
        </div>
        
        <div class="L-column L-gap-8">
            <label for="">AMI port</label>
            <%= oH.textBox( "DBTEST_ami_port",  true, stW, 6) %>
        </div>
        
        <div class="L-justify-flexend">
            <input class="Q-button-primary" type="button" onclick="manualTest()" value="Test">
        </div>
    </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

