<%@ page language="java" %>
<%@page pageEncoding="UTF-8"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.SafeHtmlDecor" %>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>

<div class="qm-form-body L-padding-32">
  <div class="L-column">
    <h2>AMI tester</h2>

    <ul class="loway-accordion">
        <li>
            <div class="loway-accordion-header L-pointer L-row L-justify-spacebetween" >
                <a class="loway-accordion-title" href="#">AMI test status</a>
                <div class="loway-accordion-icon">+</div>
            </div>
            <div class="loway-accordion-content open">
            <%
                    SmartTable T = new SmartTable("x1", oC.getLt("DBTEST_ami_results") );
                    T.setDecoder(oDec);
                    T.addColumn("Status", 0, "50", new SafeHtmlDecor());
                    T.addColumn("&nbsp;", 1, "600", new SafeHtmlDecor());
                    T.withTableClass( "qm-table qm-table-withborder Q-table L-width-100 qm-dbtest_ami_results" );
                    out.println(T.render());
                %>
            </div>
        </li>
    </ul>
    <ul class="loway-accordion">
        <li>
            <div class="loway-accordion-header L-pointer L-row L-justify-spacebetween" >
                <a class="loway-accordion-title" href="#">Configured Dialplan</a>
                <div class="loway-accordion-icon">+</div>
            </div>
            <div class="loway-accordion-content">
            <%
                    T = new SmartTable("x2", oC.getLt("DBTEST_ami_dialplan") );
                    T.setDecoder(oDec);
                    T.addColumn("Name", 0, "250", new SafeHtmlDecor());
                    T.addColumn("Value", 1, "300", new SafeHtmlDecor());
                    T.withTableClass( "qm-table qm-table-withborder Q-table L-width-100" );
                    out.println(T.render());
            %>
            </div>
        </li>
    </ul>
    <ul class="loway-accordion">
        <li>
            <div class="loway-accordion-header L-pointer L-row L-justify-spacebetween" >
                <a class="loway-accordion-title" href="#">Configured Queues</a>
                <div class="loway-accordion-icon">+</div>
            </div>
            <div class="loway-accordion-content">
            <%
                T = new SmartTable("x3", oC.getLt("DBTEST_ami_queues") );
                T.setDecoder(oDec);
                T.addColumn("Queue", 2, "150", new SafeHtmlDecor());
                T.addColumn("Value", 1, "500", new SafeHtmlDecor());
                T.withTableClass( "qm-table qm-table-withborder Q-table L-width-100" );
                out.println(T.render());
            %>
            </div>
        </li>
    </ul>
    <ul class="loway-accordion">
        <li>
            <div class="loway-accordion-header L-pointer L-row L-justify-spacebetween" >
                <a class="loway-accordion-title" href="#">Configured Agents</a>
                <div class="loway-accordion-icon">+</div>
            </div>
            <div class="loway-accordion-content">
            <%
                T = new SmartTable("x3", oC.getLt("DBTEST_ami_agents") );
                T.setDecoder(oDec);
                T.addColumn("Queue", 2, "150", new SafeHtmlDecor());
                T.addColumn("Value", 1, "500", new SafeHtmlDecor());
                T.withTableClass( "qm-table qm-table-withborder Q-table L-width-100" );
                out.println(T.render());
            %>
            </div>
        </li>
    </ul>

</div>

<%@ include file="/includes/00_page_footer.jspf" %>
