<%@page import="it.loway.app.queuemetrics.asterisk.logs.analyzers.cache.SqlCache"%>
<%@page import="it.loway.app.queuemetrics.asterisk.logs.analyzers.cache.QlogSingletonHandler"%>
<%@page import="it.loway.app.queuemetrics.asterisk.logs.analyzers.cache.PropsCache"%>
<%@page import="ch.loway.app.queuemetrics.reports.live.Presentialist"%>

<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.analyzers.calls.intern.Interner" %>
<%@ page import="ch.loway.app.queuemetrics.backend.QmTracker" %>

<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>

<div class="qm-form-body L-padding-32 L-column L-gap-24">
  <div class="L-row L-justify-spacebetween L-align-center">
    <h2 style="margin: 0;">RAM caching</h2>
    <%
        QlogSingletonHandler handler = QlogSingletonHandler.getInstance();
        SqlCache cache = SqlCache.getInstance();
        PropsCache propsCache = PropsCache.getInstance();
        Presentialist prez = Presentialist.getInstance();

        if ( oC.getS( K.REQ_PARAM ).equalsIgnoreCase( "cleanup") ) {
            handler.reset();
            cache.reset();
            Interner.reset();
            propsCache.reset();
            prez.reset();
        }
    %>

    <div class="L-flex-1 L-justify-flexend L-gap-16">
      <%= oH.buttonScript( "Clean caches", true, "", "window.location='dbtest_cache.do?cleanup'", "Q-button-secondary" ) %>
      <%= oH.buttonScript( "Reload", true, "", "window.location='dbtest_cache.do?reload'", "Q-button-secondary" ) %>
    </div>
  </div>

  <!-- Tab Navigation -->
  <ul id="tabs-menu" class="loway-tabs" role="tablist">
    <li class="loway-tab-item active" role="tab" aria-selected="true" data-tab-target="#tab1">
      <a href="#">Log cache usage</a>
    </li>
    <li class="loway-tab-item" role="tab" aria-selected="false" data-tab-target="#tab2">
      <a href="#">Service threads</a>
    </li>
  </ul>

  <!-- Tab Content -->
  <div class="loway-tab-content">
    <!-- Tab 1 Content -->
    <div id="tab1" class="loway-tab-panel active" role="tabpanel">
      <li class="L-column L-gap-24">
        <div class="L-column L-gap-8">
          <label>
              Log cache usage
          </label>
          <pre><%= Str.safeHtml(handler.getStats()) %></pre>
        </div>

        <div class="L-column L-gap-8">
          <label>
            Real-time caching
          </label>
          <pre><%= Str.safeHtml( prez.readableStats() )  %></pre>
        </div>

        <div class="L-column L-gap-8">
          <label>
            SQL cache usage
          </label>
          <pre><%= Str.safeHtml(cache.getStats() )  %></pre>
        </div>

        <div class="L-column L-gap-8">
          <label>
          Other caches
          </label>
          <pre><%
            out.println( "Cached strings: " + Interner.getCachedEntries() );
            out.println( "Cached properties: " + propsCache.load(application).keySet().size() );
          %></pre>
        </div>
      </li>
    </div>

    <!-- Tab 2 Content -->
    <div id="tab2" class="loway-tab-panel" role="tabpanel">
      <ol class="L-column L-gap-24">
        <%
            for ( String l: QmTracker.currentState() ) {
                out.println( "<li><pre>" + l  + "</pre></li>");
            }
        %>
      </ol>
    </div>
  </div>
  
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
