<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>

<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
    String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>

<%
    String stW = "";

    LTable ltQ = new LTable();
    ltQ.putS(0, 0, "L" );  ltQ.putS(0, 1, "List mode" );
    ltQ.putS(1, 0, "S" );  ltQ.putS(1, 1, "Split mode" );
%>

<style>

.inspector-table td.stData {
    padding: 5px;
    font-size: 70%;
}
</style>


<script>
var activeTimeout;

function qryPage() {
    qry( $( "#DBTEST_qry_mode").val(),
         $( "#DBTEST_qry_query").val(),
         $( "#DBTEST_qry_part").val()
    );
}


function qry( mode, query, part) {

    $.ajax( {
        type:        "post",
        url:         "./dbtest_inspect_search_ajax.do",
        contentType: "application/x-www-form-urlencoded; charset=<%= K.ENCODING_UTF8 %>",
        dataType:    "json",
        data: {
            'TPF_VERBO': "dbtest_inspect_search_ajax",
            'TPF_XPAR1': '',
            'DBTEST_qry_mode': mode,
            'DBTEST_qry_query': query,
            'DBTEST_qry_part': part
        },
        success: function(resp) {
            setupJson( resp );
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            //alert(XMLHttpRequest.responseText);
            //logS( XMLHttpRequest.responseText );
            $( "#frame_ora" )
                .html( "!!Error!!" )
                .bind( 'click', function() { alert(XMLHttpRequest.responseText); });
        }
    });
}

function setupJson( data ) {
    $( "#topBox" ).html( data['tab_A'] );
    $( "#bottomBox" ).html( data['tab_B'] );
    $( "#partBox").html( data['tab_part'] );
    $( "#imgBox" ).html( data['imgGoog'] );
    $( "#dataOra" ).html( data['dataOra'] );

    var reload = parseInt( $( "#DBTEST_qry_reload" ).val() );
    if ( reload > 0 ) {
        activeTimeout = setTimeout( "qryPage()", reload * 1000 );
    }
}

document.addEventListener('DOMContentLoaded', function() {
  var elements = ["#DBTEST_qry_mode", "#DBTEST_qry_query", "#DBTEST_qry_part", "#DBTEST_qry_reload"];
  
  elements.forEach(function(selector) {
    var element = document.querySelector(selector);
    if (element) {
      element.addEventListener('change', function() {
        clearTimeout(activeTimeout);
        qryPage();
      });
    }
  });

  qryPage();
});

</script>

<div class="qm-form-body L-padding-32 L-column L-gap-24">
  <div class="L-column L-gap-24">
    <div class="L-row L-justify-spacebetween L-align-center">
      <h2><%= oDec.k("home_dbtest_db_inspector") %></h2>
      <%= oH.iconButton( "Display database size" + "<span loway-icon='chevron-right'></span>" , true, "", "dbtest_table_size", "", "Q-button-tertiary") %>
    </div>
    
    <div class="L-row L-gap-32 L-align-flexstart">
      <div class="L-column L-flex-1 L-gap-24">
        <div class="L-column L-gap-8">
          <label for="DBTEST_qry_query">Search for</label>
          <div class="LSearchBar-input"><%= oH.textBox( "DBTEST_qry_query",  true, stW, 100 ) %></div>
        </div>
        <div class="L-row L-gap-16">
          <div class="L-column L-gap-8 L-flex-1">
            <label for="DBTEST_qry_mode">Query type:</label>
            <div><%= oH.combo( "DBTEST_qry_mode", true, stW, ltQ, 0, 1, "" ) %></div>
          </div>
          <div class="L-column L-gap-8 L-flex-1">
            <label for="DBTEST_qry_reload">Refresh every (sec.):</label>
            <div><%= oH.textBox( "DBTEST_qry_reload",  true, stW, 100 ) %></div>
          </div>
        </div>

        <div class="L-column L-gap-8">
          <label for="DBTEST_qry_part">Partition:</label>
          <div><%= oH.combo( "DBTEST_qry_part", true, stW, oC.getLt("DBTEST_qry_general"), 0, 0, "" ) %></div>
        </div>
      </div>
      
      <div class="L-column L-flex-1">
        
        <div id="partBox"></div>
        <div id="imgBox" ></div>
      </div>
    </div>
    <div class="L-row L-gap-8 L-flex-1 L-justify-flexend L-font-14 L-tertiary-text"> Last update: <span id="dataOra"></span>.</div>
  </div>

  <div id="topBox"></div>
  <div id="bottomBox"></div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
