<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%@ page import="it.loway.tpf.presentation.html.st.DataColumn" %>
<%@ page import="it.loway.tpf.presentation.html.st.ColumnProcessor" %>
<%@ page import="it.loway.tpf.presentation.html.st.Cell" %>

<%
    String pageBundle = AssetManager.basicBundle(session, application, request);
%>

<%@ include file="/includes/00_page_header.jspf" %>

<div class="qm-form-body L-padding-32 L-column L-gap-24">
  <div class="L-column L-gap-24">
    <div class="L-row L-justify-spacebetween L-align-center">
      <h1>QueueMetrics database size</h1>
      <%= oH.iconButton( "<span loway-icon='chevron-left'></span>" + "Back to Live Inspector", true, "", "dbtest_inspector", "", "Q-button-tertiary") %>
    </div>
  </div>


<div class="L-column L-gap-48">
  <%
  {
        ColumnProcessor numCol = DataColumn.as(Cell.Contents.NUMBER).align(Cell.Alignment.LEFT);
        ColumnProcessor floatCol = DataColumn.as(Cell.Contents.FLOAT).align(Cell.Alignment.LEFT);

        SmartTable T = new SmartTable("x1", oC.getLt("DBTEST_db_general") );
        T.setDecoder(oDec);
        T.withCol("0", "N. Tables", 0, "50", numCol, null);
        T.withCol("1", "N. Rows", 1, "50", numCol, null);
        T.withCol("2", "Data (mb)", 2, "50", floatCol, null);
        T.withCol("3", "Indexes (mb)", 3, "50", floatCol, null);
        T.withCol("4", "Space used (mb)", 4, "50", floatCol, null);
        T.withCol("5", "Est. backup (mb, gz)", 5, "50", floatCol, null);

        T.withTableClass( "qm-table Q-table qm-table-withborder" );
        out.println(T.render());
  }
  %>

  <%
  {
        ColumnProcessor txtCol = DataColumn.as(Cell.Contents.TEXT).align(Cell.Alignment.LEFT);
        ColumnProcessor txtColC = DataColumn.as(Cell.Contents.TEXT).align(Cell.Alignment.LEFT);
        ColumnProcessor numCol = DataColumn.as(Cell.Contents.NUMBER).align(Cell.Alignment.LEFT);
        ColumnProcessor floatCol = DataColumn.as(Cell.Contents.FLOAT).align(Cell.Alignment.LEFT);

        SmartTable T = new SmartTable("x2", oC.getLt("DBTEST_db_tables") );
        T.setDecoder(oDec);
        T.withCol("a", "Table", 0, "50", txtCol, null);
        T.withCol("b", "N. Rows", 1, "50", numCol, null);
        T.withCol("c", "Data (mb)", 2, "50", floatCol, null);
        T.withCol("d", "Unused (mb)", 3, "50", floatCol, null);
        T.withCol("e", "Indexes (mb)", 4, "50", floatCol, null);
        T.withCol("f", "Space used (mb)", 5, "50", floatCol, null);
        T.withCol("g", "Created", 6, "50", txtColC, null);
        T.withCol("h", "Updated", 7, "50", txtColC, null);
        T.withCol("i", "Last check", 8, "50", txtColC, null);
        T.withCol("j", "Issues?", 9, "50", txtColC, null);

        T.withTableClass( "qm-table Q-table qm-table-withborder" );
        out.println(T.render());
  }
  %>
</div>

</div>


<%@ include file="/includes/00_page_footer.jspf" %>
