<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.SafeHtmlDecor" %>

<%
    String pageBundle = AssetManager.basicBundle(session, application, request);
%>

<%@ include file="/includes/00_page_header.jspf" %>

<div class="qm-form-body L-padding-32 L-column L-gap-24">
  <div class="L-column L-gap-24">
    <h2>System configuration</h2>
    
    <!-- Tab Navigation -->
    <ul class="loway-tabs boxed" id="tabs-menu" role="tablist">
      <li class="loway-tab-item active" role="tab" aria-selected="true" data-tab-target="#tab1">
        <a href="#"><%= CS.QUEUEMETRICS %> properties</a>
      </li>
      <li class="loway-tab-item" role="tab" aria-selected="false" data-tab-target="#tab2">
        <a href="#">JVM properties</a>
      </li>
      <li class="loway-tab-item" role="tab" aria-selected="false" data-tab-target="#tab3">
        <a href="#">Current memory properties</a>
      </li>
      <li class="loway-tab-item" role="tab" aria-selected="false" data-tab-target="#tab4">
        <a href="#">HTTP Configuration</a>
      </li>
    </ul>
    <!-- Tab Content -->
    <div class="loway-tab-content">
      <!-- Tab 1 -->
      <div id="tab1" class="loway-tab-panel active" role="tabpanel">
        <% 
        SmartTable T = new SmartTable("x1", oC.getLt("DBTEST_configProps"));
        T.setDecoder(oDec);
        T.addColumn("Name", 0, "250");
        T.addColumn("Value", 1, "450");
        T.withTableClass("qm-table Q-table qm-table-striped L-width-100");
        out.println(T.render());
        %>
      </div>

      <!-- Tab 2 -->
      <div id="tab2" class="loway-tab-panel" role="tabpanel">
        <% 
        T = new SmartTable("x2", oC.getLt("DBTEST_sysJava"));
        T.setDecoder(oDec);
        T.addColumn("Name", 0, "250");
        T.addColumn("Value", 1, "300");
        T.withTableClass("qm-table Q-table qm-table-striped L-width-100");
        out.println(T.render());
        %>
      </div>

      <!-- Tab 3 -->
      <div id="tab3" class="loway-tab-panel" role="tabpanel">
        <% 
        T = new SmartTable("x3", oC.getLt("DBTEST_ramJava"));
        T.setDecoder(oDec);
        T.addColumn("Name", 0, "250");
        T.addColumn("Value", 1, "300");
        T.withTableClass("qm-table Q-table qm-table-striped L-width-100");
        out.println(T.render());
        %>
      </div>

      <!-- Tab 4 -->
      <div id="tab4" class="loway-tab-panel" role="tabpanel">
        <% 
        T = new SmartTable("x4", oC.getLt("DBTEST_http"));
        T.setDecoder(oDec);
        T.addColumn("Name", 0, "250", new SafeHtmlDecor());
        T.addColumn("Value", 1, "300", new SafeHtmlDecor());
        T.withTableClass("qm-table Q-table qm-table-striped L-width-100");
        out.println(T.render());
        %>
      </div>
    </div>
  </div>
</div>
  
<%@ include file="/includes/00_page_footer.jspf" %>
  