<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    U.startTransactionIfNoContext( request, response, "qm_start", "" );

%>

<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>

<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

     String stStyle = "";

     //Valori possibili "SHOW", "NO" o "YES"
     String stStatus = oC.getS( "APPROVELIC_status" ); 
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "qm_autentica";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
//        setFocus( "AUTH_logon" );
}
</script>


<div class="qm-form-body L-column L-gap-24">
  <h1><%=CS.QUEUEMETRICS%> license agreement</h1>
  <p style="margin: 0;">
    This agreement applies to version <%= KA.APPL_VERSIONE %> of <%=CS.QUEUEMETRICS%>
  </p>

  <div id="licAgreement" class="L-border L-border-radius-2 L-padding-16 qm-scrollbar">
    <%@ include file="licence_text.jsp" %>
  </div>

  <% if ( stStatus.equalsIgnoreCase("SHOW") ) { %>
    <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back") , true, "", "qm_licence", "", "Q-button-tertiary L-justify-flexstart" ) %>
  <% } else

  if ( stStatus.equalsIgnoreCase("YES") ) { %>
    <%= oH.button( "Continue" , true, "", "qm_start", "" ) %>
  <% } else

  if ( stStatus.equalsIgnoreCase("NO") ) { %>
    <div class="L-error">Please close this web application and disinstall <%=CS.QUEUEMETRICS%> now.</div>
  <% } else { %>

  <div class="L-row L-gap-8">
    <%= oH.button( "Yes, I agree with the terms and conditions specified" , true, "", "qm_licence_agree", "YES" ) %>
    <%= oH.button( "No, I do not agree" , true, "", "qm_licence_agree", "NO" ) %>
  </div>

  <% }; %>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
