<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%@ page import="it.loway.app.queuemetrics.gridSmartTableDecorators.*" %>
<%@ page import="it.loway.app.queuemetrics.DO.SearchQuery"%>
<%@ page import="it.loway.app.queuemetrics.payroll.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>

<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    String stWidth = "";

    SmartTable T;

    LProperties lProps = FA.props(application);

    agentSessionsDO agSessDO = new agentSessionsDO();
    agSessDO.initJsp(oC, oDec, oU, lProps, stWebHere);

    boolean bEditEnabled = oC.getS("PAYROLL_EDT_pauseEnabled").compareToIgnoreCase("true") == 0;
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>

<div class="qm-form-body L-column L-gap-24">
  <h1><%= oDec.k("prl_pauseeditorpage_title") + " (" + oC.getS("PAYROLL_EDT_PauseName") + ")" %></h1>

  <%
    T = agSessDO.dispatch( agentSessionsDO.SESSIONEDIT_PAGE_HEADER, "" );
    T.withTableClass( "qm-table Q-table qm-table-striped L-width-100" );
    out.println(T.render());
  %>

  <p>&nbsp;</p>

  <%
    GridSmartTable smT = agSessDO.dispatchWithUI( agentSessionsDO.SESSIONEDIT_DETAIL );
    out.println(smT.render());
  %>
  <small><%= (oDec.k("prl_edit_timesuggestion") + " (" + oDec.k("dateformat_time") + ") " + oDec.k("prl_edit_timesuggestion_or") + " (" + U.DATA_MYSQL + ")") %></small>
  <p>&nbsp;</p>

  <% if (!bEditEnabled) { %>
    <td><%= oDec.k("prl_invalid_pause") %></td>
    <p>&nbsp;</p>
  <% } %>

  <table>
    <tr>
      <td style='width: 80;'>&nbsp;</td>
      <td style='width: 150;'>&nbsp;</td>
      <td style='width: 150;'>&nbsp;</td>
      <td><%=oH.button( oDec.k("prl_session_move"), bEditEnabled, stWidth, "qm_payroll_pause_move", "" )%></td>
    </tr>
  </table>

  <div class="L-column L-gap-24">
    <h3 class="L-heading-divider"><%= oDec.k("prl_pauseeditorpage_pausecode_title") %></h3>
    <div class="L-row L-gap-16">
      <div class="L-width-25"><%= oH.combo( "PAYROLL_NewPauseCode", true, "", oC.getLt( "DATI_pause_codes" ), 0, 1, "" ) %></div>
      <div><%=oH.button( oDec.k("prl_pausecode_change"), bEditEnabled, stWidth, "qm_payroll_pause_codechange", "" )%></div>
    </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
