<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    //oDec.load( "statusCalls", "status_calls.txt", 0, 1);

    String stWidth = "";
%>

<script>
var page_searchPage=true;
var oUgetUserId = "<%= oU.getUserId()%>";

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  // we removed date picker
  //  $("#PAYROLL_dtInizio_date").datepicker( { dateFormat: 'yy-mm-dd' } );
  //  $("#PAYROLL_dtFine_date").datepicker( { dateFormat: 'yy-mm-dd' } );
}
</script>

<%--
<script>
function selectMeAsSupervisor() {
  var whoami = <%= oU.getUserId() %>;

  var dropdown = document.getElementById("PAYROLL_idSupervisorFilter");
  if (dropdown) {
    dropdown.value = whoami;
  }
}
</script>
--%>

<div class="qm-form-body L-column L-gap-48">
  <h1 class="L-primary-text"><%= oDec.k("prl_searchpage_title") %></h1>
  <div class="L-column L-gap-24">
    <div class="L-row L-gap-64 L-justify-spacebetween L-align-flexstart">
      <div class="left L-flex-1">
        <div class="L-column L-gap-24">
          <div class="L-row L-gap-16">
            <div class="L-column L-gap-8 L-width-100">
              <label for="PAYROLL_idLocationFiltro"><%= oDec.k("prl_location") %></label>
              <div><%= oH.combo( "PAYROLL_idLocationFiltro", true, stWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>
            </div>

            <div class="L-column L-gap-8 L-width-100">
              <label for="PAYROLL_idAgentGroupFilter"><%= oDec.k("prl_agentgroup") %></label>
              <div><%= oH.combo( "PAYROLL_idAgentGroupFilter", true, stWidth, oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>
            </div>
          </div>

          <div class="L-row L-gap-16">
            <div class="L-column L-gap-8 L-width-100">
              <label for="PAYROLL_idSupervisorFilter"><%= oDec.k("prl_supervision") %></label>
              <div class="">
                <%if (oU.hasKey( "SUPERVISOR") ) { %>
                  <%= oH.combo( "PAYROLL_idSupervisorFilter", true, "", oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %>

                  <INPUT TYPE='button' CLASS='oUhasKeySUPERVISOR Q-button-primary' VALUE="<%=oDec.k("prl_supbybe")%>" >

                <% } else { %>
                  <%= oH.combo( "PAYROLL_idSupervisorFilter", true, stWidth, oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %>
                <% } %>
              </div>
            </div>

            <div class="L-column L-gap-8 L-width-100">
            </div>
          </div>
        </div>
      </div>

      <div class="right L-flex-1">
        <div class="L-column L-gap-24">
          <div class="L-column L-gap-8">
            <label for="PAYROLL_dtInizio_date"><%= oDec.k("prl_start_date") %></label>
            <div class="qm-form-datehourpicker  "><%= FA.generaJQueryComboDataOra( "PAYROLL_dtInizio", oC,oH,true, oDec) %></div>
          </div>

          <div class="L-column L-gap-8">
            <label for="PAYROLL_dtFine_date"><%= oDec.k("prl_end_date") %></label>
            <div class="qm-form-datehourpicker  "><%= FA.generaJQueryComboDataOra( "PAYROLL_dtFine", oC,oH,true, oDec) %></div>
          </div>
        </div>
      </div>
    </div>

    <div class="L-row L-gap-8 L-justify-flexend loway-quicklinks loway-subnav" data-verb="qm_payroll_report_calc">
      <%@ include file="/includes/10_form_quicklinks.jspf" %>
    </div>

    <div class="L-justify-flexend">
      <%= oH.button( oDec.k("prl_report_calc"), true, stWidth, "qm_payroll_report_calc", "" ) %>
    </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>