<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.FA" %>
<%@ page import="java.util.*" %>
<%@ page import="it.loway.app.queuemetrics.DO.SearchQuery"%>
<%@ page import="it.loway.app.queuemetrics.payroll.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page pageEncoding="UTF-8"%>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    //oDec.load( "statusCalls", "status_calls.txt", 0, 1);

    String stWidth = "";
    SmartTable T;

    LProperties lProps = FA.props(application);

    agentSessionsDO agSessDO = new agentSessionsDO();
    agSessDO.initJsp(oC, oDec, oU, lProps, stWebHere);

    String agentCode = oC.getS("PAYROLL_AgentDetail");
%>

<script>

var page_sessionDetail = true;
var oCgetIPAYROLL_AgentDetail_GoToAnchorNotes  = <%=oC.getI("PAYROLL_AgentDetail_GoToAnchorNotes")%>;
var KENCODING_UTF8 = "<%= K.ENCODING_UTF8 %>";
var oDeckprl_delcommentsalert = "<%= oDec.k("prl_delcommentsalert") %>";
var json_sources_comments = <%@ include file="./sessionDetailAddComment_ajx_ds.jsp" %>
var oUhasKeyPAYROLL_REMOVENOTE = <%=oU.hasKey("PAYROLL_REMOVENOTE")%>;

</script>

<script >
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}

</script>

<div class="qm-form-body L-column L-gap-24">
  <h1><%= oDec.k("prl_sessiondetailpage_title") + " " + agentCode %></h1>
  <%
      T = agSessDO.dispatch( agentSessionsDO.SESSIONS_PAGE_HEADER, "" );
      T.withTableClass( "qm-table Q-table qm-table-striped L-width-100" );
      out.println(T.render());
  %>

<!-- sessions details -->
  <h3 class="L-heading-divider"><%= FA.decodificaAgenteWithIcon( agentCode, oC.getLt( "DATI_agenti" ) ) %></h3>
<%
    T = agSessDO.dispatch( agentSessionsDO.SESSIONS_DETAIL_RAW, "" );
    T.withTableClass( "qm-table Q-table qm-table-striped L-width-100" );
    out.println(T.render());
%>

  <%= agSessDO.exportButtons( oDec,  agentSessionsDO.THIS_DO, agentSessionsDO.SESSIONS_DETAIL_RAW )  %>
<!-- end of sessions details -->

<!-- notes -->
  <div class="L-column L-width-50 L-gap-24">
    <div class="L-column L-gap-8">
      <label><%= oDec.k("prl_payroll_notes") %></label>
      <div><%= oH.textArea( "PAYROLL_NewNote",  true, "", 100000 ) %></div>
    </div>
    <div class="L-justify-flexend"><INPUT TYPE='button' CLASS='qm-PayrollInsertNewComment Q-button-primary' VALUE="<%= oDec.k("prl_addcomment") %>" ></div>
  </div>

  <%--
  <table border="0">
      <tr>
          <td><%= oH.textArea( "PAYROLL_NewNote",  true, "width:600px; height: 90px;", 100000 ) %></td>
          <td><INPUT TYPE='button' CLASS='actButton' VALUE="<%= oDec.k("prl_addcomment") %>" ONCLICK="javascript:insertNewComment()" STYLE="width: 80px" ></td>
      </tr>
  </table>
  --%>

  <div id="filteredoldcomments">
    <!-- Here will be already inserted comments matching the current report time -->
  </div>

  <a name="unfilteredoldcomments_anchor"></a>

  <div id="unfilteredoldcomments_folded">
    <span onclick="showUnfiltered()"> <b><%= oDec.k("prl_notes_other") %>:</b>
    <img src="..<%= KA.ICON_OPENFLIP %>" >  </span>
  </div>

  <div id="unfilteredoldcomments_unfolded">
    <span onclick="hideUnfiltered()"><b><%= oDec.k("prl_notes_other") %>:</b>
    <img src="..<%= KA.ICON_CLOSEFLIP %>" > </span>

    <div id="unfilteredoldcomments">
      <!-- Here will be already inserted comments -->
    </div>
  </div>
</div>
<!-- end of notes -->

<%@ include file="/includes/00_page_footer.jspf" %>