<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.QA.grader.GraderHtmlHelper" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    String stWidth = "";
    String stWidthPerc = "";
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

  //$("#QAG_dtInizio_date").datepicker( { dateFormat: 'yy-mm-dd' } );
  //$("#QAG_dtFine_date").datepicker( { dateFormat: 'yy-mm-dd' } );
}

</script>

<div class="qm-form-body L-column L-gap-24">
  <h1 class="L-row L-gap-16"><%= oDec.k("qa_reports") %><span loway-icon="chevron-right"></span><%= oDec.k("qa_grading_page") %></h1>

  <div class="qm-GraderSearch-blocks" id="qm-GraderSearch">
    <div class="L-column L-gap-24 L-width-100">
      <h3 class="L-row L-gap-16 L-heading-divider"><%= oDec.k("qa_reports") %> <span loway-icon="chevron-right"></span> <%= oDec.k("qa_grading_page") %></h3>
      <div class="L-column L-gap-16">
        <div class="L-row L-gap-16">
          <div class="L-column L-flex-1 L-gap-4">
            <label for="QAG_form"><%= oDec.k("qa_form") %></label>
            <%= oH.combo( "QAG_form", true, stWidth, oC.getLt( "QAR_ltFormsReports" ), 0, 1, "" ) %>
          </div>
          
          <div class="L-column L-flex-1 L-gap-8">
            <label for="QAG_queue"><%= oDec.k("custrep_queue") %></label>
            <%= oH.comboX( "QAG_queue", true, stWidth, oC.getLt( "DATI_code" ), 2, 0, "" ) %>
          </div>
        </div>
        
        <div class="L-row L-gap-16">

          <% if ( oU.hasKey("AGREP") ) { %>
          <div class="L-column L-flex-1 L-gap-8">
            <label for="QAG_agenteFiltro"><%= oDec.k("custrep_agent") %></label>
            <div><%= oH.comboX( "QAG_agenteFiltro", true, stWidth, FA.FilterSelectableAgents(oU, oC.getLt( "DATI_agenti" )), 0, 1, "" ) %></div>
          </div>
          <% }; %>
          
          <div class="L-column L-flex-1 L-gap-8">
            <label or="QAG_idAgentGroupFiltro"><%= oDec.k("custrep_agentgroup") %></label>
            <div><%= oH.combo( "QAG_idAgentGroupFiltro", true, stWidth, oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>
          </div>
        </div>
        
        <div class="L-row L-gap-16">
          <div class="L-column L-flex-1 L-gap-8">
            <label for="QAG_idLocationFiltro"><%= oDec.k("custrep_location") %></label>
            <div><%= oH.combo( "QAG_idLocationFiltro", true, stWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>
          </div>
          
          <div class="L-column L-flex-1 L-gap-8">
            <label for="QAG_idOutcomesFiltro"><%= oDec.k("custrep_outcome") %></label>
            <div><%= oH.combo( "QAG_idOutcomesFiltro", true, stWidth, oC.getLt( "DATI_call_status_selectable" ), 0, 1, "" ) %></div>
          </div>
        </div>
      </div>
    </div>
      
    <div class="L-column L-gap-24 L-width-100">
      <h3 class="L-heading-divider"><%= oDec.k("qa_time_period") %></h3>
      <div class="L-column L-gap-16 L-justify-flexstart">
        <div class="L-row L-gap-24">
          <div class="L-column L-gap-8 L-width-100">
            <label for="QAG_dtInizio_date"><%= oDec.k("custrep_start_date") %></label>
            <div class="qm-form-datehourpicker qm-qa-grader-from-date L-nomargin"><%= FA.generaJQueryComboDataOra( "QAG_dtInizio", oC,oH,true, oDec) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-100">
            <label for="QAG_dtFine_date"><%= oDec.k("custrep_end_date") %></label>
            <div class="qm-form-datehourpicker qm-qa-grader-to-date"><%= FA.generaJQueryComboDataOra( "QAG_dtFine", oC,oH,true, oDec) %></div>
          </div>
        </div>
        <div class="loway-quicklinks loway-subnav L-font-12 L-justify-flexend" data-verb="qm_qa_grader_search_period">
          <%@ include file="/includes/10_form_quicklinks.jspf" %>
        </div>
      </div>
    </div>
  </div>

<div class="L-column L-gap-24">
  <div class="qm-GraderSearch-blocks" id="qm-GraderSearch">

    <div class="L-column L-gap-24 L-width-100">
      <h3 class="L-heading-divider"><%= oDec.k("qa_call_outcomes") %></h3>      
      <div class="L-grid-3">
        <div></div>
        <div class="L-tertiary-text L-font-14"><%= oDec.k("qa_min_perc") %></div>
        <div class="L-tertiary-text L-font-14"><%= oDec.k("qa_min_num") %></div>
        
        <%= GraderHtmlHelper.drawElementLines(oH, oC.getLt("QAG_ltOutcomes"), 0, 1, stWidthPerc, "QAG_outcome_") %>
      </div>
    </div>
    
    <div class="L-column L-gap-24 L-width-100">
      <h3 class="L-heading-divider"><%= oDec.k("qa_agent_groups") %></h3>

      <div class="L-grid-3">
        <div></div>
        <div class="L-tertiary-text L-font-14"><%= oDec.k("qa_min_perc") %></div>
        <div class="L-tertiary-text L-font-14"><%= oDec.k("qa_min_num") %></div>

        <div class="L-tertiary-text"><%= oDec.k("qa_all_calls") %></div>
        <div><%= oH.textBox( "QAG_AC_min", true, stWidthPerc, 5 ) %></div>
        <div><%= oH.textBox( "QAG_AC_num", true, stWidthPerc, 5 ) %></div>
        
        <div class="L-tertiary-text"><%= oDec.k("qa_individual_agents") %></div>
        <div><%= oH.textBox( "QAG_AGX_min", true, stWidthPerc, 5 ) %></div>
        <div><%= oH.textBox( "QAG_AGX_num", true, stWidthPerc, 5 ) %></div>
        
        <%= GraderHtmlHelper.drawElementLines(oH, oC.getLt("QAG_ltAgentGroups"), 1, 0, stWidthPerc, "QAG_val_") %>
      </div>
    </div>
  </div>
  <div class="L-justify-flexend">
    <%= oH.button( oDec.k("custrep_run_custom_report"), oU.hasKey("QA_GRADER"), stWidth, "qm_qa_grader_compute", "" ) %>
  </div>
</div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// 
%>
