<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.QA.grader.GraderHtmlHelper" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    String stWidth = "";
    String stTableColWidth = "";
    String stControlsWidth = "";
%>

<script>
var page_qaPerfTrackerSearch = true;
var ruleToQueue = <%= oC.getS("QAR_rule2queue_link") %>
var ruleToForm = <%= oC.getS("QAR_rule2form_link") %>
var whoami = <%= oU.getUserId() %>;

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

        // Initialize JQuery UI elements
        //$("#QA_PERFTRACK_dtFrom_date").datepicker( { dateFormat: 'yy-mm-dd' } );
        //$("#QA_PERFTRACK_dtTo_date").datepicker( { dateFormat: 'yy-mm-dd' } );
}

</script>
<div class="qm-form-body">
  <div class="L-column L-gap-24">
    <h1><%= oDec.k("qa_reports") %>: <%= oDec.k("qa_perftrack_page") %></h1>
    <div class="qm-perfTracker-blocks" id="qm-perfTracker">
      <div class="L-column L-gap-24 L-width-100">
        <h3 class="L-heading-divider"><%= oDec.k("qa_perftrack_scoretargets") %></h3>
        <div class="L-column L-gap-24">
          <div class="L-row L-gap-16">
            <div class="L-column L-gap-8 L-width-100">
              <label for="QA_PERFTRACK_ruleId"><%= oDec.k("qa_perftrack_scorerule")%></label>
              <div><%= oH.combo( "QA_PERFTRACK_ruleId", true, stControlsWidth, oC.getLt( "QAR_ltRulesSelect" ), 0, 1, "" ) %></div>
            </div>
          </div>

          <div class="L-row L-gap-16">
            <div class="L-column L-gap-8 L-width-100">
              <label for="QA_PERFTRACK_mincalls" ><%= oDec.k("qa_perftrack_mincalls")%></label>
              <div><%= oH.textBox( "QA_PERFTRACK_mincalls", true, stControlsWidth, 10 ) %></div>
            </div>

            <div class="L-column L-gap-8 L-width-100">
              <label for="QA_PERFTRACK_minscore" ><%= oDec.k("qa_perftrack_minscore")%></label>
              <div><%= oH.textBox( "QA_PERFTRACK_minscore", true, stControlsWidth, 10 ) %></div>
            </div>

            <div class="L-column L-gap-8 L-width-100">
              <label for="QA_PERFTRACK_daysingroup"><%= oDec.k("qa_perftrack_daysingroup")%></label>
              <div><%= oH.textBox( "QA_PERFTRACK_daysingroup", true, stControlsWidth, 10 ) %></div>
            </div>
          </div>

          <div class="L-row L-gap-8 L-width-100">
            <div><%= oH.checkBox("QA_PERFTRACK_override_rule_link", "50") %></div>
            <label for="QA_PERFTRACK_override_rule_link"><%= oDec.k("qa_perftrack_override_rule_link")%></label>
          </div>
        </div>
      </div>
        
      <div class="L-column L-gap-24 L-width-100">
        <h3 class="L-heading-divider"><%= oDec.k("qa_perftrack_agentscoring") %></h3>
        <div class="L-column L-gap-24">
          <div class="L-column L-gap-8 L-width-100">
            <label for="CODA_input"><%= oDec.k("qa_perftrack_queues")%></label>
            <div><%= oH.comboX( "CODA_input", true, stControlsWidth, oC.getLt( "DATI_code" ), 2, 0, "" ) %></div>
          </div>
        <!---------- Date field ------------>
          <div class="L-row L-gap-24">
            <div class="L-column L-gap-8 L-width-100">
              <label for="QA_PERFTRACK_dtFrom_date"><%= oDec.k("qa_perftrack_fromdate")%></label>
              <div class=" qm-form-datehourpicker qm-performance-tracker-search-from-date"><%= FA.generaJQueryComboDataOra("QA_PERFTRACK_dtFrom", oC, oH, true, oDec) %></div>
            </div>

            <div class="L-column L-gap-8 L-width-100">
              <label for="QA_PERFTRACK_dtTo_date"><%= oDec.k("qa_perftrack_todate")%></label>
              <div class=" qm-form-datehourpicker qm-performance-tracker-search-to-date"><%= FA.generaJQueryComboDataOra("QA_PERFTRACK_dtTo", oC, oH, true, oDec) %></div>
            </div>
          </div>
        </div>

        <div class="loway-quicklinks loway-subnav L-justify-flexend" data-verb="qm_qa_perftrack_search_period">
          <%@ include file="/includes/10_form_quicklinks.jspf" %>
        </div>
      </div>
    </div>
    
    <div class="qm-perfTracker-blocks" id="qm-perfTracker">
      <div class="L-column L-gap-24 L-width-100">
        <h3 class="L-heading-divider"><%= oDec.k("qa_perftrack_agentselection") %></h3>
        <div class="L-column L-gap-24">
          <div class="L-row L-gap-16">
            <div class="L-column L-gap-8 L-width-100">
              <label for="QA_PERFTRACK_agenteFiltro"><%= oDec.k("qa_perftrack_agent")%></label>
              <%= oH.comboX( "QA_PERFTRACK_agenteFiltro", true, stControlsWidth, FA.FilterSelectableAgents(oU, oC.getLt( "DATI_agenti" )), 0, 1, "" ) %>
            </div>

            <div class="L-column L-gap-8 L-width-100">
              <label for="QA_PERFTRACK_idAgentGroup"><%= oDec.k("qa_perftrack_agentgroup")%></label>
              <div><%= oH.combo( "QA_PERFTRACK_idAgentGroup", true, stControlsWidth, oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>
            </div>
          </div>

        <div class="L-row L-gap-24">
          <div class="L-column L-gap-8 L-width-100">
            <label for="QA_PERFTRACK_idLocation"><%= oDec.k("qa_perftrack_location")%></label>
            <div><%= oH.combo( "QA_PERFTRACK_idLocation", true, stControlsWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-100">
            <label for="QA_PERFTRACK_idSupervisor"><%= oDec.k("qa_perftrack_supervisor")%></label>
            <div class="">
              <% if (oU.hasKey( "SUPERVISOR") ) { %>
                <%= oH.combo( "QA_PERFTRACK_idSupervisor", true, stControlsWidth, oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %>
                
                <INPUT TYPE='button' CLASS='Q-button-primary selectMeAsSupervisor' VALUE=<%=oDec.k("prl_supbybe")%>   >
                  <% } else { %>
                    <%= oH.combo( "QA_PERFTRACK_idSupervisor", true, stControlsWidth, oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %>
                    <% } %>
            </div>
          </div>
        </div>
        </div>        
      </div>

      <div class="L-column L-gap-24 L-width-100">
        <h3 class="L-heading-divider"><%= oDec.k("qa_perftrack_qaform") %></h3>
        <div class="L-column L-gap-8 L-width-100">
          <label for="QA_PERFTRACK_form"><%= oDec.k("qa_perftrack_qaformsel") + ":" %></label>
          <div><%= oH.combo( "QA_PERFTRACK_form", true, stControlsWidth, oC.getLt( "QAR_ltFormsReports" ), 0, 1, "" ) %></div>
        </div>
      </div>
    </div>

    <div class="qm-perfTracker-button">
      <%= oH.button( oDec.k("qa_perftrack_search"), oU.hasKey("QA_PERF_TRACK"), "", "qm_qa_perftrack_compute", "" ) %>
    </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
//
%>
