<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.html.NoCache" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.callListen.RTlisteners.PluggableRTListener" %>
<%@ page import="java.text.*" %>
<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>
<%@ include file="/includes/00_page_header_context.jspf" %>
<%

        // Determina in che stato sono
        // 0: nulla di fatto
        // 1: errore (da mostrare rosso)
        // 2: chiamata richiesta (da mostrare verde)
        // 3: Lancio di una URL esterna
        int    inStatoPopup = oC.getI( "POPUP_stato" );
        String stRespPopup  = oC.getS( "POPUP_resp" );
        String stPopupURL   = oC.getS( "POPUP_url" );

        // decide se ho una redirect - agisco subito
        String stOnLoad = "";
        if ( inStatoPopup == PluggableRTListener.POPUP_REDIRECT ) {
           stOnLoad="openNewPopUp();";
        }
        
        //String stFontColor = "";
        String stRespPopupCssClass = "";

        switch ( inStatoPopup ) {
            case PluggableRTListener.POPUP_ERRORE:
                //stFontColor = "red";
                stRespPopupCssClass ="L-error";
                break;

            case PluggableRTListener.POPUP_CONFERMA:
                //stFontColor = "green";
                stRespPopupCssClass = "L-success";
                break;

            default:
                //stFontColor = "gray";
                break;

        }

%>
<html>
<head>

<meta http-equiv="Content-Type" content="text/html; charset=<%= K.ENCODING_UTF8 %>" />
<title><%= oDec.k("rt_pop_live_call_monitor") %></title>

<%= AssetManager.basicBundle(session, application, request) %>

<%--
var boTransazioneAttiva = false;

function startTransaction( stTransaction, stParameter ) {

	if ( stTransaction.length >  0 ) {

		boTransazioneAttiva = true;

		if ( window.startTransactionApplicativa) {
			startTransactionApplicativa( stTransaction, stParameter);
		}

		document.forms[0].<%= K.REQ_VERBO %>.value = stTransaction;
    document.forms[0].<%= K.REQ_PARAM %>.value = stParameter;
		document.forms[0].submit();
	}
}
--%>
<script>

function openNewPopUp( ) {
    stUrl = "<%=  oC.getS( "POPUP_url") %>";
    stWidth = "<%=  oC.getS( "POPUP_url_w") %>";
    stHeight = "<%=  oC.getS( "POPUP_url_h") %>";
    unique = new Date().getTime();
    if ( stUrl.length > 0 ) {
        eval("pagex" + unique + " = window.open( stUrl, 'x" + unique + "', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,width=" + stWidth + ",height=" + stHeight + ",left = 490,top = 200');");
    }
    window.close();
}

</script>

</head>
<body class="qm-plain" onload="<%= stOnLoad %>">
<style>
  html  {  margin :0; padding:0 }
</style>

<div class="qm-form-body">
  <FORM method="POST" class="L-column L-gap-24" action="<%= stWebHere %><%= K.TRANSACTION_CONTROLLER %>" encoding="<%= K.ENCODING_UTF8 %>">
  <INPUT TYPE="hidden" name="<%= K.REQ_VERBO %>" value="qm_popup_audiomon">
  <INPUT TYPE="hidden" name="<%= K.REQ_PARAM %>" value="callnow">

  <h2 class=""><%= oDec.k("rt_pop_live_call_monitor") %></h2>
    <% if ( inStatoPopup != PluggableRTListener.POPUP_ERRORE ) { %>
    <div class="Q-not-editable-input" style="width: revert; cursor: default !important;"><%= oDec.k("rt_pop_please_enter_your_local_or_remote_extension") %></div>

    <div class="L-column L-gap-24">
      <div class="L-grid L-gap-16">
        <%= FA.getPopupRow( oDec.k("rt_pop_agent_code"), oC.getS( "POPUP_agent" ) ) %>
        <%= FA.getPopupRow( oDec.k("rt_pop_agent_name"), oC.getS( "POPUP_agentName" ) ) %>
        <%= FA.getPopupRow( oDec.k("rt_pop_agent_logon_extension"), oC.getS( "POPUP_agentLogExt" ) ) %>
        <%= FA.getPopupRow( oDec.k("rt_pop_agent_extension"), oC.getS( "POPUP_agentExt" ) ) %>
      </div>

      <div class='L-column L-gap-8'>
        <label><%= oDec.k("rt_pop_your_extension") %></label>
       
        <INPUT CLASS='qm-input Input'
          TYPE='textbox'
          NAME="POPUP_extension"
            ID="POPUP_extension"
          VALUE="<%= oC.getS( "POPUP_extension" ) %>"
          MAXLENGTH='15'
          >
      </div>

      <div class="L-column L-gap-8">
        <label><%= oDec.k("rt_pop_spy_mode") %></label>
        <%= oH.combo( "POPUP_spyMode", true, "", oC.getLt( "POPUP_availableSpyActions" ), 0, 1, "" ) %>
      </div>
    </div>

<% }; %>

  <div class="L-row L-gap-24 L-justify-flexend">
    <INPUT TYPE='button'
          CLASS='Q-button-tertiary'
          VALUE="<%= oDec.k("rt_pop_close") %>"
          onClick="window.close();" >
    <INPUT TYPE='button'
        CLASS='Q-button-primary'
        <%= ( inStatoPopup != PluggableRTListener.POPUP_NORMALE ) ? "DISABLED" : "" %>
        VALUE="<%= oDec.k("rt_pop_monitor_now") %>"
        onClick="startTransaction('qm_popup_audiomon_phase2', 'callnow');" >
  </div>

  <div class="<%=stRespPopupCssClass%>"><%= stRespPopup %></div>

  <%-- <FONT COLOR='<%= stFontColor %>'><%= stRespPopup %></FONT> --%>
  </FORM>
</div>

</body>