<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="java.text.*" %>

<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // $Id: realtime_broadcast.jsp,v 1.8 2015/09/28 08:41:06 marcos Exp $
    final String stVerbPrefix = "qm_broadcast_input";
    final String stTabPrefix  = "TABBROADCAST_MSG";
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );

    // DECORATORI
    class buttonEliminaDecor implements TpfCellDecoratorInterface {
            HtmlGeneratorEx oH = null;
            public buttonEliminaDecor( HtmlGeneratorEx oHx) { oH = oHx; };

            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String idToEdit = lt.getS(r, c );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                // String stButton = obH.imgButton( "<../img/icons_silk/cancel.png>", "Delete", true, "", stVerbPrefix + "_delete", stTesto );
                String stButton = oH.iconButton("<span loway-icon='trash' title='Delete'></span>", true, "", stVerbPrefix + "_delete", idToEdit, "Q-button-icon");
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };


    class buttonSupervisorDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public buttonSupervisorDecor( ) {  };

            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int codSuper = lt.getI(r, c );
                int forEveryone = lt.getI( r, 9 );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = "&nbsp;";
                if ( forEveryone > 0 ) {
                    stButton = "<span loway-icon='bolt'></span>";
                } else {
                    if ( codSuper > 0 ) {
                        stButton = "<span loway-icon='users'></span>";
                    }
                }
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    SmartTable T = null;
%>


<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>

<div class="qm-form-body L-column L-gap-24">
    <h2>Broadcast messages</h2>
    <div class="L-grid L-width-100 L-gap-48">
        <div class="left L-column L-gap-16">
            <div class="L-row L-gap-16">
                <div class="L-column L-gap-8 L-width-100">
                  <label  class="label" for="TABBROADCAST_MSG_by_queue">For queue</label>
                  <%= oH.combo( "TABBROADCAST_MSG_by_queue", true, "", oC.getLt( "TABBROADCAST_MSG__list_code"), 1, 0, "" ) %>
                </div>
                
                <div class="L-column L-gap-8 L-width-100">
                  <label for="">For location</label>
                  <%= oH.combo( "TABBROADCAST_MSG_by_id_location", true, "", oC.getLt( "DATI_locations_selectable"), 0, 1, "0" ) %>
                </div>
            </div>

            <div class="L-row L-gap-16">
                <% if (oU.hasKey( "SUPERVISOR") ) { %>
                <div class="L-column L-gap-8 L-width-100">
                  <label class="label L-row L-gap-8" for ="TABBROADCAST_MSG_by_id_supervisor_xx">For my supervision <span loway-icon='users'></span></label>
                  <%= oH.combo( "TABBROADCAST_MSG_by_id_supervisor_xx",  true, "", "masterkeyAbilitato", "0" ) %>
                </div>
                <% }; %>
                
                <div class="L-column L-gap-8 L-width-100">
                  <label class="label L-row L-gap-8" for="TABBROADCAST_MSG_for_everyone">For everyone <span loway-icon='bolt'></span></label>
                  <%= oH.combo( "TABBROADCAST_MSG_for_everyone",  true, "", "masterkeyAbilitato", "0" ) %>
                </div>

                <div class="L-column L-gap-8 L-width-100">
                  <label class="label" for="TABBROADCAST_MSG_for_agentid">For</label>
                  <%= oH.combo( "TABBROADCAST_MSG_for_agentid",  true, "", FA.FilterSelectableUsers(oC.getLt("DATI_users")), 0, 2, "" ) %>
                </div>
            </div>
        </div>

        <div class="right">
            <div class="L-column L-gap-16">
                <div class="L-column L-gap-8">
                  <label class="label" for="TABBROADCAST_MSG_testo_msg">Enter message</label>
                  <%= oH.textArea( "TABBROADCAST_MSG_testo_msg",  true, "", 250 ) %>
                </div>
                <div class="L-justify-flexend">
                  <%= oH.button( "Save", true, "", stVerbPrefix + "_edit", "S" ) %>
                </div>
            </div>
        </div>
        
    </div>
    
    <hr />

    <%
    //    LTable ltRisultato = PagedTransactor.getDataList( oC, stTabPrefix );
    //    SmartTable stT = new SmartTable( stTabPrefix, ltRisultato );
    SmartTableTransactor stT = new SmartTableTransactor(oC, stTabPrefix, stVerbPrefix + "_list",
        it.loway.app.queuemetrics.configurazione.cfg2.ptClasses.SORTINGS );
    stT.setDecoder( oDec );

    stT.addColumn( oDec.k("bdcmsg_Time"),       1   , "100", new oraTimestampDecor()   );
    stT.addColumn( oDec.k("bdcmsg_Text"),       2   , "300" );
    stT.addColumn( oDec.k("bdcmsg_Sender"),     8   , "100" );
    stT.addColumn( oDec.k("bdcmsg_Queue"),      3   , "80", new queueNamesDecor( oC.getLt("DATI_code"), "", "", new LTable(), new LTable() ) );
    stT.addColumn( oDec.k("bdcmsg_Group"),      4   , "20", new buttonSupervisorDecor() );
    stT.addColumn( oDec.k("bdcmsg_Location"),   7   , "50" );
    stT.addColumn( oDec.k("bdcmsg_ForAgent"),   11  , "100" );
    stT.addColumn( "&nbsp;",                    0   , "20", new buttonEliminaDecor( oH ));

    stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped" );

    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    }

    if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
        &nbsp;
        <p>
        No items found.
        <p>
        &nbsp;

    <%
        } else { // ci sono righe
    %>

    <div class="L-justify-spacebetween">
      <div>Items found: <%= stT.getNRigheTotaliQuery() %></div>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination_buttons.jspf" %>
      
      <div>Page <%= stT.getPaginaCorrenteQuery() %> of <%= stT.getNPagineTotaliQuery() %></div>
    </div>
    <%
        };
    %>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
//
%>
