<%@ page language="java" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.cfg2.PtButtonModificaDecor"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.agentGroupsIconDecorator" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_agents";
    final String stTabPrefix  = "TABAGENTI_NOTI";
    //--------------------------------------------------------------
    
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
      class monitorDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                if ( stTesto.length() > 0 ) {
                    stTesto = "<a href=\"" + stTesto + "\" alt='Monitor now' target='_mon'><span loway-icon='monitor' class='L-tertiary-text' title='Monitor now'></span></a>";
                } else {
                    stTesto = "&nbsp;";
                }
                return  "  <td class='stData' style='width: " + width + ";'>" + stTesto+ "</td>\n";
            }
        };
      class xmppDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                if ( stTesto.length() > 0 ) {
                    stTesto = "<a href=\"xmpp:" + stTesto + "\" alt='Chat now' target='_mon'><span loway-icon='user' class='L-success' title='Chat now'></span></a>";
                } else {
                    stTesto = "&nbsp;";
                }
                return  "  <td class='stData' style='width: " + width + ";'>" + stTesto+ "</td>\n";
            }
        };

%>

<script>
    function onLoadApplicativo() {
        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
        document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";

        // setFocus("<%= PagedTransactor.getQueryField( stTabPrefix ) %>");
    }

    var page_enableAdminSearch = true;
    var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
    var stVerbPrefix = "<%=stVerbPrefix%>";
</script>

<div class="qm-form-body">
  <div class="L-column L-gap-24">
    <h2><%=oDec.k("edit_ac_title")%></h2>
    <div class="qm-editor-search">

      <%-- search line --%>
      <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

      <div class="qm-editor-button">
        <div><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N", "Q-button-primary") %></div>
        <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')", "Q-button-secondary") %></div>
      </div>
    </div>


    <%
        SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
            it.loway.app.queuemetrics.configurazione.cfg2.ptAgents.SORTINGS );

        stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>",      0   , "30px",   new selectDecor()   );
        stT.addColumn( oDec.k("edit_ac_agent_code"),      1   , "150px",   "agc"   );
        stT.addColumn( oDec.k("edit_ac_description"),     2   , "200px", "agd"   );
        stT.addColumn( oDec.k("edit_ac_payroll_code"),   14   , "100px" , "");
        stT.addColumn( oDec.k("edit_ac_location"),        8  , "100px", "loc" );
        stT.addColumn( oDec.k("edit_ac_group"),          12  , "100px", "agp" );
        stT.addColumn( oDec.k("edit_ac_gr"),            13  , "20px", "", new agentGroupsIconDecorator(oH));
        stT.addColumn( oDec.k("edit_ac_term"),           5  , "50px", "ter" );
        stT.addColumn( oDec.k("edit_ac_mon"),            6  , "50px", "vnc", new monitorDecor() );
        stT.addColumn( oDec.k("edit_ac_im"),             10  , "50px", "xmp", new xmppDecor() );
        stT.addColumn( oDec.k("edit_ac_supervisor"),      9  , "70px", "sup" );
        stT.addColumn( oDec.k("edit_ac_key"),            11  , "100px", "key" );
        stT.addColumn( "&nbsp;",  0 , "20px", new PtButtonModificaDecor( oH, stVerbPrefix )   );

        if ( stT.getNRigheTotaliQuery() > 0 ) {
    %>
      <%@ include file="/includes/qm_adm/11_qm_adm_loway_pagination.jspf" %>
    <%
    }
    %>
    <%
    if ( stT.numRows() > 0 ) {
        stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped" );
        out.println( stT.render() );
    }
    if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
    <%
        } else { // ci sono righe
    %>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination_buttons.jspf" %>
    <%
    };
    %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// 
%>
