<%@ page language="java" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.cfg2.PtButtonModificaDecor"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_calltags";
    final String stTabPrefix  = "TABCALL_TAGS";
    //--------------------------------------------------------------
    
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
    class yesNoDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int inCode = lt.getI(r, c );
                String stTesto = "<img src='../img/icons_silk/bru_notinuse.png' width=16 height=16>";
                if ( inCode > 0 ) {
                    stTesto = "<img src='../img/icons_silk/accept.png' width=16 height=16>";
                }
                return  "  <td class='stData' style='width: " + width + "; text-align: left;'>" + stTesto+ "</td>\n";
            }
    };

%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
  //setFocus( "<%= PagedTransactor.getQueryField( stTabPrefix ) %>" );

}

  var page_enableAdminSearch = true;
  var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
  var stVerbPrefix = "<%=stVerbPrefix%>";

</script>

<div class="qm-form-body">
  <div class="L-column L-gap-24">
    <h2><%=oDec.k("edit_ct_title")%></h2>

    <div class="qm-editor-search">
      <%-- search line --%>
      <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

      <div class="qm-editor-button"><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N", "Q-button-primary") %></div>
      <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')", "Q-button-secondary") %></div>
    </div>
    <%
        SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
            it.loway.app.queuemetrics.configurazione.cfg2.ptCallTags.SORTINGS );

        stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
        stT.addColumn( oDec.k("edit_ct_tag"),      1  , "150px", "nome"   );
        stT.addColumn( oDec.k("edit_ct_description"),  2  , "200px", "des"   );
        stT.addColumn( oDec.k("edit_ct_key"),          3  , "100px", "key" );
        stT.addColumn( "&nbsp;",  0 , "20px", new PtButtonModificaDecor( oH, stVerbPrefix )   );

        if ( stT.getNRigheTotaliQuery() > 0 ) {
    %>
        <%@ include file="/includes/qm_adm/11_qm_adm_loway_pagination.jspf" %>
    <%
        }
    %>
    <%
        if ( stT.numRows() > 0 ) {
            stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped" );
            out.println( stT.render() );
        }
        if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
       <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
    <%
        } else { // ci sono righe
    %>
        <%@ include file="/includes/qm_adm/10_qm_adm_pagination_buttons.jspf" %>
    <%
        };
    %>
    </div>

  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
//
%>
