<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load("record_status", "record_status.txt", 0, 1);

    final String stVerbPrefix = "qm_cfg2_cases";
    final String stTabPrefix  = "TABCASES";
    String stWidth       = "" ;
    String stWidthShort  = "" ;
%>

<script>

    function onLoadApplicativo() {
        // transazione standard
        document.forms[0].<%= K.REQ_VERBO %>.value = "";
        document.forms[0].<%= K.REQ_PARAM %>.value = "";
        setFocus("TABCASES_title");
    }

</script>

<div class="qm-form-body L-column L-gap-48">
  <div class="L-row L-justify-spacebetween">
    <h2><%= oDec.k("edit_record_cases_header") %></h2>
    <!------------ Not editable items ---------------->
    <%= LowayHtml.sysFields( oC, oDec, "TABCASES", "id" ) %>
  </div>

  <div class="L-column L-gap-24">
    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCASES_title"><%= oDec.k("edit_record_cases_title") %></label>
        <div><%= oH.textBox( "TABCASES_title", true, stWidth, 50 ) %></div>
      </div>

      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCASES_client_id"><%= oDec.k("edit_record_client_id") %></label>
        <div><%= oH.combo( "TABCASES_client_id", true, stWidth, oC.getLt( "DATI_cases_clients" ), 0, 1, "" ) %></div>
      </div>   

      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCASES_contact"><%= oDec.k("edit_record_cases_contact") %></label>
        <div><%= oH.textBox( "TABCASES_contact", true, stWidth, 500 ) %></div>
      </div>
    </div>

    <div class="L-row L-gap-16 L-align-flexstart">
      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCASES_email"><%= oDec.k("edit_record_cases_email") %></label>
        <div><%= oH.textBox( "TABCASES_email", true, stWidth, 500 ) %></div>
      </div>
      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCASES_status"><%= oDec.k("edit_record_cases_status") %></label>
        <div><%= oH.combo( "TABCASES_status",  true, stWidth, "record_status", "0" ) %></div>
      </div>

      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCASES_security_key"><%= oDec.k("edit_record_cases_securitykey") %></label>
        <div><%= oH.textBox( "TABCASES_security_key",  true, stWidth, 64 ) %></div>
      </div>
    </div>

    <div class="L-row L-gap-16 L-align-flexstart">
      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCASES_external_ref"><%= oDec.k("edit_record_cases_xref") %></label>
        <div><%= oH.textBox( "TABCASES_external_ref", true, stWidth, 50 ) %></div>
        <small class="L-tertiary-text"><%= oDec.k("edit_record_xref_blank") %></small>
      </div>

      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCASES_notes"><%= oDec.k("edit_record_cases_notes") %></label>
        <div><%= oH.textArea( "TABCASES_notes",  true, stWidth + "height: 90px;", 10000 ) %></div>
      </div>
    </div>
  </div>
  <!----------- Buttons ----------->
  <div class="L-row L-justify-spacebetween">
    <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCASES_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
      <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCASES_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
      <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCASES_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCASES_name")+"','"+oC.getS("TABCASES_id")+"')", "Q-button-secondary") %>
    </div>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
  </div>

  <div class="L-column L-gap-24">
    <h3 class="L-heading-divider"><%= oDec.k("edit_record_case_transactions") %></h3>
    <div>
    <%
      SmartTable stT = new SmartTable( "x", oC.getLt( "TABCASES.ltTransactions" ) );

      stT.addColumn( oDec.k("edit_record_cases_text"), 1  , "200" );
      stT.addColumn( oDec.k("edit_record_cases_queue"),  2  , "100" );
      stT.addColumn( oDec.k("edit_record_cases_handled_by"),  0  , "100" );

      if ( stT.numRows() > 0 ) {
        stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped L-width-100" );
        out.println( stT.render() );
      } else {
    %>
        <div class="qm-admin-agents-warning"><%=oDec.k("edit_record_cases_none_found")%></div>
    <%
      }
    %>
    </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
