<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>

<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_classes";
    final String stTabPrefix  = "TABCLASSES";
    String stWidth = "";

    int nUsersBelonging = oC.getI( "TABCLASSES_opt_n_users");
%>

<script>
var page_cfg2_classes_edit = true;
var secKeyConfig=<%=oC.getS("TABCLASSES_keyConfig")%>

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
        setFocus( "TABCLASSES_nome_classe" );
/*
        $("#dialog-modal-keyhelper").dialog({
            height: 580,
            width: 650,
            autoOpen: false,
            modal: true,
            buttons: {
                    Ok: function() { closeKeyHelperDialog($(this), true); },
                    Cancel: function() { closeKeyHelperDialog($(this), false); }
            }
        });
*/

}
</script>

<!-- BEGIN: Templates for keyset helper dialog. -->
<script type="text/x-template" class="unknownKeysTemplate">
  <ul class="loway-accordion unknownKeysContainer">
    <li >
      <div class="loway-accordion-header L-pointer L-row L-justify-spacebetween">
        <a class="loway-accordion-title unknownKeySetTitle" href="#"><%=oDec.k("keydesc_cat_customkeyset") %></a>
        <div class="loway-accordion-icon">+</div>
      </div>
      <div class="loway-accordion-content">
        <span class="unknownKeys" id="unknownKeys"/>
        <input type="hidden" id="id_chk_hiddenchk" checked="true" />
      </div>
    </li>
  </ul>
</script>

<script type="text/x-template" class="categoryTemplate">
  <ul class="loway-accordion secKeyCategory">
      <li >
          <div class="loway-accordion-header L-pointer L-row L-justify-spacebetween" >
            <a class="loway-accordion-title secKeyTitle" href="#">[SECKEYCATEGORYDESC]</a>
            <div class="loway-accordion-icon">+</div>
          </div>
          <div class="loway-accordion-content keydefs">
          </div>
      </li>
  </ul>
</script>

<script type="text/x-template" class="keyDefTemplate">
  <div class="secKeyDef">
    <input type="checkbox" class="keydefCheckBox" />
    <span class="keydefDescr">[SECKEYDESCR]</span>
    <input type="hidden" class="keydefParents"/>
    <input type="hidden" class="keydefNotCompatible"/>
  </div>
</script>
<!-- END: Templates. -->


<div class="qm-form-body L-column L-gap-48">
  <div class="L-row L-justify-spacebetween">
    <h2><%= oDec.k("edit_record_classes_title") %></h2>
    <!------------ Not editable items ---------------->
    <div class="L-row L-gap-16">
      <div class="L-row L-gap-4">
        <label class="L-font-14" for="TABCLASSES_nomedata_insert"><%= oDec.k("edit_record_createdby") %></label>
        <div class="Q-not-editable-input">
          <%= oC.getS("TABCLASSES_nomedata_insert")%>
        </div>
      </div>

      <div class="L-row L-gap-4">
        <label class="L-font-14" for="TABCLASSES_nomedata_update"><%= oDec.k("edit_record_lastupdate") %></label>
        <div class="Q-not-editable-input">
          <%= oC.getS("TABCLASSES_nomedata_update")%>
        </div>
      </div>
    </div>
  </div>

  <div class="L-column L-gap-24">
    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8">
        <label for="TABCLASSES_id_classe"><%= oDec.k("edit_record_classes_id") %></label>
        <div><%= oH.textBox( "TABCLASSES_id_classe",  false, stWidth, 100 ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="TABCLASSES_nome_classe"><%= oDec.k("edit_record_classes_name") %></label>
        <div><%= oH.textBox( "TABCLASSES_nome_classe",  true, stWidth, 100 ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="TABCLASSES_des_classe"><%= oDec.k("edit_record_description") %></label>
        <div><%= oH.textBox( "TABCLASSES_des_classe",  true, stWidth, 100 ) %></div>
      </div>
    </div>

    <div class="L-row L-gap-16 L-align-flexstart">
      <div class="L-column L-gap-8 L-width-50">
        <label class="L-row L-gap-8" for="TABCLASSES_chiavi">
          <%= oDec.k("edit_record_classes_keys") %>
          <a id="keyhelper" class="keyhelper L-pointer" loway-icon="file-edit"></a>
        </label>
        <div><%= oH.textArea( "TABCLASSES_chiavi",  true, stWidth + " height: 100px;", 10000 ) %></div>
      </div>
    </div>

    <div class="L-row L-gap-8">
      <div class="L-tertiary-text">
        <%= oDec.k("edit_record_classes_usersinclass") %>
      </div> 
      <%= nUsersBelonging %>
    </div>
  </div>

  <div class="L-row L-justify-spacebetween">
    <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCLASSES_id_classe") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCLASSES_id_classe") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCLASSES_id_classe") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCLASSES_nome_classe")+"','"+oC.getS("TABCLASSES_id_classe")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
</div>


<div id="keyhelperModal" loway-modal>
  <div class="qm-modal-dialog L-border-radius-2" style="width: 700px;">
    <div class="L-column L-gap-24">
      <h2 class="L-title">Handle Keys</h2>
      <div id="keyhelper-contents">

      </div>

      <div class="L-row L-gap-24 L-justify-flexend">
        <button class="Q-button Q-button-tertiary" type="button" id="LowayModal-cancel" ><%= oDec.k("modal_cancel") %></button>
        <button class="Q-button Q-button-primary qm-button-ok" autofocus="" id="LowayModal-ok" ><%= oDec.k("modal_ok") %></button>
      </div>
    </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>