<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_ivr";
    final String stTabPrefix  = "TABIVR";
    String stWidth = "";
%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  setFocus( "TABIVR_ivr_k" );
}
</script>


<div class="qm-form-body L-column L-gap-24">
  <div class="L-row L-justify-spacebetween">
    <h2><%= oDec.k("edit_record_ivr_title") %></h2>
    <!------------ Not editable items ---------------->
    <%= LowayHtml.sysFields( oC, oDec, "TABIVR", "ivr_id" ) %>
   
  </div>

  <div class="L-column L-gap-24">
    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8">
        <label for="TABIVR_ivr_k"><%= oDec.k("edit_record_ivr_code") %></label>
        <div><%= oH.textBox( "TABIVR_ivr_k", true, stWidth, 100 ) %></div>
      </div>
      
      <div class="L-column L-gap-8 L-width-50">
        <label for="TABIVR_ivr_v"><%= oDec.k("edit_record_description") %></label>
        <div><%= oH.textBox( "TABIVR_ivr_v", true, stWidth, 200 ) %></div>
      </div>
    </div>

    <div class="L-row L-justify-spacebetween">
      <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABIVR_ivr_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABIVR_ivr_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABIVR_ivr_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABIVR_ivr_k")+"','"+oC.getS("TABIVR_ivr_id")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>