<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_qa_items";
    final String stTabPrefix  = "TABQA_FORMS_ITEMS";
    //--------------------------------------------------------------
    class bmItemDecor implements TpfCellDecoratorInterface {
            HtmlGeneratorEx obH = null;
            public bmItemDecor( HtmlGeneratorEx oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                String stButton = obH.iconButton("<span loway-icon='pencil' title='Edit'></span>", true, "", stVerbPrefix + "_edit", stTesto, "Q-button-icon");
//                                + obH.imgButton( "../img/icons_silk/group_edit.png", "Edit", true, "", "qm_cfg2_queues_agents", stTesto );
                return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
    class yesNoDecor implements TpfCellDecoratorInterface {
        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            int inCode = lt.getI(r, c );
            String stTesto = "<span loway-icon='close-circle' class='L-error'></span>";
            if ( inCode > 0 ) {
                stTesto = "<span loway-icon='close-circle' class='L-error'></span>";
            }
            return  "  <td class='stData' style='width: " + width + "; text-align: left;'>" + stTesto+ "</td>\n";
        }
    };
    class yesNoMandatoryDecor implements TpfCellDecoratorInterface {
        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            int inCode = lt.getI(r, c );
            String stTesto = "<span loway-icon='close-circle' class='L-error'></span>";
            if ( inCode > 0 ) {
                stTesto = "<span loway-icon='check-circle' class='L-success'></span>";
            }
            return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stTesto+ "</td>\n";
        }
    };
%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
}


</script>


<div class="qm-form-body L-column L-gap-24">
  <h2><%=oDec.k("edit_qaitems_title")%></h2>

  <div class="L-row L-justify-spacebetween">

    <%-- search line --%>
    <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N") %>
      <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')", "Q-button-secondary") %>
      <%= oH.iconButton( oDec.k("editor_edit_items") + "<span loway-icon='chevron-right'></span>", true, "", "qm_cfg2_qa_items_list", "", "Q-button-tertiary") %>
    </div>
  </div>


  <%
      SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
          it.loway.app.queuemetrics.configurazione.cfg2.ptQAItems.SORTINGS );

      //stT.addColumn( "&nbsp;",      10   , "10"   );
      stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
      stT.addColumn( oDec.k("edit_qaitems_engagement_code"), 1   , "150", "itc" );
      stT.addColumn( oDec.k("edit_qaitems_description"),     2   , "350", "itd" );
      stT.addColumn( oDec.k("edit_qaitems_weight"),          3   , "60", "" );
      stT.addColumn( oDec.k("edit_qaitems_shortcut"),        4   , "40" , new yesNoDecor() );
      stT.addColumn( oDec.k("edit_qaitems_section_shortcut"),8   , "40" , new yesNoDecor() );
      stT.addColumn( oDec.k("edit_qaitems_mandatory"),       7   , "40" , new yesNoMandatoryDecor() );
      stT.addColumn( "&nbsp;",          0   ,  "40", new bmItemDecor( oH )   );
      if ( stT.getNRigheTotaliQuery() > 0 ) {
  %>
      <%@ include file="/includes/qm_adm/11_qm_adm_loway_pagination.jspf" %>
  <%
      }
  %>
  <%
      if ( stT.numRows() > 0 ) {
          stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped" );
          out.println( stT.render() );
      }
      if ( stT.getNRigheTotaliQuery() == 0 ) {
  %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
  <%
      } else { // ci sono righe
  %>
      <%@ include file="/includes/qm_adm/10_qm_adm_pagination_buttons.jspf" %>
  <%
      };
  %>

</div>
<%@ include file="/includes/00_page_footer.jspf" %>