<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.app.queuemetrics.gridSmartTableDecorators.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.QAPerfTrackRules" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_qa_perftrack_rulegroups";
    final String stTabPrefix  = "TABQA_PERFTRACKRULEGROUPS";
    final String stSmartTablePrefix = stTabPrefix + "_rl";
    final String stWidth = "";
%>
<%
    class btnModDecor implements TpfCellDecoratorInterface {
            HtmlGenerator obH = null;
            public btnModDecor( HtmlGenerator oHx) { obH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int nItems     = lt.getI(r, 10 );
                String stTesto = lt.getS(r, c );
                String stButton = obH.imgButtonJS( "../img/icons_silk/pencil.png", "Edit", true, "", "openEditPopup(" + stTesto + ");");
                return  "  <td class='stData' style='width: " + width + ";'><nobr>" + stButton + "</nobr></td>\n";
            }
    };
%>

<script>

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";

/*

        // This is the modal dialog for defining custom rules
        $("#dialog-modal-customrule").dialog({
            height: 580,
            width: 550,
            autoOpen: false,
            modal: true,
            buttons: {
                    Save: function() { closeCustomRuleDefDialog($(this), true); },
                    Cancel: function() { closeCustomRuleDefDialog($(this), false); }
            }
        });
*/
        // Initialize objects used by the custom rule definition dialog
        //onPageLoadCustomRuleDefDialog();
}


var page_cfg2_qa_perftrack_rulegroups_edit = true;
var stTabPrefix = "<%=stTabPrefix%>";
var stSmartTablePrefix = "<%=stSmartTablePrefix%>";
var QAPerfTrackRules = { RULE_TARGETNAME_COL : "<%=QAPerfTrackRules.RULE_TARGETNAME_COL%>",
                         RULE_RED_DEF_COL : "<%=QAPerfTrackRules.RULE_RED_DEF_COL%>",
                         RULE_YELLOW_DEF_COL : "<%=QAPerfTrackRules.RULE_YELLOW_DEF_COL%>" };

var KENCODING_UTF8 = "<%= K.ENCODING_UTF8 %>";

</script>

<div class="qm-form-body L-column L-gap-24">
  <h2><%= oDec.k("edit_record_prftrk_title") %></h2>
  <div class="L-grid L-gap-64">
    <div class="left">
      <div class="L-column L-gap-24">
        <div class="L-row L-gap-16">
          <div class="L-column L-gap-8 L-width-50">
            <label for="<%= (stTabPrefix + "_rule_name") %>"><%= oDec.k("edit_record_name") %></label>
            <div><%= oH.textBox( stTabPrefix + "_rule_name",  true, stWidth, 256 ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-50">
            <label for="<%= (stTabPrefix + "_queue_id")%>"><%= oDec.k("edit_record_prftrk_queue") %></label>
            <div><%= oH.combo( stTabPrefix + "_queue_id", true, stWidth, oC.getLt( "DATI_code" ), 2, 0, "" ) %></div>
          </div>
        </div>

        <div class="L-row">
          <div class="L-column L-gap-8 L-width-100">
            <label for="<%= (stTabPrefix + "_rule_description")%>"><%= oDec.k("edit_record_description") %></label>
            <div><%= oH.textArea( stTabPrefix + "_rule_description",  true, stWidth + "", 10000 ) %></div>
          </div>
        </div>
      </div>
    </div>

    <div class="right">
      <div class="L-column L-gap-24">
        <div class="L-row L-gap-16">
          <div class="L-column L-gap-8 L-width-25">
            <label for="<%= (stTabPrefix + "_form_id")%>"><%= oDec.k("edit_record_prftrk_form") %></label>
            <div><%= oH.combo( stTabPrefix + "_form_id", true, stWidth, oC.getLt( "QAR_ltFormsReports" ), 0, 1, "" ) %></div>
          </div>

          <div class="L-column L-gap-8">
            <label for="<%= (stTabPrefix + "_visibility_key")%>"><%= oDec.k("edit_record_securitykey") %></label>
            <div><%= oH.textBox( stTabPrefix + "_visibility_key",  true, stWidth, 100 ) %></div>
          </div>
        </div>
      </div>
    </div>
  </div>
  
  <div id="div1" style="display: <%= (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 )? "block" : "none" %>">
    <%
      GridSmartTable stT = new GridSmartTable( stSmartTablePrefix, "", stTabPrefix + "_ruleslist", oC, oDec);
      stT.addColumn( oDec.k("edit_record_prftrk_target"), QAPerfTrackRules.RULE_TARGETNAME_COL, "");
      stT.addColumn( oDec.k("edit_record_prftrk_enabled"), QAPerfTrackRules.RULE_ENABLED_COL, "", new YesNoGridSmartTableDecor(stT));
      stT.addColumn( "&nbsp;", QAPerfTrackRules.RULE_ID_COL, "20", new ButtonGridSmartTableDecor(stT, "Edit", "editRule").setEnableCol(QAPerfTrackRules.RULE_AVERAGED_COL, 1));
      stT.addColumn( oDec.k("edit_record_prftrk_yellow"), QAPerfTrackRules.RULE_YELLOW_DEF_COL, "", new TextBoxGridSmartTableDecor(stT));
      stT.addColumn( oDec.k("edit_record_prftrk_score"), QAPerfTrackRules.RULE_YELLOW_SCORE_COL, "", new TextBoxGridSmartTableDecor(stT));
      stT.addColumn( oDec.k("edit_record_prftrk_red"), QAPerfTrackRules.RULE_RED_DEF_COL, "", new TextBoxGridSmartTableDecor(stT));
      stT.addColumn( oDec.k("edit_record_prftrk_score"), QAPerfTrackRules.RULE_RED_SCORE_COL, "", new TextBoxGridSmartTableDecor(stT));
      if ( stT.numRows() > 0 ) {
          out.println( stT.render() );
      }
    %>
  </div>

  <div class="L-row L-justify-spacebetween">
    <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
      <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
      <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABQA_PERFTRACKRULEGROUPS_id_rulegroup") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABQA_PERFTRACKRULEGROUPS_rule_name")+"','"+oC.getS("TABQA_PERFTRACKRULEGROUPS_id_rulegroup")+"')", "Q-button-secondary") %>
    </div>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
  </div>

  <%@ include file="./cfg2_qa_customruledef.jsp" %>
</div>
<%@ include file="/includes/00_page_footer.jspf" %>