<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_queues";
    final String stTabPrefix  = "TABCODE_POSSIBILI";
    //--------------------------------------------------------------
    class buttonModificaDecor implements TpfCellDecoratorInterface {
            private HtmlGeneratorEx oH = null;
            public buttonModificaDecor( HtmlGeneratorEx oHx) { oH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String idToEdit = lt.getS(r, c );
                //String stButton = obH.button( "...", true, "width: 20px", stVerbPrefix + "_edit", stTesto );
                String stButton = oH.iconButton("<span loway-icon='pencil' title='Edit queue'></span>", true, "", stVerbPrefix + "_edit", idToEdit, "Q-button-icon")
                                + oH.iconButton("<span loway-icon='group' title='Edit agents'></span>", true, "", "qm_cfg2_queues_agents", idToEdit, "Q-button-icon")
                                + oH.iconButton("<span loway-icon='user' title='Assign reports to agents'></span>", true, "", "qm_cfg2_queues_ssar_agents", idToEdit, "Q-button-icon");
                return  "  <td class='stData' style='width: " + width + ";'><div class='L-row L-gap-16 L-justify-flexend'>" + stButton + "</div></td>\n";
            }
    };
    class wrapUpDecor implements TpfCellDecoratorInterface {
            public wrapUpDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData' style='width: " + width + ";'>" + stTesto+ " s.</td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
    class aliasDecor implements TpfCellDecoratorInterface {
            String stSampleImage = "";
            public aliasDecor( String image ) { stSampleImage = image; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                String stInOutbound = lt.getS(r, 10 );
                if (stInOutbound.length() == 0) {
                    stInOutbound = KA.QDIRECTION_UNDEFINED;
                }
                if (stInOutbound.equals("undefined")) {
                    stInOutbound = "any-direction";
                }

                String iconClass = "";

                if (stInOutbound.equals("inbound")) {
                    iconClass = "L-success";
                } else if (stInOutbound.equals("outbound")) {
                    iconClass = "L-warning";
                } else {
                    iconClass = "L-information";
                }

                String icon = "<span loway-icon='" + stInOutbound + "' ></span>";
                return "  <td class='stData' style='width: " + width + ";'> <div class='L-row L-gap-8 " + iconClass + "' >" + icon + stTesto + " </div></td>\n";
            }
    };
    class queuesDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                stTesto = U.subst( stTesto, "|", ", " );
                return  "  <td class='stData' style='width: " + width + ";'>" + stTesto + "</td>\n";
            }
    };

    class yesNoDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int inCode = lt.getI(r, c );
                String stTesto = "<span loway-icon='close-circle' class='L-error' width=16 height=16 />";
                if ( inCode > 0 ) {
                    stTesto = "<span loway-icon='check-circle' class='L-success' width=16 height=16 />";
                }
                return  "  <td class='stData' style='width: " + width + "; text-align: left;'>" + stTesto+ "</td>\n";
            }
    };
    class topAlignDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stText = lt.getS(r, c );
                return  "  <td class='stData' style='width: " + width + "; text-align: left; vertical-align: top;'>" + stText + "</td>\n";
            }
    };
%>

<script>
  function onLoadApplicativo() {
  	// transazione standard
  	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
  	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";

    //setFocus( "<%= PagedTransactor.getQueryField( stTabPrefix ) %>" );
  }

  var page_enableAdminSearch = true;
  var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
  var stVerbPrefix = "<%=stVerbPrefix%>";

</script>


<div class="qm-form-body">
  <div class="L-column L-gap-24">
    <h2><%=oDec.k("edit_queues_title")%></h2>
    <div class="qm-editor-search">
      <%-- search line --%>
      <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

      <div class="qm-editor-button"><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N", "Q-button-primary") %></div>
      <div ><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')", "Q-button-secondary") %></div>
    </div>
    <%
        SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
            it.loway.app.queuemetrics.configurazione.cfg2.ptQueues.SORTINGS );

        //stT.addColumn( "&nbsp;",      10   , "10"   );
        //stT.addColumn( "&nbsp;",  0 , "30px", new   selectDecor( )   );
        stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
        stT.addColumn( oDec.k("edit_queues_alias"),      1   , "150px",   "ali" , new aliasDecor( "<img src='" + stWebHere + "/img/icon_##DIR##.png'" + KA.SIZE_ICONS_IN_OUT + ">" ) );
        stT.addColumn( oDec.k("edit_queues_queues"),     2   , "350px", "que", new queuesDecor()   );
        //stT.addColumn( "Wrap",           7  , "50px", "wra", new wrapUpDecor() );
        //stT.addColumn( "Ann.",           8  , "50px", "ann", new wrapUpDecor() );
        stT.addColumn( oDec.k("edit_queues_key"),            9  , "50px", "key" );
        stT.addColumn( oDec.k("edit_queues_fp"),             11 , "50px", "frp", new yesNoDecor() );
        stT.addColumn( oDec.k("edit_queues_agents"),         6  , "90px", new topAlignDecor() );
        stT.addColumn( "&nbsp;",  0 , "90px", new buttonModificaDecor( oH )   );

        if ( stT.getNRigheTotaliQuery() > 0 ) {
    %>
        <%@ include file="/includes/qm_adm/11_qm_adm_loway_pagination.jspf" %>
    <%
        }
    %>
    <%
        if ( stT.numRows() > 0 ) {
            stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped L-width-100" );
            out.println( stT.render() );
        }
        if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
        <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
    <%  }
            else
        { // ci sono righe
    %>
        <%@ include file="/includes/qm_adm/10_qm_adm_pagination_buttons.jspf" %>
    <% }; %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
//
%>
