<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataExporters.DataExporterFactory" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_reports_export";
    final String stTabPrefix  = "TABREPORTS_EXPORT";
    //--------------------------------------------------------------
    class buttonModificaDecor implements TpfCellDecoratorInterface {
            private LDecoder oDec = null;
            private LUser oU = null;
            private LTable export_jobs_with_cronjobs = null;
            private HtmlGeneratorEx oH = null;
            public buttonModificaDecor( HtmlGeneratorEx oHx, LDecoder oDecx, LUser oUx, LTable export_jobs_with_cronjobs) {
                this.oH = oHx;
                this.oDec = oDecx;
                this.oU = oUx;
                this.export_jobs_with_cronjobs = export_jobs_with_cronjobs;
            }
            public String decorate(LTable lt, int r, int c, String width) throws TechException {

                String idToEdit = lt.getS(r, c );
                String stButtonEdit = oH.iconButton( "<span loway-icon='pencil' title='Edit queue'></span>", true, "", stVerbPrefix + "_edit", idToEdit, "Q-button-icon" );
                String stButtonTest = "";
                String stButtonCronjob = "";
                int exportId = lt.getI(r, 0);

                if ((oU.hasKey("USR_REPORTS_EXPORT") && (lt.getS(r, 4) != "-1"))) {
                    stButtonTest = oH.drawIconButton( "<span loway-icon='play-circle' title='" + oDec.k("reports_export_test_icon") + "'></span>", true, "", "javascript:testExport("+idToEdit+")", "Q-button-icon" );
                }

                for(int i = 0 ; i < export_jobs_with_cronjobs.numRows(); i++){
                    if(exportId == export_jobs_with_cronjobs.getI(i,1)){
                        stButtonCronjob = oH.iconButton( "<span loway-icon='clock' title='Edit Cronjob'></span>", true, "", "qm_cfg2_cronjobs" + "_list", idToEdit, "Q-button-icon" );
                    }
                }

                String stButton = stButtonTest + " " + stButtonCronjob + " " + stButtonEdit;

                return  "  <td class='stData' style='width: " + width + ";'><div class='L-row L-gap-16 L-justify-flexend'>" + stButton  + "</div></td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
    class exportTypeIconDecor implements TpfCellDecoratorInterface {

            private HtmlGenerator obH = null;
            private LDecoder oDec = null;
            public exportTypeIconDecor( HtmlGenerator oHx, LDecoder oDecx) {
                obH = oHx;
                oDec = oDecx;
            };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                String stIcon = "";
                if (stTesto.compareToIgnoreCase(DataExporterFactory.DATA_EXPORTER_EXCEL) == 0) {
                    stIcon = "<span loway-icon='file-excel' width=16 height=16 title='" + oDec.k("reports_export_mode_excel") + "'/>";
                } else if (stTesto.compareToIgnoreCase(DataExporterFactory.DATA_EXPORTER_PDF) == 0) {
                    stIcon = "<span loway-icon='file-acrobat' width=16 height=16 title='" + oDec.k("reports_export_mode_pdf") + "'/>";
                }
                return  "  <td class='stData' style='width: " + width + ";'>" + stIcon + "</td>\n";
            }
    };
    class reportPeriodDecor implements TpfCellDecoratorInterface {
        private LTable availablePeriods = null;
        public reportPeriodDecor(LTable ltAvailablePeriods) {
            availablePeriods = ltAvailablePeriods;
        }
        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stKey = lt.getS(r, c);
            String stValue = FA.decodificaDaLTable(stKey, availablePeriods, 0, 1, true);
            return "  <td class='stData' style='width: " + width + ";'>" + stValue + "</td>\n";
        }
    }
    class reportSetDecor implements TpfCellDecoratorInterface {
        private LTable availableReports = null;
        public reportSetDecor(LTable ltAvailableReports) {
            availableReports = ltAvailableReports;
        }
        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stKey = lt.getS(r, c);
            String stValue = FA.decodificaDaLTable(stKey, availableReports, 0, 1, true);
            return "  <td class='stData' style='width: " + width + ";'>" + stValue + "</td>\n";
        }
    }
    class queueSetDecor implements TpfCellDecoratorInterface {
        private LTable availableQueues = null;
        public queueSetDecor(LTable ltAvailableQueues) {
            availableQueues = ltAvailableQueues;
        }
        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            String stKey = lt.getS(r, c);
            String stValue = FA.decodificaDaLTable(stKey, availableQueues, 2, 0, true);
            return "  <td class='stData' style='width: " + width + ";'>" + stValue + "</td>\n";
        }
    }
    class wrapUpDecor implements TpfCellDecoratorInterface {
            public wrapUpDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData' style='width: " + width + ";'>" + stTesto+ " s.</td>\n";
            }
    };
    class aliasDecor implements TpfCellDecoratorInterface {
            String stSampleImage = "";
            public aliasDecor( String image ) { stSampleImage = image; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                String stInOutbound = lt.getS(r, 10 );
                boolean bInvalidAgents = lt.getI(r,12) != 0;
                String stImg = U.subst( stSampleImage, "##DIR##", stInOutbound );
                String stColor = bInvalidAgents? " color:red;" : "";
                return "  <td class='stData' style='width: " + width + ";" + stColor + "'>" + stImg + "&nbsp;" + stTesto + " </td>\n";
            }
    };
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
  //setFocus( "<%= PagedTransactor.getQueryField( stTabPrefix ) %>" );
}

var page_enableAdminSearch = true;
var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
var stVerbPrefix = "<%=stVerbPrefix%>";

function testExport(exportId) {
    stURL = "qm_export_stats_run2.do?exportId=" + exportId;
    unique = new Date().getTime();
    stDestUrl = stURL + "&cachebreak=" + unique;
    window.location.href = stDestUrl;
}

var page_enableAdminSearch = true;
var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
var stVerbPrefix = "<%=stVerbPrefix%>";
</script>

<div class="qm-form-body">
  <div class="L-column L-gap-24">
    <h2><%=oDec.k("edit_exports_title")%></h2>

    <div class="qm-editor-search">
      <%-- search line --%>
      <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>

      <div class="qm-editor-button"><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N", "Q-button-primary") %></div>
      <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')", "Q-button-secondary") %></div>
    </div>

    <%
        LTable ltCode = oC.getLt( "DATI_code" );
        LTable ltPeriods = oC.getLt("DATI_report_export_periods");
        LTable ltReports = oC.getLt("DATI_dynpages_qmreports");
        LTable export_jobs_with_cronjobs = oC.getLt("export_jobs_with_cronjobs");
        SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
            it.loway.app.queuemetrics.configurazione.cfg2.ptQueues.SORTINGS );

        stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
        stT.addColumn( oDec.k("edit_exports_title_field"),         1   , "150px", "tit" );
        stT.addColumn( oDec.k("edit_exports_period"),        2   , "150px", "per", new reportPeriodDecor(ltPeriods) );
        stT.addColumn( oDec.k("edit_exports_queue"),         3   , "150px", "que", new queueSetDecor(ltCode) );
        stT.addColumn( oDec.k("edit_exports_report_set"),    4   , "100px", "rty", new reportSetDecor(ltReports) );
        stT.addColumn( "&nbsp;",        5   , "20px",  "ety", new exportTypeIconDecor(oH, oDec) );
        stT.addColumn( oDec.k("edit_exports_email_list"),    7   , "200px", "ema" );
        stT.addColumn( oDec.k("edit_exports_id"),            0   , "50px", "idj" );
        stT.addColumn( "&nbsp;",        0   , "200", new  buttonModificaDecor( oH, oDec, oU, export_jobs_with_cronjobs ) );

        if ( stT.getNRigheTotaliQuery() > 0 ) {
    %>
    <%@ include file="/includes/qm_adm/11_qm_adm_loway_pagination.jspf" %>
    <%
        }

        if ( stT.numRows() > 0 ) {
            stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped L-width-100" );
            out.println( stT.render() );
        }
        if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
        <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
    <%
        } else { // ci sono righe
    %>
    <%@ include file="/includes/qm_adm/10_qm_adm_pagination_buttons.jspf" %>
    <%
        };
    %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
//
%>
