<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_skills";
    final String stTabPrefix  = "TABSKILLS";
    int id = oC.getI( stTabPrefix + "_skill_id" );
    String stWidth = "";
    if(!oC.defined("TABSKILLS_sk_sort_weight")){
        oC.putI("TABSKILLS_sk_sort_weight", 10);
    }
%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  setFocus( "TABSKILLS_sk_code" );
}
</script>


<div class="qm-form-body L-column L-gap-24">
  <div class="L-row L-justify-spacebetween">
    <h2><%= oDec.k("edit_record_skills_title") %></h2>
    <!------------ Not editable items ---------------->
    <%= LowayHtml.sysFields( oC, oDec, "TABSKILLS", "skill_id" ) %>
    
  </div>

  <div class="L-column L-gap-24">
    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8">
        <label for="TABSKILLS_sk_code"><%= oDec.k("edit_record_skills_code") %></label>
        <div><%= oH.textBox( "TABSKILLS_sk_code", true, stWidth, 100 ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="TABSKILLS_sk_descr"><%= oDec.k("edit_record_description") %></label>
        <div><%= oH.textBox( "TABSKILLS_sk_descr", true, stWidth, 200 ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="TABSKILLS_sk_sort_weight"><%= oDec.k("edit_record_skills_sort_weight") %></label>
        <div><%= oH.textBox( "TABSKILLS_sk_sort_weight", true, stWidth, 200 ) %></div>
      </div>
    </div>

    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8">
        <label for=""><%= oDec.k("edit_record_skills_visibility") %></label>
        <div><%= oH.textBox( "TABSKILLS_key_visible", true, stWidth, 200 ) %></div>
      </div>
    </div>
  </div>

  <div class="L-row L-justify-spacebetween">
    <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
    <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (id > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (id > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (id > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABSKILLS_sk_code")+"','"+id+"')", "Q-button-secondary") %> 
    </div>
    <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
