<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.app.queuemetrics.tasks.transactions.showTasksList" %>
<%@ page import="it.loway.app.queuemetrics.tasks.transactions.countTaskReportDetails" %>
<%@ page import="it.loway.app.queuemetrics.tasks.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.tasks.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.timestampUnixDecor" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.agentGroupsIconDecorator" %>
<%@ page import="java.util.*" %>

<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>

<%
        String stWidth      = "width: 280px;" ;

%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}

</script>


<div class="qm-form-body">
  <h1><%= oDec.k("tsk_report_detail_title") %></h1>

  <%
    LTable taskReport = oC.getLt("TASK_REPORT_DETAILS");
    if (taskReport.numRows() != 0) {

      SmartTable T = new SmartTable( "x", taskReport );
      T.setDecoder(oDec);
      T.addColumn( oDec.k("tsk_list_tbl_id"), countTaskReportDetails.TASK_ID_COL, "60");
      T.addColumn( oDec.k("tsk_report_hdr_task_type") ,  countTaskReportDetails.TASK_TYPE_COL, "80", new taskTypeDecor(TaskFactory.getTaskListInReadableFormat(false), TaskFactory.TASK_LIST_COLUMN_ID, TaskFactory.TASK_LIST_COLUMN_NAME, TaskFactory.TASK_LIST_COLUMN_ICON));
      T.addColumn( oDec.k("tsk_report_hdr_processid") ,  countTaskReportDetails.TASK_PROCESSID_COL, "120", new taskProcessFieldDecor(0, countTaskReportDetails.TASK_PROCESSFAMILY_COL) );
      T.addColumn( oDec.k("tsk_detail_short"), countTaskReportDetails.TASK_DESCRIPTION_COL, "180");
      T.addColumn( oDec.k("tsk_list_tbl_status"), countTaskReportDetails.TASK_STATUS_COL, "50", new taskStatusDecor(oDec));
      T.addColumn( oDec.k("tsk_detail_from") ,  countTaskReportDetails.TASK_FROM_COL, "100");
      T.addColumn( "&nbsp;", countTaskReportDetails.TASK_FROM_CGROUP_ICON_COL, "20", new agentGroupsIconDecorator(oH));
      T.addColumn( oDec.k("tsk_detail_to") , countTaskReportDetails.TASK_TO_COL, "100");
      T.addColumn( "&nbsp;", countTaskReportDetails.TASK_TO_CGROUP_ICON_COL, "20", new agentGroupsIconDecorator(oH));
      T.addColumn( oDec.k("tsk_detail_createdOn") , countTaskReportDetails.TASK_CREATED_COL, "100", new timestampUnixDecor());
      T.addColumn( oDec.k("tsk_detail_validFrom") , countTaskReportDetails.TASK_VALIDFROM_COL, "100", new timestampUnixDecor());
      T.addColumn( oDec.k("tsk_detail_expiresOn") , countTaskReportDetails.TASK_EXPIRESON_COL, "100", new timestampUnixDecor());
      T.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped L-width-100" );
      out.println(T.render());
    }
  %>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
//
%>
