<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.app.queuemetrics.tasks.transactions.showTasksList" %>
<%@ page import="it.loway.app.queuemetrics.tasks.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.tasks.*" %>
<%@ page import="java.util.*" %>

<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.agentGroupsIconDecorator" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.oraTimestampDecor" %>

<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%

    final String stVerbPrefix = "qm_tasks";
    final String stTabPrefix  = "TABTASKS_LIST";

    int iWidth          = 100;
    String stWidthInner = "" ;

    int alertPeriod = oC.getI("TASKSLIST_PERIOD");

    class taskDetailsDecor implements TpfCellDecoratorInterface {

        private int taskIdColumn = 0;
        private HtmlGenerator obH = null;

        public taskDetailsDecor( int taskIdColumn, HtmlGenerator oHx) {
            this.taskIdColumn = taskIdColumn;
            obH = oHx;
        };

        public String decorate(LTable lt, int r, int c, String width) throws TechException {
            int taskId = lt.getI(r, taskIdColumn);

            String stButton = "<A HREF=\"javascript:viewTaskDetail('" + taskId + "');\"><IMG CLASS='imgButton' SRC=\"../img/icons_silk/pencil.png\" ALT=\"Detail\" TITLE=\"Detail\" BORDER='0' ></a>";
            return  "  <td class='stData' style='width: " + width + ";'>" + stButton + "</td>\n";
        }
    }

%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

        if (document.getElementById("TASKSLIST_VIEW") != null) {
            document.getElementById("TASKSLIST_VIEW").onchange = OnChangeCboViews;
        }

        if (document.getElementById("TABTASKS_LIST_TASK_TYPE") != null) {
            document.getElementById("TABTASKS_LIST_TASK_TYPE").onchange = OnChangeCboViews;
        }

        // Initialize JQuery UI elements
        //$("#TABTASKS_LIST_DUE_START_DATE").datepicker( { dateFormat: 'yy-mm-dd' } );
        //$("#TABTASKS_LIST_DUE_END_DATE").datepicker( { dateFormat: 'yy-mm-dd' } );
}

function OnChangeCboViews() {

    startTransaction('qm_memo_load', '');
}

function viewTaskDetail(taskId) {
    document.location.href = "qm_task_detail.do?TASK_tskid=" + taskId;
}

</script>

<div class="qm-form-body">
  <div class="L-grid">
    <div class="L-column L-gap-24">
      <h2><%= oDec.k("tsk_lists_title") %></h2>
      <div class="L-grid-3">
        <label for="TASKSLIST_VIEW" ><%= oDec.k("tsk_lists_visibility")%></label>
        <div><%= oH.combo( "TASKSLIST_VIEW", true, "",oC.getLt( "TASKSLIST_VIEWS" ), 0, 1, oC.getS("TASKSLIST_VIEW") ) %></div>

        <label for="<%=PagedTransactor.getQueryField( stTabPrefix )%>" ><%= oDec.k("tsk_lists_view")%></label>
        <div><%= oH.textBox( PagedTransactor.getQueryField( stTabPrefix ), true, "", 100)  %></div>

        <div class="L-text-center"><%= oH.button( oDec.k("tsk_lists_search"), true, "", stVerbPrefix + "_list", "WithQuery" ) %></div>
      </div>
    </div>

    <div class="L-column L-gap-24">
      <h2><%= oDec.k("tsk_lists_extendedsearch") %></h2>

      <div class="L-grid-3">
        <label for="<%=(stTabPrefix+"_TASK_TYPE")%>" ><%= oDec.k("tsk_lists_tasktype")%></label>
        <div><%= oH.combo( stTabPrefix + "_TASK_TYPE", true, stWidthInner, TaskFactory.getTaskListInReadableFormat(true), TaskFactory.TASK_LIST_COLUMN_ID, TaskFactory.TASK_LIST_COLUMN_NAME, "" ) %></div>

        <label for="<%=(stTabPrefix + "_DUE_START_DATE")%>" ><%= oDec.k("tsk_lists_duestart_date")%></label>
        <div><%= oH.datepicker( stTabPrefix + "_DUE_START_DATE", true, stWidthInner, 100)  %></div>

        <label for="<%=(stTabPrefix + "_DUE_END_DATE")%>" ><%= oDec.k("tsk_lists_dueend_date")%></label>
        <div><%= oH.datepicker( stTabPrefix + "_DUE_END_DATE", true, stWidthInner, 100)  %></div>

        <label for="<%=(stTabPrefix + "_PROCESS_FIELD")%>" ><%= oDec.k("tsk_list_pfield")%></label>
        <div><%= oH.textBox( stTabPrefix + "_PROCESS_FIELD", true, stWidthInner, 100)  %></div>

        <label for="<%=(stTabPrefix + "_SHOW_FUTURE_TASKS")%>"><%= oDec.k("tsk_lists_show_future_tasks")%></label>
        <div><%= oH.checkBox( stTabPrefix + "_SHOW_FUTURE_TASKS", "")  %></div>
      </div>
    </div>
  </div>

<%
    SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list", showTasksList.SORTINGS );
    stT.setDecoder(oDec);

    stT.addColumn( oDec.k("tsk_list_tbl_id"), showTasksList.COL_TASK_ID, "40",   "id");
    stT.addColumn( oDec.k("tsk_list_tbl_from"), showTasksList.COL_TASK_FROM, "150",   "");
    stT.addColumn( oDec.k("tsk_list_tbl_agroup"), showTasksList.COL_TASK_ICON_AGENTGROUP, "20",   "", new agentGroupsIconDecorator(oH));
    stT.addColumn( oDec.k("tsk_list_tbl_ticon"), showTasksList.COL_TASK_ICON, "50",   "", new taskIconDecor());
    stT.addColumn( oDec.k("tsk_list_tbl_desc"), showTasksList.COL_TASK_TITLE, "300", "");
    stT.addColumn( oDec.k("tsk_list_tbl_expdate"), showTasksList.COL_TASK_EXPIRES_ON, "100", "dt", new oraTimestampDecor().enableAlerts(alertPeriod));
    stT.addColumn( oDec.k("tsk_list_tbl_status"), showTasksList.COL_TASK_STATUS, "50", new taskStatusDecor(oDec));
    stT.addColumn( oDec.k("tsk_list_pfield"), showTasksList.COL_TASK_PROCESSID, "50", new taskProcessFieldDecor(showTasksList.COL_TASK_ID, showTasksList.COL_TASK_PROCESSFAMILY));
    stT.addColumn( "&nbsp", 0 , "20", new taskDetailsDecor( showTasksList.COL_TASK_ID, oH ) );
    stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped L-width-100" );

    if ( stT.getNRigheTotaliQuery() > 0 ) {
%>
<%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>

<% } %>
<%
    if ( stT.numRows() > 0 ) {
        out.println( stT.render() );
    }

    if ( stT.getNRigheTotaliQuery() == 0 ) {
%>
<%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
<%
    } else { // ci sono righe
%>
<%@ include file="/includes/qm_adm/10_qm_adm_pagination.jspf" %>

<%
    };
%>
</div>


<%@ include file="/includes/00_page_footer.jspf" %>

<%
//
%>
