<%@page import="ch.loway.tpf.dbcreator.HttpTools"%>
<%@ page language="java" %>
<%@page pageEncoding="UTF-8"%>
<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.*" %>
<%@ page import="ch.loway.tpf.dbcreator.*" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.createDb.*" %>
<%@ include file="/includes/00_page_header_context.jspf" %>

<%
    // $Id: create_db.jsp,v 1.2 2015/09/28 08:41:15 marcos Exp $

    String stW = "";
    String op = HttpTools.read( request, "op");
    String rootAddress = HttpTools.read( request, "CDB_address", oC );
    String rootUser = HttpTools.read( request, "CDB_rootuser", oC );
    String rootPass = HttpTools.read( request, "CDB_rootpass", oC );

    String qmDb = HttpTools.read( request, "CDB_qmDb", oC );
    String qmUser = HttpTools.read( request, "CDB_qmUser", oC );
    String qmPass = HttpTools.read( request, "CDB_qmPass", oC );

    String dbDump = application.getRealPath("/WEB-INF/README/queuemetrics_sample.sql");

    UpdateSuite suite = new UpdateSuite();
    suite.addStep(
            (new TestMasterPassword())
            .setJdbc( JdbcUri.build(rootAddress, "mysql", rootUser, rootPass) )
    );
    suite.addStep(
            (new CreateDatabase( qmDb ))
            .setJdbc( JdbcUri.build(rootAddress, "mysql", rootUser, rootPass) )
    );
    suite.addStep(
            (new CreateLocalUser( qmDb, qmUser, qmPass ))
            .setJdbc( JdbcUri.build(rootAddress, "mysql", rootUser, rootPass) )
    );
    suite.addStep(
            (new UploadDatabase(dbDump))
            .setJdbc( JdbcUri.build(rootAddress, qmDb, qmUser, qmPass) )
    );

    if ( op.equalsIgnoreCase("run") ) {
        suite.run();

    } else {
        if ( rootAddress.length() == 0 ) { oC.putS( "CDB_address", "127.0.0.1" ); };
        if ( rootUser.length() == 0 ) { oC.putS( "CDB_rootuser", "root" ); };

        if ( qmDb.length() == 0 ) { oC.putS( "CDB_qmDb", "queuemetrics" ); };
        if ( qmUser.length() == 0 ) { oC.putS( "CDB_qmUser", "queuemetrics" ); };
        if ( qmPass.length() == 0 ) { oC.putS( "CDB_qmPass", "javadude" ); };
    }

%>

<%@ include file="dbupdateHeader.jsp" %>

<div id="bCorpo">

<style>
.db-install-result {
  display: flex;
  flex-flow: wrap;
  justify-content:space-between;
  flex-flow: column;
}

.db-install-result h1 {
  margin: 0;
}

.db-install-result .buttonandtext {
  text-align: center;
}

.buttonandtext .db-installed {
  font-weight: bold;
}
</style>

<form method="PUT" action="create_db.jsp">
  <div class="qm-form-body L-row L-gap-64 L-align-flexstart">
    <div class="L-column L-gap-48">

    <%if ( op.equalsIgnoreCase("run") ) { %>
      <div class="db-install-result">
        <div>
          <h1>Result</h1>
        </div>

        <div class="buttonandtext">
          <% if ( suite.wentWell() ) { %>
            <div class="db-installed"> Database installed successfully! <br>
              <a href="./qm_start.do" class="Q-button Q-button-primary">Click here to start <%=CS.QUEUEMETRICS%></a>
            </div>
          <% } else {%>
            <input type="submit">
          <% }; %>
        </div>

      </div>
      <hr>
      <div class="table-wrapper-db-install">
        <%=suite.toHtml() %>
      </div>

    <% } %>

      <%// suite.toHtml() %>

    <h1>Create <%=CS.QUEUEMETRICS%> database</h1>
    <div class="L-column L-gap-16">
      <div> This procedure may delete all data if you already have an existing <%=CS.QUEUEMETRICS%> database.</div>
      <div class="L-error"><b>If you already have a database, do not run this procedure.</b></div>
      <div> Parameters that are not editable and come from the web.xml file. If you need to change them, go edit the web.xml file.</div>
    </div>

    <div class="L-column L-gap-24">
      <h3 class="L-heading-divider">MySQL root information</h3>
        <div class="L-row L-gap-16">
          <div class="L-column L-gap-8 L-width-25">
            <label for="CDB_address">MySQL database address</label>
            <div><%= oH.textBox( "CDB_address",  false, stW, 100 ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="CDB_rootuser">MySQL root user</label>
            <div><%= oH.textBox( "CDB_rootuser",  true, stW, 100 ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="CDB_rootpass">MySQL root password </label>
            <div><%= oH.textBox( "CDB_rootpass",  true, stW, 100 ) %> </div>
          </div>
        </div>
    </div>

      <div class="L-column L-gap-24">
        <h3 class="L-heading-divider"><%=CS.QUEUEMETRICS%> database information</h3>
        <div class="L-row L-gap-16 L-align-flexend">
          <div class="L-column L-gap-8 L-width-25">
            <label for="CDB_qmDb"><%=CS.QUEUEMETRICS%> database</label>
            <div><%= oH.textBox( "CDB_qmDb",  false, stW, 100 ) %> </div>
          </div>
          <div class="L-column L-gap-8 L-width-25">
            <label for="CDB_qmUser"><%=CS.QUEUEMETRICS%> database user</label>
            <div><%= oH.textBox( "CDB_qmUser",  false, stW, 100 ) %></div>
          </div>

          <div class="L-column L-gap-8">
            <label for="CDB_qmPass"><%=CS.QUEUEMETRICS%> database password</label>
            <div><%= oH.textBox( "CDB_qmPass",  false, stW, 100 ) %></div>
          </div>

          <div class="L-row L-justify-flexend">
            <input type="hidden" name="op" value="run">
              <% if ( suite.wentWell() ) { %>

              <div > Database installed successfully! <br>

                <a href="./qm_start.do" class="Q-button Q-button-primary">Click here to start <%=CS.QUEUEMETRICS%></a>
              </div>
              <% } else {%>
                <input type="submit" class="Q-button-primary">

              <% }; %>
          </div>
        </div>
      </div>

      <!--
        <hr>
        <%= suite.toHtml() %>
      -->
      </div>

      <div class="L-column L-gap-16 L-width-25">
        <h4 class="L-heading-divider">Diagnostic tools</h4>
        <ul style="margin: 0; list-style: none; padding: 0;">
          <li><a href="dbtest_viewconfig.do">View configuration</a></li>
          <li><a href="dbtest_ami_choose.do">AMI tester</a></li>
          <li><a href="dbtest_inspector.do">Live DB inspector</a></li>
        </ul>
        <hr>
        <div class="L-column L-gap-8">
          <b>Note:</b>
          <div>Access to this page is supposed to be restricted.</div>
          <div>
            You can turn off access to this page by setting <i>default.viewTechInfo=false</i> in
            the <i>configuration.properties</i> file.
          </div>
      </div>
    </div>
  </form>
</div>

<%@ include file="dbupdateFooter.jsp" %>
