<%@ page language="java" %>
<%@page pageEncoding="UTF-8"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.SafeHtmlDecor" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.TextToAlertButtonDecor" %>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>

<div class="qm-form-body L-padding-32">
  <div class="L-column L-gap-24">
    <h2>AMI Queue tester</h2>
    <i>Current PBX platform: <%= oC.getS("DBTEST_ami_queue_platform")  %></i>
    <div class="L-justify-spacebetween">
      <h3>Command queue statistics</h3>
      <%= oH.iconButton( "<span loway-icon='refresh'></span>" +  "Reload" , true, "", "dbtest_ami_queue" , "", "Q-button-tertiary") %>
    </div>

    <div>
      <%
          SmartTable Tr = new SmartTable("x1", oC.getLt("DBTEST_ami_queue_recap") );
          Tr.setDecoder(oDec);
          Tr.addColumn("Server", 0, "50");
          Tr.addColumn("State",  1, "100");
          Tr.addColumn("Records",  2, "100");
          Tr.addColumn("From",  4, "200");
          Tr.addColumn("To",  3, "200");
          Tr.withTableClass( "qm-table Q-table qm-table-withborder L-width-100" );
          out.println(Tr.render());
      %>
    </div>

    <h3>AMI command queue</h3>
    <div>
      <%
          SmartTable T = new SmartTable("x1", oC.getLt("DBTEST_ami_queue") );
          T.setDecoder(oDec);
          T.addColumn("On", 7, "150", new SafeHtmlDecor());

          T.addColumn("Cmd", 1, "100", new SafeHtmlDecor());
          T.addColumn("Ext", 2, "100", new SafeHtmlDecor());
          T.addColumn("Agent", 3, "100", new SafeHtmlDecor());
          T.addColumn("Queue", 4, "100", new SafeHtmlDecor());
          T.addColumn("State", 5, "100", new SafeHtmlDecor());
          T.addColumn("User", 9, "150", new SafeHtmlDecor());

          T.addColumn("Sent (s.)", 10, "50", new SafeHtmlDecor());
          T.addColumn("Proc (s.)", 11, "50", new SafeHtmlDecor());
          T.addColumn("Server", 0, "50", new SafeHtmlDecor());

          T.addColumn("&nbsp;", 12, "50", new TextToAlertButtonDecor());

          T.withTableClass( "qm-table Q-table qm-table-withborder L-width-100" );
          out.println(T.render());
      %>
    </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>


