<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.tpf.common.containers.LDecoder" %>
<%@ page import="it.loway.app.queuemetrics.html.WizardNavigationBar" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.jdbcTester" %>
<%@ page import="it.loway.app.queuemetrics.jdbcTester.dbtestWizard" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.SafeHtmlDecor" %>

<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // Bug #4248 - Test SMTP delivery

    String smtpErr = oC.getS("DBTEST_smtptest_err");
    boolean onErr = !smtpErr.trim().isEmpty();
    
    LTable ltEncryption = new LTable();
    ltEncryption.putS(0, 0, "SSL/TLS");
    ltEncryption.putS(0, 1, "ENCRYPTION_SSLTLS");
    ltEncryption.putS(1, 0, "STARTTLS");
    ltEncryption.putS(1, 1, "ENCRYPTION_STARTTLS");
    oC.putLt("SMTP_encryption", ltEncryption);

%>
<FORM method="POST" action="./dbtest_smtp.do" encoding="UTF-8">

<div class="qm-form-body L-column L-gap-24 L-padding-32">
  <h2>Test SMTP delivery</h2>
  <div class="L-grid L-gap-80">
    <div class="L-column L-gap-16">
      <h3>Current Settings</h3>
      <div>
        <div>
          <div class="L-row L-gap-24 L-align-flexstart">
            <div class="L-column L-gap-16 L-width-100">
            <!---------------- First column ---------------->
              <div class="L-column L-gap-8">
                <label for="DBTEST_smtp_sendto">Send to</label>
                <%= oH.textBox( "DBTEST_smtp_sendto",  true, "", 100 ) %>
              </div>
              
              <div class="L-column L-gap-8">
                <label for="DBTEST_smtp_subject">With subject</label>
                <%= oH.textBox( "DBTEST_smtp_subject",  true, "", 100 ) %>
              </div>
              
              <div class="L-column L-gap-8">
                <label for="DBTEST_smtp_user">Login</label>
                <%= oH.textBox( "DBTEST_smtp_user",  true, "", 100) %>
              </div>
              
              <div class="L-column L-gap-8">
                <label for="DBTEST_smtp_pass">Password</label>
                <%= oH.textBox( "DBTEST_smtp_pass",  true, "", 100) %>
              </div>
            </div>
            <!---------------- Second column ---------------->
            <div class="L-column L-gap-16  L-width-100">
              <div class="L-column L-gap-8">
                <label for="DBTEST_smtp_host">SMTP relay host</label>
                <%= oH.textBox( "DBTEST_smtp_host",  true, "", 100 ) %>
              </div>
                
              <div class="L-column L-gap-8">
                <label for="DBTEST_smtp_port">SMTP port</label>
                <%= oH.textBox( "DBTEST_smtp_port",  true, "", 5 ) %>
              </div>
              
              <div class="L-column L-gap-8">
                <label for="DBTEST_smtp_from">SMTP from (Sender)</label>
                <%= oH.textBox( "DBTEST_smtp_from",  true, "", 100 ) %>
              </div>

              <div class="L-column L-gap-8">
                <label for="DBTEST_smtp_encryption">Encryption</label>
                <%= oH.combo( "DBTEST_smtp_encryption", true, "", oC.getLt( "SMTP_encryption" ), 1, 0, "" ) %>
              </div>

              <div class="L-flex-1 L-justify-flexend">
                <input class="Q-button-primary" type="submit" value="Test">
              </div>
            </div>

          </div>
        </div>

          <script>
            function onLoadApplicativo() {
              // transazione standard
              document.forms[0].TPF_VERBO.value = "dbtest_smtp";
              document.forms[0].TPF_XPAR1.value = "";
              setFocus( "AUTH_logon" );
            }
          </script>
      </div>
    </div>

    <div class="L-column L-gap-16">
      <h3>Computed Configuration</h3>

      <div class="L-column L-gap-8">
        <div>
          Daily email quota per user: <b><%= oC.getS("DBTEST_smtp_user_quota") %></b>
        </div>

        <div>
          Daily email quota across all users: <b><%= oC.getS("DBTEST_smtp_system_quota") %></b>
        </div>
      </div>
      <pre><%= oC.getSafeHtml( "DBTEST_smtptest_cfg" ) %> </pre>

      <h3>Results: <%= onErr ? "ERROR" : "OK" %></h3>
      <pre>
        <%= oC.getSafeHtml( "DBTEST_smtptest_err" ) %>
        <%= oC.getSafeHtml( "DBTEST_smtptest_log" ) %>
      </pre>
    </div>
  </div>

</div>

      </form>


<%@ include file="/includes/00_page_footer.jspf" %>
