<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.QAGradingDO" %>
<%@ page import="it.loway.app.queuemetrics.DO.SearchQuery"%>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    String stWidth = "";
    String stControlsWidth = "";
    String stNumbersWidth = "";

    boolean moveActionsEnabled = false;
    String stSendCBTTransaction = "qm_qa_grader_sendcbt";
    String stSendMeetingTransaction = "qm_qa_grader_sendmeeting";

    // Instanzia Data  Object appropriato
    QAGradingDO doQAG = new QAGradingDO();
    LProperties props = FA.props( application );
    doQAG.initJsp( oC, oDec, oU, props, stWebHere );

    SmartTable T = null;
%>

<script>
var isQaGraderPage = true;
var stSendCBTTransaction = "<%=stSendCBTTransaction %>";
var stSendMeetingTransaction = "<%=stSendMeetingTransaction%>";
var randomString = "<%= U.getRandomString(9) %>";

function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}



//this is totally pointless


/*

function openPopUpQAEvalURL( stUrl ) {
    unique = new Date().getTime();
    stUrl = "qm_qa_popup.do?" + stUrl +  "&cachebreak=<%= U.getRandomString(9) %>" + unique;
    eval("page" + unique + " = window.open( stUrl, 'QA', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=700,height=850,left = 200,top = 50');");
}



*/


// *   QAE_formId
// *   QAE_astclid
// *   QAE_agent      \
// *   QAE_call_tst   |--- Questi li passa il chiamante se devo completare
// *   QAE_queue      |    il form
// *   QAE_stcode     |
// *   QAE_caller     /

/*
function openPopUpQAByIdForInput( stFormId, stQMuId, stAgent, stCallTst, stQueue, stCaller, stCode  ) {
    openPopUpQAEvalURL( "QAE_formId="    + escape(stFormId)
                        + "&QAE_astclid="  + escape(stQMuId)
                        + "&QAE_agent="    + escape(stAgent)
                        + "&QAE_call_tst=" + escape(stCallTst)
                        + "&QAE_queue="    + escape(stQueue)
                        + "&QAE_caller="   + escape(stCaller)
                        + "&QAE_stcode="   + escape(stCode)
    );
}

function openPopUpQAByIdForView( stQADataId, stCode ) {
    openPopUpQAEvalURL( "QAE_loadById=" + stQADataId + "&QAE_stcode=" + escape(stCode) );
}
*/



// La funzione usata è in common.js - mentre questa viene usata dal
// decoratore QAShowFormDataDecor
//

function openPopUpQaReactGrader( url ) {
    openFullPagePopUp( url );
}

</script>

<div class="qm-form-body">
  <div class="L-column L-gap-32">
    <h2 class="L-heading-divider"><%= oDec.k("qa_reports") %>: <%= oDec.k("qa_grading_search_form") %></h2>

    <!-- grid start -->
    <div class="L-grid">
      <div class="qm-table">
      <%
        T = doQAG.dispatch( QAGradingDO.HEADER, "" );
        //T.withCaption( oDec.k("qa_reports") +" : "+  oDec.k("qa_grading_search_form") );
        T.withTableClass( "qm-table Q-table qm-table-withborder L-width-100" );
        out.println(T.render());
      %>
      </div>
    </div>

    <div class="LCard L-padding-24">
      <h3 class="L-justify-flexstart"><%= oDec.k("qa_grading_suggested_calls") %></h3>
      <div class="L-column L-gap-16">
        <div class="L-column L-gap-24">
          <%
            T = doQAG.dispatch( QAGradingDO.PROPOSALS, "" );
            //T.withCaption( oDec.k("qa_grading_suggested_calls"));
            T.withTableClass( "qm-table Q-table qm-table-withborder" );
            out.println(T.render());
          %>

          <div class="L-row L-justify-spacebetween">
            <%= doQAG.exportButtons( oDec,  QAGradingDO.THIS_DO, QAGradingDO.PROPOSALS )  %>
            
            <div class="L-row L-gap-16 L-justify-flexend">
              <%= oH.button( oDec.k("qa_grading_run_again"), oU.hasKey("QA_GRADER"), stWidth, "qm_qa_grader_compute", "" ) %>
              <%= oH.button( oDec.k("qa_grading_change_criteria"), oU.hasKey("QA_GRADER"), stWidth, "qm_qa_grader_search", "" ) %>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="L-column L-gap-24">
      <h3><%= oDec.k("qa_gradings_stats") %></h3>
      <div class="L-grid">
        <div class="qm-table-container qm-grader-table L-column L-gap-16">
          <%
          T = doQAG.dispatch( QAGradingDO.RESULTS, "" );
          //T.withCaption( oDec.k("qa_gradings_stats") );
          T.withTableClass( "qm-table Q-table qm-table-withborder L-width-100" );
          out.println(T.render());
          %>
          <%= doQAG.exportButtons( oDec,  QAGradingDO.THIS_DO, QAGradingDO.RESULTS )  %>
        </div>
        
        <div class="qa-sendtasks">
          <%@ include file="../qa/qaSendTasksForCall.jsp" %>
        </div>
      </div>
    </div>
  </div>
<!-- grid end -->
</div>

<%@ include file="/WEB-INF/jspf/fullPagePopup.jspf" %>

<%@ include file="/includes/00_page_footer.jspf" %>