<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.QA.*" %>
<%@ page import="it.loway.app.queuemetrics.DO.SearchQuery"%>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    //oDec.load( "statusCalls", "status_calls.txt", 0, 1);

    String stWidth = "";

    // Instanzia Data  Object appropriato
    QualityAssessmentDO doQA = new QualityAssessmentDO();
    LProperties props = FA.props( application );
    doQA.initJsp( oC, oDec, oU, props, stWebHere );

    SmartTable T = null;

    LTable ltSectionDescription = oC.getLt( "QAR_Avg_descriptor" );
%>
<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>

<div class="qm-form-body L-column L-gap-24">
  <h2><%= oDec.k("clhdr_report_details") %></h2>
  <%
      LTable ltFilterBy = oC.getLt("QAR_FilterBySpec");
      if (ltFilterBy.numRows() != 0) {
          T = new SmartTable( "x", ltFilterBy );
          T.setDecoder(oDec);
          //T.withCaption( );
          T.withTableClass( "qm-table Q-table qm-table-withborder ");
          T.addSortableColumn( "" ,  0, "100",  SmartTable.SORT_NONE );
          T.addSortableColumn( "" , 1, "200",  SmartTable.SORT_NONE );
          out.println(T.render());
      }
  %>

  <h2><%= oDec.k("qa_reports") %>: <%= oDec.k("qa_report_data") %></h2>

  <div class="L-column L-gap-64">
    <!-- tracked calls -->
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.TRACKED_CALLS, "" );
          T.withCaption( oDec.k("qa_tracked_calls")  );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.TRACKED_CALLS )  %>
    </div>

    <!-- tracked call per agent -->
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.TRACKED_CALLS_Q, "" );
          T.withCaption( oDec.k("qa_tracked_calls_queue")  );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.TRACKED_CALLS_Q )  %>
    </div>

    <!-- qa_tracked_calls_agentgroup -->
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.TRACKED_CALLS_AG, "" );
          T.withCaption( oDec.k("qa_tracked_calls_agentgroup") );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.TRACKED_CALLS_AG )  %>
    </div>

    <!-- qa_supervisors_tracking_calls -->
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.CALL_SUPERVS, "");
          T.withCaption( oDec.k("qa_supervisors_tracking_calls")  );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.CALL_SUPERVS)  %>
    </div>

    <%
    // ====================================================
    //         ELEMENTO    1
    // ====================================================

    if ( ltSectionDescription.getI( 0, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_1, "");
          T.withCaption( oDec.k("qa_section") + ltSectionDescription.getS( 0, QAQueryBuilder.DESC_SECTION ) );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_1)  %>
    </div>

    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_1_Q, "");
          //T.withCaption(  );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_1_Q)  %>
    </div>
    <% }; %>
    <%
    // ====================================================
    //         ELEMENTO    2
    // ====================================================

    if ( ltSectionDescription.getI( 1, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_2, "");
          T.withCaption( oDec.k("qa_section") + ltSectionDescription.getS( 1, QAQueryBuilder.DESC_SECTION )  );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_2)  %>
    </div>

    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_2_Q, "");
          //T.withCaption();
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_2_Q)  %>
    </div>
    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    3
    // ====================================================

    if ( ltSectionDescription.getI( 2, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_3, "");
          T.withCaption( oDec.k("qa_section") + ltSectionDescription.getS( 2, QAQueryBuilder.DESC_SECTION ) );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_3)  %>
    </div>

    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_3_Q, "");
          //T.withCaption();
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_3_Q)  %>
    </div>
    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    4
    // ====================================================

    if ( ltSectionDescription.getI( 3, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_4, "");
          T.withCaption( oDec.k("qa_section") +  ltSectionDescription.getS( 3, QAQueryBuilder.DESC_SECTION ) );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_4)  %>
    </div>

    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_4_Q, "");
          //T.withCaption();
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_4_Q)  %>
    </div>
    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    5
    // ====================================================

    if ( ltSectionDescription.getI( 4, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_5, "");
          T.withCaption(oDec.k("qa_section") + ltSectionDescription.getS( 4, QAQueryBuilder.DESC_SECTION ) );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_5)  %>
    </div>

    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_5_Q, "");
          //T.withCaption();
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_5_Q)  %>
    </div>
    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    6
    // ====================================================

    if ( ltSectionDescription.getI( 5, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_6, "");
          T.withCaption(oDec.k("qa_section") + ltSectionDescription.getS( 5, QAQueryBuilder.DESC_SECTION ));
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_6)  %>
    </div>

    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_6_Q, "");
          //T.withCaption();
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec,  QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_6_Q)  %>
    </div>
    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    7
    // ====================================================

    if ( ltSectionDescription.getI( 6, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_7, "");
          T.withCaption(oDec.k("qa_section") + ltSectionDescription.getS( 6, QAQueryBuilder.DESC_SECTION ) );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_7)  %>
    </div>

    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_7_Q, "");
          //T.withCaption();
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_7_Q)  %>
    </div>
    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    8
    // ====================================================

    if ( ltSectionDescription.getI( 7, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_8, "");
          T.withCaption(oDec.k("qa_section") + ltSectionDescription.getS( 7, QAQueryBuilder.DESC_SECTION ) );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_8)  %>
    </div>

    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_8_Q, "");
          //T.withCaption();
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_8_Q)  %>
    </div>
    <% }; %>


    <%
    // ====================================================
    //         ELEMENTO    9
    // ====================================================

    if ( ltSectionDescription.getI( 8, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_9, "");
          T.withCaption( oDec.k("qa_section") + ltSectionDescription.getS( 8, QAQueryBuilder.DESC_SECTION ) );
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_9)  %>
    </div>

    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_9_Q, "");
          //T.withCaption();
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_9_Q)  %>
    </div>
    <% }; %>
    <%
    // ====================================================
    //         ELEMENTO    10
    // ====================================================

    if ( ltSectionDescription.getI( 9, QAQueryBuilder.DESC_LENGTH ) > 0 ) {
    %>
    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_10, "");
          T.withCaption(oDec.k("qa_section") + ltSectionDescription.getS( 9, QAQueryBuilder.DESC_SECTION ));
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_10)  %>
    </div>

    <div class="L-column L-gap-16">
      <%
          T = doQA.dispatch( QualityAssessmentDO.RESULTSET_10_Q, "");
          //T.withCaption();
          T.withTableClass( "qm-table Q-table qm-table-striped");
          out.println(T.render());
      %>
      <%= doQA.exportButtons( oDec, QualityAssessmentDO.THIS_DO, QualityAssessmentDO.RESULTSET_10_Q)  %>
    </div>
    <% }; %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>