<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );
    //oDec.load( "statusCalls", "status_calls.txt", 0, 1);

    String stWidth = "";

%>

<script>
function onLoadApplicativo() {
    // transazione standard
    document.forms[0].<%= K.REQ_VERBO %>.value = "";
    document.forms[0].<%= K.REQ_PARAM %>.value = "";
//    $("#QAR_dtInizio_date").datepicker( { dateFormat: 'yy-mm-dd' } );
//    $("#QAR_dtFine_date").datepicker( { dateFormat: 'yy-mm-dd' } );
}
</script>

<!-- new layout -->
<div class="qm-form-body L-padding-32 L-column L-gap-24">
  <h1 class="L-primary-text"><%= oDec.k("qa_reports") %>: <%= oDec.k("qa_search_form") %></h1>
  <div class="L-column L-gap-32">
    <div class="L-row L-gap-16">
        <div class="L-column L-width-25 L-gap-8">
          <label for="QAR_form"><%= oDec.k("qa_form") %> </label>
          <div> <%= oH.combo( "QAR_form", true, stWidth, oC.getLt( "QAR_ltFormsReports" ), 0, 1, "" ) %> </div>
        </div>
        
        <div class="L-column L-width-25 L-gap-8">
          <label for="QAR_inputQ"><%= oDec.k("custrep_queue") %></label>
          <div><%= oH.comboX( "QAR_inputQ", true, stWidth, oC.getLt( "DATI_code" ), 2, 0, "" ) %></div>
        </div>

        <div class="L-column L-width-25 L-gap-8">
          <label for="QAR_date_cftype"><%= oDec.k("custrep_date_callorform") %></label>
          <div><%= oH.combo( "QAR_date_cftype", true, stWidth, oC.getLt( "DATI_date_cftype" ), 0, 1, "" ) %></div>
        </div>
    </div>
    <div class="L-row L-gap-16">  
      <div class="L-column L-width-25 L-gap-8">
        <label for="QAR_dtInizio_date"><%= oDec.k("custrep_start_date") %></label>
        <div class="L-width-100 qm-form-datehourpicker qm-qa-report-from-date"><%= FA.generaJQueryComboDataOra( "QAR_dtInizio", oC,oH,true, oDec) %></div>  
      </div>
      
      <div class="L-column L-width-25 L-gap-8">
        <label for="QAR_dtFine_date"><%= oDec.k("custrep_end_date") %></label>
        <div class="qm-form-datehourpicker qm-qa-report-to-date"><%= FA.generaJQueryComboDataOra( "QAR_dtFine", oC,oH,true, oDec) %></div>
      </div>

      <div class="L-column L-width-25"></div>
    </div>
    
    <div class="loway-quicklinks loway-subnav L-justify-flexstart" data-verb="qm_qa_report_input_period">
      <%@ include file="/includes/10_form_quicklinks.jspf" %>
    </div>

    <div class="L-row L-gap-16">  
      <div class="L-column L-width-25 L-gap-8">  
        <label for="QAR_queryAgenteFiltro"><%= oDec.k("custrep_agent") %></label>
        <div><%= oH.comboX( "QAR_queryAgenteFiltro", true, stWidth, FA.FilterSelectableAgents(oU, oC.getLt( "DATI_agenti" )), 0, 1, "" ) %></div>
      </div>
      <div class="L-column L-width-25 L-gap-8">
        <label for="QAR_idAgentGroupFiltro"><%= oDec.k("custrep_agentgroup") %></label>
        <div><%= oH.combo( "QAR_idAgentGroupFiltro", true, stWidth, oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>
      </div>  
      <div class="L-column L-width-25 L-gap-8">
        <label for="QAR_asterisk_id"><%= oDec.k("custrep_asterisk_id") %></label>
        <div><%= oH.textBox( "QAR_asterisk_id", true, stWidth, 50 ) %></div>
      </div> 
    </div>

    <div class="L-row L-gap-16">
      <div class="L-column L-width-25 L-gap-8">
        <label for="QAR_caller"><%= oDec.k("custrep_caller") %> </label>
        <div><%= oH.textBox( "QAR_caller", true, stWidth, 50 ) %></div>
      </div>

      <div class="L-column L-width-25 L-gap-8">
        <label for="QAR_stAddedBy"><%= oDec.k("qagrader_addedbygrtype") %></label>
        <div><%= oH.combo( "QAR_stAddedBy", true, stWidth, oC.getLt( "DATI_graderTypes" ), 1, 0, "" ) %></div>
      </div>

      <div class="L-column L-width-25 L-gap-8">
        <label for="QAR_idGraderFiltro"><%= oDec.k("custrep_grader") %></label>
        <div><%= oH.combo( "QAR_idGraderFiltro", true, stWidth, oC.getLt( "DATI_graders" ), 0, 2, "" ) %></div>
      </div>
      <!--
        <tr><td>
          <%= oDec.k("custrep_location") %>
        </td><td>
          <%= oH.combo( "QAR_idLocation", true, stWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %>
        </td></tr>
      -->
    </div> 

    <div class="L-row L-gap-16"> 
      <%-- this is the field git didn't want during the merge with master --%>
      <div class="L-column L-width-25 L-gap-8">
        <label for="QAR_idSupervisoreFiltro"><%= oDec.k("custrep_supervision") %></label>
        <div><%= oH.combo( "QAR_idSupervisoreFiltro", true, stWidth, oC.getLt( "DATI_supervisors" ), 0, 2, "" ) %></div>
      </div>
      
      <div class="L-column L-width-25 L-gap-8">
        <label for="QAR_stOutcomeFiltro"><%= oDec.k("custrep_outcome") %></label>
        <div><%= oH.combo( "QAR_stOutcomeFiltro", true, stWidth, oC.getLt( "DATI_outcomes" ), 1, 2, "" ) %></div>
      </div>

      <div class="L-column L-width-25 L-gap-8">
        <label for="QAR_idLocationFiltro"><%= oDec.k("custrep_location") %></label>
        <div><%= oH.combo( "QAR_idLocationFiltro", true, stWidth, oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>
      </div>
    </div>

    <div class="qm-editor-button">
      <div>
        <%= oH.button( oDec.k("qa_report_calc"), true, stWidth, "qm_qa_report_calc", "" ) %>
      </div>
      <div>
        <%= oH.button( oDec.k("qa_summary_calc"), true, stWidth, "qm_qa_summary_calc", "" ) %>
      </div>
    </div>


  </div>

  <%if (oU.hasKey("QA_CALREP")) {%>
  <div class="L-column L-gap-24 L-width-25 L-padding-32 L-border L-border-radius-2">
    <h3 class="L-primary-text"><%= oDec.k("qa_reports_mcr_title") %></h3>
    <div class="L-column L-gap-24">
        <form>
          <div class="L-column L-gap-8">
            <label for=""><%= oDec.k("qa_reports_mcr_minimum_thcall") %></label>
            <div><%= oH.textBox( "QAR_mincallth", true, "", 10 ) %>
            </div>
          </div>
          <div class="L-justify-flexend">
            <%= oH.button( oDec.k("qa_report_calc"), true, stWidth, "qm_qa_calib_report_calc", "" ) %>
          </div>
        </form>
    </div>
  </div>
  <%}%>
</div>

<!-- new layout end -->

<%@ include file="/includes/00_page_footer.jspf" %>

<%
// 
%>
