<%@ page import="it.loway.app.queuemetrics.liveData.performAgentPopup" %>
<%@page import="it.loway.app.queuemetrics.liveData.ActionPopupException"%>
<%@page import="it.loway.app.queuemetrics.liveData.agentLiveExtendedInfo"%>

<%
        performAgentPopup popupHandler = new performAgentPopup();
        popupHandler.Init(session, application);

        String stOperCode = oC.getS( "POPUP_func" );
        performAgentPopup.UserActionInfo actionInfo = popupHandler.getUserActionInfo(stOperCode);
        if (actionInfo == null){
           response.sendRedirect( "qm_start.do" );
           return;
        }

        // Check if the agent is already logged in on some queues
        String alreadyLoggedInOnQueues = oC.getS("POPUP_queuesLoggedIn");

        // Check if "ForceAll" checkbox has to be shown
        boolean showForceAll = (alreadyLoggedInOnQueues.length() != 0) && (stOperCode.compareToIgnoreCase(KA.AGENTPOPUP_REMOVEMEMBER) == 0);

        // Check if the page has been called by the realtime page
        boolean bFromAdminRtPage = oC.getS("POPUP_from_adminrtpage").equalsIgnoreCase("1");

        // controlla se il box con il codice dell'agente e' editabile oppure no
        boolean boEditableAgentCode = true;
        if ( oC.defined( "CODA_lockedAgentPopupCode" ) ) {
            boEditableAgentCode = false;
        }
        if (bFromAdminRtPage) {
            boEditableAgentCode = true;
        }

        boolean bClusterMode = FA.isClusterMode(oC);

        String stWidth = "width: 320px;";
        String stStyle = "border-radius: 8px; border: 1px solid $border; padding: 10px;";
%>

<script>
    // JScript variables used by JUI popup
    var actionCode = "<%= stOperCode %>";
    var actionCaption = "<%= actionInfo.buttonCaption %>";
    var workingServerName = "<%= oC.getS("CODA_AgentCluster_server") %>";
</script>

<script>


</script>


<INPUT TYPE="hidden" name="<%= K.REQ_VERBO %>" value="">
<INPUT TYPE="hidden" name="<%= K.REQ_PARAM %>" value="">

<h3><%= actionInfo.boxTitle %></h3>


<%= oH.hidden( "POPUP_" ) %>


<div class="L-column L-gap-24 ST">

<% if ( bFromAdminRtPage && bClusterMode && (stOperCode.compareToIgnoreCase(KA.AGENTPOPUP_ADDMEMBER) == 0) || (stOperCode.compareToIgnoreCase(KA.AGENTPOPUP_LOGIN) == 0)) { %>
  <div class="myTit L-column L-gap-8">
    <label><%= oDec.k("pgag_popup_cluster_server") %></label>
    <%= oH.combo( "CODA_AgentCluster_server", true, stWidth, oC.getLt( "CODA_AgentCluster_servers" ), 2, 0, "" ) %>
  </div>
<% }; %>

<% if ( actionInfo.agentCodeRequired ) { %>
  <div class="L-column L-gap-8">
    <label><%= oDec.k("pgag_popup_agentcode") %></label>
    <%= oH.textBox( "POPUP_agentcode",  boEditableAgentCode , stWidth, 100 ) %>
  </div>
<% }; %>

<% if ( actionInfo.extension ) { %>
  <div class="L-column L-gap-8">
    <label><%= oDec.k("pgag_popup_cur_extension") %></label>
    <%= oH.textBox( "POPUP_extension",  true, stWidth, 100 ) %>
  </div>
<% }; %>

<% if ( actionInfo.queueList && !actionInfo.onlyOutboundQueues ) { %>
  <div class="L-column L-gap-8">
    <label><%= oDec.k("pgag_popup_queue_list") %></label>
    <%= oH.combo( "POPUP_queuesel", true, stWidth, oC.getLt( "DATI_code_agent" ), agentLiveExtendedInfo.AGENTQUEUE_PROGID_COL, agentLiveExtendedInfo.AGENTQUEUE_NAME_COL, "" ) %>
    
    <% if (showForceAll == true) { %>
    <div class="L-row L-gap-8">
      <%= oH.checkBox("POPUP_forcequeues", "") %>
      <label><%= oDec.k("pgag_force_queues") %></label>
    </div>
    <% } %>
  </div>
<% }; %>

<% if ( actionInfo.queueList && actionInfo.onlyOutboundQueues ) { %>
  <div class="L-column L-gap-8">
    <label><%= oDec.k("pgag_popup_queue_list") %></label>
    <%= oH.combo( "POPUP_queuesel_outbound", true, stWidth, oC.getLt( "DATI_code_agent_outbound" ), agentLiveExtendedInfo.AGENTQUEUE_PROGID_COL, agentLiveExtendedInfo.AGENTQUEUE_NAME_COL, "" ) %>
  </div>
<% }; %>

<% if ( actionInfo.callStatus ) { %>
  <div class="L-column L-gap-8">
    <label><%= oDec.k("pgag_popup_call_status") %></label>
    <%= oH.combo( "POPUP_callstatus", true, stWidth, oC.getLt( "POPUP_callstatus_available" ), 0, 1, "" ) %>
  </div>
<% }; %>

<% if ( actionInfo.reasonRequired ) { %>
  <div class="L-column L-gap-8">
    <label><%= oDec.k("pgag_popup_pause_reason") %></label>
    <%= oH.combo( "POPUP_pause_reason", true, stWidth, oC.getLt( "DATI_pstatus_possibili" ), 0, 1, "" ) %>
  </div>
<% }; %>

<% if ( actionInfo.extensionToDial ) { %>
  <div class="L-column L-gap-8">
    <label><%= oDec.k("pgag_popup_extensiontodial") %></label>
    <%= oH.textBox( "POPUP_extension_to_dial",  true, stWidth, 100 ) %>
  </div>
<% }; %>

<% if ( actionInfo.textMessageRequired ) { %>
  <div class="L-column L-gap-8">
    <label><%= oDec.k("pgag_popup_messagetosend") %></label>
    <%= oH.textBox( "POPUP_message_to_send",  true, stWidth, 100 ) %>
  </div>
<% }; %>

</div>

<%
    String stBoxToColorize = "";


    String stColor = "";
    String cssClassMessage = "";
    String cssClassOK = "L-success";
    String cssClassKO = "L-error";

    String stMsg = "";



    if ( oC.defined( "POPUP_response" ) ) {
        String s = oC.getS( "POPUP_response" );

        if ( s.equalsIgnoreCase( ActionPopupException.ACTION_OK ) ){
            //stColor = "green";
            cssClassMessage = cssClassOK;
            stMsg = oDec.k( "pgag_popup_statusok" );
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.GENERIC_ERROR ) ) {
            //stColor = "red";
            cssClassMessage = cssClassKO;
            stMsg = oDec.k( "pgag_popup_statusko" );
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.GRANTS_UNAVAILABLE ) ) {
            //stColor = "red";
            cssClassMessage = cssClassKO;
            stMsg = oDec.k( "pgag_popup_statusne" );
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.PAUSE_REQUIRED )) {
            //stColor = "red";
            cssClassMessage = cssClassKO;
            stMsg = oDec.k( "pgag_popup_pause_required" );
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.WRONG_REGEXP_FORMAT)) {
            //stColor = "red";
            cssClassMessage = cssClassKO;
            stMsg = oDec.k( "pgag_popup_wrong_regexp" );
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.WRONG_AGENT )) {
            //stColor = "red";
            cssClassMessage = cssClassKO;
            stMsg = oDec.k( "pgag_popup_wrong_agent" );
            stBoxToColorize = "POPUP_agentcode";
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.WRONG_EXTENSION )) {
            //stColor = "red";
            cssClassMessage = cssClassKO;
            stMsg = oDec.k( "pgag_popup_wrong_extension" );
            stBoxToColorize = "POPUP_extension";
        } else
        if ( s.equalsIgnoreCase( ActionPopupException.CANNOT_SEND_MESSAGE )) {
            //stColor = "red";
            cssClassMessage = cssClassKO;
            stMsg = oDec.k( "pgag_popup_cannot_send_message" );
        } else{
            stMsg = "Unknown msg: " + s ;
        };
%>
        <script>
            function colorizeBox() {

                <% if ( stBoxToColorize.length() > 0 ) { %>
                        var box = $("#<%= stBoxToColorize %>" );
                        box.css( "background", "#FF0000");
                <% } %>

            }
        </script>
        
        <div class="<%= cssClassMessage %>"><%= stMsg %></div>
<%
   } // from if ( oC.defined( "POPUP_response" ) ) {
%>
