<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="java.text.*" %>
<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>

<%@include file="/includes/00_page_header_context.jspf" %>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<%= K.ENCODING_UTF8 %>" />
<title>Close Call</title>

<script src="<%= Web.getWebApp(request) + "/img/esbuild/" + theme %>/LowayHotReload/LowayHotReload.js" language="javascript" type="text/javascript" charset="UTF-8"></script>
<%= AssetManager.basicBundle(session, application, request) %>

<script language="javascript" type="text/javascript">

    function closeAndRefreshParent() {

        try {
            if (window.opener != null) {
                window.opener.queryJson();
            }
        } catch (err) {}

        window.close();
    }

</script>

</head>
<body id="xBody">

  <script>
    $(document).ready( function() {
            doOnLoad( "<%= oC.getS( "WEB_DisableBackHistory" ) %>", "<%= stErr %>");
    });
  </script>

  <div class="qm-form-body">
    <form method="POST" class="L-column L-gap-24" action="<%= stWebHere %><%= K.TRANSACTION_CONTROLLER %>">
      <INPUT TYPE="hidden" name="<%= K.REQ_VERBO %>" value="">
      <INPUT TYPE="hidden" name="<%= K.REQ_PARAM %>" value="">

      <% String stAns = oC.getS("POPUP_close_result");
      if ( stAns.length() > 0 ) {
      if ( stAns.equalsIgnoreCase("OK") ) {
      %>

      <%= oDec.k("popupclose_successful") %>

      <p><%= oH.buttonScript( oDec.k("popupclose_exit"), true, "width: 70px", "closeAndRefreshParent();" ) %>

        <%
        } else
        if ( stAns.equalsIgnoreCase("KO") ) {
        %>

        <%= oDec.k("popupclose_error") %>

        <p><%= oH.buttonScript( oDec.k("popupclose_exit"), true, "width: 70px", "closeAndRefreshParent();" ) %>

        <%
        } else
        if ( stAns.equalsIgnoreCase("AD") ) {
        %>

        <%= oDec.k("popupclose_alreadydone") %>

        <p><%= oH.buttonScript( oDec.k("popupclose_exit"), true, "width: 70px", "closeAndRefreshParent();" ) %>

        <%
        };
        } else {
        %>

      <div class="L-error">
        <%= oDec.k("popupclose_force_confirm") %>
      </div>

      <div class="L-column L-gap-8">
        <label><%= oDec.k("popupclose_length") %></label>
        <div class="L-row L-gap-16">
          <div class="L-row L-gap-8">
            <div class="L-width-100"><%= oH.textBox( "C_L", true, "", 4)  %></div> <%= oDec.k("popupclose_sec") %>
          </div>
          <div class="L-row L-gap-16">
            <%= oH.button( oDec.k("popupclose_close") , true, "", "qm_close_call_do", "", "Q-button-secondary" ) %>
            <%= oH.buttonScript( oDec.k("popupclose_exit"), true, "", "window.close();", "Q-button-secondary" ) %>
          </div>
        </div>
      </div>

      <INPUT TYPE="hidden" name="C_P" value="<%= oC.getS( "C_P") %>">
      <INPUT TYPE="hidden" name="C_A" value="<%= oC.getS( "C_A") %>">

      <% }; %>

    </form>
  </div>

	</body>
</html>