<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.html.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.rowDecorators.*" %>
<%@ page import="java.text.*" %>
<%@page contentType="text/html;charset=UTF-8"%>
<%@page pageEncoding="UTF-8"%>
<%
        LContext oC = (LContext) session.getAttribute( K.SESSION_CONTESTO );
        if ( oC == null ) {
           response.sendRedirect( "qm_start.do" );
           return;
        }

        LDecoder oDec = (LDecoder) session.getAttribute( K.SESSION_DECODER );
        HtmlGenerator oH = new HtmlGenerator( oC, oDec );

	// Dump del contesto
	// -----------------

	if ( K.SYS_DUMP_CONTESTO ) {
		out.println( "<!--  Dump del contesto " );
		//out.println( oC.dump() );
		out.println( "-->\n\n" );
	}


        String stWebHere = Web.getWebApp( request );
        String stErr = "";

%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<%= K.ENCODING_UTF8 %>" />
<title><%= oDec.k("clok_detail") %>: <%= oC.getS( "POPUP_agentcode" ) %></title>

<%= AssetManager.basicBundle(session, application, request) %>

<%--
<style>
body, TD {
	BACKGROUND: #FFFFFF;
	COLOR: #333333;
	MARGIN: 0px;
	PADDING: 0px;
	SPACING: 0px;
        font-family: Verdana;
}

body {
    text-align: center;
}

.red {
	color: red;
}

.actButton {
	BACKGROUND: white;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
}


table.ST {
	--background-color: white;
	border: 1px #000000 solid;
	border-collapse: collapse;
	border-spacing: 0px;
	align: center;
}

.ST_TRH {
        background-color: #99CCCC;
	border: 1px #000000 solid;
	font-family: Verdana;
	font-weight: bold;
	font-size: 12px;
	color: #404040;
	text-align: left;
}

.ST_SES, .ST_PAU {
        border-bottom: 1px #6699CC dotted;
	text-align: left;
	font-weight: normal;
	font-size: 12px;
	padding-top: 4px;
	padding-bottom: 4px;
	padding-left: 8px;
	padding-right: 0px;
	color: #404040;
	background-color: #fafafa;
}


.ST_SES .stData {
    color: #000000;
    background-color: #FFFFFF;
}

.ST_PAU .stData {
    color: #666666;
    background-color: #FFFFFF;
}


</style>
--%>
</head>
<body id="xBody" >

<table width="100%">
<tr><td>
<h3><%= oDec.k("clok_detail") %>: <%= oC.getS( "POPUP_agentcode" ) %></h3>
</td><td width="100">
<%--
<INPUT TYPE='button'
    CLASS='actButton'
    VALUE="<%= oDec.k("cld_pop_close") %>"
    onClick="window.close();"
      >

--%>
</td></tr>
</table>
<%
    LTable ltD = oC.getLt( "CODA_ltPausePerAgente" );
    LTable ltP = oC.getLt( "DATI_pause_codes" );
    LTable ltH = oC.getLt( "CODA_ltPausePerAgenteHdr" );

    // This is the report header
    SmartTable T = new SmartTable( "T_callOk", ltH );
    T.setDecoder(oDec);
    T.addColumn( "&nbsp;", 0, "350");
    T.addColumn( "&nbsp;", 1, "150", new secondDecor());
    T.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped" );
    out.println( T.render() + "<br>");

    // And this is the report details
    T = new SmartTable( "T_callOk", ltD );
    T.setDecoder(oDec);
    T.setCustomRowDecorator( new agentPausesRowDecor() );

    T.addColumn( oDec.k("clage_agent") ,  1, "150" , new agentiDecor( oC.getLt( "DATI_agenti" ) ));
    T.addColumn( oDec.k("cld_ext") ,  2, "150" );
    T.addColumn( oDec.k("cld_duration") ,  0, "150" , new plenSlenDecor(false));
    T.addColumn( oDec.k("clage_on_pause"),  0, "150" ,  new plenSlenDecor(true));
    T.addColumn( oDec.k("clage_overlaps"),  6, "100" ,  new secondDecor() );

    T.addColumn( oDec.k("cld_pause_name") ,  3, "150" , new pauseCodeNameDecor( ltP, true ));
    T.addColumn( "&nbsp;" ,  3, "50" , new pausePayableBillableDecor( ltP, 3, 2 ));
    T.addColumn( oDec.k("cld_start_hour"),  4, "150" , new timestampUnixDecor());
    T.addColumn( oDec.k("cld_end_hour") ,  5, "150" ,  new timestampUnixDecor() );
    T.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped" );
    out.println( T.render() );
%>


</body>
</html>

<%
//
%>
