<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.debug.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.html.NoCache" %>
<%@ page import="it.loway.app.queuemetrics.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.*" %>
<%@ page import="it.loway.app.queuemetrics.caricamento.DataObjects.*" %>
<%@ page import="it.loway.app.queuemetrics.asterisk.logs.*" %>
<%@ page import="it.loway.app.queuemetrics.liveData.*" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.realtime.*" %>
<%@ page import="java.text.*" %>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // $Id: realtime2_frame.jsp,v 1.20 2015/09/29 13:11:45 marcos Exp $

    LTable ltShowHide = new LTable();
    ltShowHide.putS( 0, 0, "0");
    ltShowHide.putS( 0, 1, oDec.k("rt_comboval_hide"));
    ltShowHide.putS( 1, 0, "1");
    ltShowHide.putS( 1, 1, oDec.k("rt_comboval_show"));

    LTable ltShowHideInverted = new LTable();
    ltShowHideInverted.putS( 0, 0, "1");
    ltShowHideInverted.putS( 0, 1, oDec.k("rt_comboval_hide"));
    ltShowHideInverted.putS( 1, 0, "0");
    ltShowHideInverted.putS( 1, 1, oDec.k("rt_comboval_show"));

    LTable ltAllActive = new LTable();
    ltAllActive.putS( 0, 0, "1" );
    ltAllActive.putS( 0, 1, oDec.k("rt_comboval_all") );
    ltAllActive.putS( 1, 0, "0" );
    ltAllActive.putS( 1, 1, oDec.k("rt_comboval_active") );

    LTable ltAllMembers = new LTable();
    ltAllMembers.putS( 0, 0, "0" );
    ltAllMembers.putS( 0, 1, oDec.k("rt_comboval_all") );
    ltAllMembers.putS( 1, 0, "1" );
    ltAllMembers.putS( 1, 1, oDec.k("rt_comboval_members") );

    LTable ltReload = new LTable();
    for ( int s = 5; s < 60; s++ ) {
        int r = ltReload.numRows();
        ltReload.putS(r, 0, ""+s);
        ltReload.putS(r, 1, ""+s+"s");
    }

    for ( int s = 60; s <= 300; s=s+30 ) {
        int r = ltReload.numRows();
        ltReload.putS(r, 0, ""+s);

        if ((s % 60) == 0)
            ltReload.putS(r, 1, ""+((int)(s/60))+"m");
        else
            ltReload.putS(r, 1, ""+((int)(s/60))+"m 30s");
    }

    LTable ltSupervision = new LTable();
    ltSupervision.putS( 0, 0, "0" );
    ltSupervision.putS( 0, 1, oDec.k("td_yesno_no") );

    if ( oU.hasKey( "SUPERVISOR" ) ) {
        ltSupervision.putS( 1, 0, "999"  );
        ltSupervision.putS( 1, 1, oU.getRealName() );
    }
%>
<script>
//variables
var page_realtime2_frame = true;
var oCgetSSOUND_URL_yellow = "<%= oC.getS( "SOUND_URL_yellow") %>";
var oCgetSSOUND_URL_red  = "<%= oC.getS( "SOUND_URL_red") %>";

// Below are the javascript funtions requiring decoder and/or context labels access
var json_sources = <%@ include file="./realtime2_datasource.jsp" %> ;

function onLoadApplicativo() {
    // transazione standard
    document.forms[0].<%= K.REQ_VERBO %>.value = "";
    document.forms[0].<%= K.REQ_PARAM %>.value = "";
}

/*
function updateAlarms() {
  triggerAudioAlarms("<%= oC.getS( "SOUND_URL_yellow") %>",
                     "<%= oC.getS( "SOUND_URL_red") %>",
                    $( "#REALTIME_SHOWBTN_sound" ).val() );
}
*/


</script>

<div class="L-row L-gap-16 L-align-flexstart qm-rt-grid">
  <!-- first column -->
  <div class="rt_menubar_container qm-rt-showbar">
    <!-- menu bar  START -->
    <div id="rt_menubar" class="rt_menubar L-column L-gap-24">
      <div class="rt-top-menu L-row L-justify-spacebetween" >
        <div class="L-row L-gap-16 rt-buttons">
          <% if (oU.hasKey("REALTIME")) { %>
            <INPUT TYPE='button' ID='btnreload' CLASS='Q-button-secondary rt_reloadpage' VALUE="<%= oDec.k("rt_reload_now") %>">
          <% } %>

          <% if (oU.hasKey("RT_ADDMEMBER")) { %>
            <input type="button" id="btnaddmemeber" class="Q-button-secondary rt_addmember" value="<%=oDec.k("rt_addmember")%>">
          <% } %>
        </div>

        <div class="rt_closeicon">
          <span loway-icon="chevron-left" style="padding: 0;"> </span>
        </div>

        <div class="rt_openicon" >
          <span loway-icon="filter" style="padding: 0;"> </span>
        </div>
      </div>
    
      <div class="rt_menubar_item qm-rt-filters">
        <div id="frame_rtreport_header_ext">
          <div id="frame_rtreport_header" style="width: 240px;"></div>
        </div>
      </div>

      <div class="rt_menubar_item qm-rt-selectors">
        <div class="L-column L-gap-24">
          <div class="L-row L-gap-24">
            <!---- Update / Alarms ---->
            <div class="L-row L-gap-8">
              <span loway-icon="history" class="L-tertiary-text"></span>
              <div class="L-tertiary-text"><%= oDec.k("rt_short_update") %></div>
              <div><span id="frame_ora" ></span></div>
            </div>

            <div class="L-row L-gap-8">
              <%= oDec.k("rt_alarms") %>
              <div>
                <%= oH.hidden( "REALTIME_SHOWBTN_sound" ) %>
                <div id="sound" class="L-pointer"></div>
              </div>
            </div>
          </div>

          <div class="L-column L-gap-24">
            <!---- Select Queue / Reload Time ---->
            <div class="L-row L-gap-16">
              <div class="L-column L-gap-8 L-flex-2">
                <label for="CODA_input"><%= oDec.k("fp_queue") %></label>
                <div class="L-flex-1"><%= oH.combo( "CODA_input", true, "", oC.getLt( "DATI_code" ), 2, 0, "" ) %></div>
              </div>
              
              <div class="L-column L-gap-8 L-flex-1">
                <label for="REALTIME_reload_time"><%= oDec.k("rt_short_reload") %></label>
                <div class="L-flex-1"><%= oH.combo( "REALTIME_reload_time", true, "", ltReload, 0, 1, "20" ) %></div>
              </div>
            </div>
            <!---- Filter Queues / Filter Agents ---->
            <div class="L-row L-gap-16">
              <div class="L-column L-gap-8 L-flex-1">
                <label for="REALTIME_toggle_showAllSubqueues"><%= oDec.k("rt_short_table_queues") %></label>
                <div class="L-flex-1"><%= oH.combo( "REALTIME_toggle_showAllSubqueues", (oC.getI( "REALTIME_SHOWBTN_showAllSubqueues" ) == 1), "", ltAllActive, 0, 1, "1" ) %></div>
              </div>

              <div class="L-column L-gap-8 L-flex-1">
                <label for="REALTIME_toggle_memberagentsonly"><%= oDec.k("rt_short_filter_agents") %></label>
                <div class="L-flex-1"><%= oH.combo( "REALTIME_toggle_memberagentsonly", (oC.getI( "REALTIME_SHOWBTN_memberagentsonly" ) == 1), "", ltAllMembers, 0, 1, "1" ) %></div>
              </div>
            </div>
            <!---- Filter Location ---->
            <div class="L-column L-gap-8">
              <label for="REALTIME_F_idLocation"><%= oDec.k("rt_short_filter_locat") %></label>
              <div class="L-flex-1"><%= oH.combo( "REALTIME_F_idLocation", true, "", oC.getLt( "DATI_locations_selectable" ), 0, 1, "" ) %></div>
            </div>
            <!---- Filter Agent Group ---->
            <div class="L-column L-gap-8">
              <label for="CODA_F_idAgentGroup"><%= oDec.k("rt_short_filter_groups") %></label>
              <div class="L-flex-1"><%= oH.combo( "CODA_F_idAgentGroup", true, "", oC.getLt( "DATI_agentgroups_selectable" ), 0, 1, "" ) %></div>
            </div>
            <!---- Filter Supervision ---->
            <div class="L-column L-gap-8">
              <label for="CODA_F_supervision"><%= oDec.k("rt_short_filter_superv") %></label>
              <div class="L-flex-1"><%= oH.combo( "CODA_F_supervision", true, "", ltSupervision, 0, 1, "0" ) %></div>
            </div>
          </div>
        </div>
      </div>
      <div class="rt_menubar_item qm-rt-reports">
        <div class="L-column L-gap-16">
          <h3 class="L-secondary-text"><%= oDec.k("rt_reports") %></h3>
          <div class="L-grid L-gap-24">
            <!---- Filter Reports Checkbox ---->
            <div class="L-row L-gap-8 L-width-100">
              <%= oH.checkBox( "REALTIME_toggle_riep", "" ) %>
              <label class="L-width-100" for="REALTIME_toggle_riep"><%= oDec.k("rt_short_table_recap") %></label>
            </div>
            <%  if (oC.getI("REALTIME_SHOWBTN_calls") == 1) { %>
                      <div class="L-row L-gap-8 L-width-100">
                        <%= oH.checkBox( "REALTIME_toggle_calls", "" ) %>
                        <label for="REALTIME_toggle_calls"><%= oDec.k("rt_short_table_calls") %></label>
                      </div>
            <%  }

                if (oC.getI("REALTIME_SHOWBTN_agents") == 1) { %>
                    <div class="L-row L-gap-8 L-width-100">
                      <%= oH.checkBox( "REALTIME_toggle_agents", "" ) %>
                      <label for="REALTIME_toggle_agents"><%= oDec.k("rt_short_table_agents") %></label>
                    </div>
            <%  }

                if (oC.getI("REALTIME_SHOWBTN_showAggrByQueueView") != 0) { %>
                  <div class="L-row L-gap-8 L-width-100">
                    <%= oH.checkBox( "REALTIME_toggle_showAggrByQueueView", "" ) %>
                    <label class="L-text-nowrap" for="REALTIME_toggle_showAggrByQueueView"><%= oDec.k("rt_short_agg_by_queue_view") %></label>
                  </div>
            <%  }

                if (oC.getI("REALTIME_SHOWBTN_showAggrByTagView") != 0) { %>
                  <div class="L-row L-gap-8 L-width-100">
                    <%= oH.checkBox( "REALTIME_toggle_showAggrByTagView", "" ) %>
                    <label class="L-text-nowrap" for="REALTIME_toggle_showAggrByTagView"><%= oDec.k("rt_short_rt_agg_by_tag_view") %></label>
                  </div>
            <%  }

                if (oC.getI("REALTIME_SHOWBTN_showAgentOutcomeView") != 0) { %>
                  <div class="L-row L-gap-8 L-width-100">
                    <%= oH.checkBox( "REALTIME_toggle_showAgentOutcomeView", "margin-right: 10px;" ) %>
                    <label class="L-text-nowrap" for="REALTIME_toggle_showAgentOutcomeView"><%= oDec.k("rt_short_agentoutcome_view") %></label>
                  </div>
            <%  } %>
          </div>
        </div>
      </div>
  </div>
  <!-- menubar end -->

  </div>

  <!-- third column -->
  <div class="qm-rt-tables L-flex-1">

	  <div class="rt_contents L-column L-gap-32">
			<div id="errmsg" class="L-error" ></div>

			<div id="frame_riepilogo_ext" class="qm-scrollbar qm-rt-frame">
			  <div id="frame_riepilogo" class="L-column L-gap-16"></div>
			</div>

			<div id="frame_chiamate_ext" class="qm-scrollbar qm-rt-frame">
        <h3 class="L-heading-divider"><span><%= oDec.k("rt_calls_being_processed") %></span></h3>
		    <div id="frame_chiamate"></div>
			</div>

			<div id="frame_agenti_ext" class="qm-scrollbar qm-rt-frame">
        <h3 class="L-heading-divider"><span><%= oDec.k("rt_agents_currently_logged_in") %></span></h3>
			  <div id="frame_agenti"></div>
			</div>

			<div id="frame_aggbyqueue_ext" class="qm-scrollbar qm-rt-frame">
        <h3 class="L-heading-divider"><span><%= oDec.k("rt_agg_by_queue_view") %></span></h3>
			  <div id="frame_aggbyqueue"></div>
			</div>

			<div id="frame_aggbytag_ext" class="qm-scrollbar qm-rt-frame">
        <h3 class="L-heading-divider"><span><%= oDec.k("rt_agg_by_tag_view") %></span></h3>
			  <div id="frame_aggbytag"></div>
			</div>

			<div id="frame_agentoutcomeview_ext" class="qm-scrollbar qm-rt-frame">
        <h3 class="L-heading-divider"><span><%= oDec.k("rt_agentoutcome_view") %></span></h3>
			  <div id="frame_agentoutcomeview"></div>
			</div>
		</div>
  </div>
  <!-- rt_contents -->
</div>

<div id="----logframe"></div>
<div id="soundSpan" ></div>

<%@ include file="./qm_realtime2_agent_actions.jsp" %>
<%@ include file="./qm_realtime2_call_actions.jsp" %>

<%@ include file="/includes/00_page_footer.jspf" %>