<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    oC.putS("AUTH_op", "change" );

    // Messaggio di errore.
    String stErrMsg = oC.getS("AUTH_error");
    boolean withError = stErrMsg.length() > 0;


     String stStyle = "";
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "qm_password_reset";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
    aggiungiEventoOnchangeAComboLanguage();
    setFocus( "AUTH_logon" );
}
//
// per non incasinare i controlli, aggiungo l'onChange alla combo delle location
// in maniera programmatica
//
function aggiungiEventoOnchangeAComboLanguage() {
    document.getElementById( "AUTH_language" ).onchange = OnChangeCboLanguage;
}
function OnChangeCboLanguage() {
    startTransaction('qm_language_selector', 'RESETPWD');
}
</script>


<%--
    MESSAGGIO DI ERRORE
--%>

<% if (withError) { %>

  <div class="qm-auth-warning LNotification">
    <div class="L-row L-gap-16 L-align-flexstart">
      <h3 class="L-title"></h3>
      <p><%= stErrMsg %></p>
    </div>
  </div>

<% } %>


<center>
  <div class="qm-auth">
    <div class="L-column L-gap-24">
      <h3><%= oDec.k("pwres_reset_password") %>: <%= oC.getS("AUTH_user") %></h3>

      <div class="L-column L-gap-8">
        <label for="AUTH_pass"><%= oDec.k("pwres_pass") %></label>
        <%= oH.password( "AUTH_pass", true, stStyle, 50 ) %>
      </div>

      <div class="L-column L-gap-8">
        <label for="AUTH_pass_2"><%= oDec.k("pwres_repeat_pass") %></label>
        <%= oH.password( "AUTH_pass_2", true, stStyle, 50 ) %>
      </div>

      <div class="L-column L-gap-8 qm-auth-languages">
        <%= oH.combo("AUTH_language", true, stStyle, oC.getLt( "LANG_languages"), 0, 1, "" ) %>
      </div>

      <%= oH.hidden( "AUTH_op") %> <%= oH.hidden( "AUTH_user") %> <%= oH.hidden("AUTH_token") %> 

      <input type='submit' name="login" class="Q-button-primary L-width-100" data-verb="qm_password_reset" value="<%= oDec.k("pwres_change") %>">
    </div>
  </div>
</center>

<%@ include file="/includes/00_page_footer.jspf" %>