<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    class iconFinder {
        private String selectedBorderStyle = "";
        private String selectedIcon = "";
        private int selectedIconId = 0;
        public void setFocus(String iconName) {
            selectedIcon = iconName;
        }
        public void setSelectedBorderStyle(String borderStyle) {
            selectedBorderStyle = borderStyle;
        }
        public int getSelectedIconId() {
            return selectedIconId;
        }
        public String getSelectedBorderStyle() {
            return selectedBorderStyle;
        }

        public String getIconSet(String location, LTable ltIconSet) {
            StringBuffer bufResult = new StringBuffer();
            for (int icon = 0; icon < ltIconSet.numRows(); icon++) {
                boolean isSelected = false;
                String iconName = ltIconSet.getS(icon, 0);
                if (selectedIcon.equals(iconName)) {
                    isSelected = true;
                    selectedIconId = icon;
                }
                String html = "<IMG HEIGHT=\"16\", WIDTH=\"16\", " + (isSelected? "style='padding: 4px; border:" + selectedBorderStyle + ";'" : "") +
                                " onClick=\"selIcon(" + icon + ",'" + iconName + "');\" src='" + location + iconName +
                                "' alt='" + iconName + "' id='iconid_" + icon + "' />";
                bufResult.append(html);

                // we don't need line break in responsive layout
                //if (((icon+1)%20) == 0)
                //    bufResult.append("<br>");
            }
            return bufResult.toString();
        }
    };
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_agentgroups";
    final String stTabPrefix  = "TABAGENTGROUPS";
    String stWidth = "";
    int nAgentsBelonging = oC.getI( "TABAGENTGROUPS_opt_n_users" );
    iconFinder icons = new iconFinder();
    icons.setSelectedBorderStyle("thin solid red");
    icons.setFocus(oC.getS("TABAGENTGROUPS_group_icon"));
    String iconSet = icons.getIconSet("../img/agent_groups/", oC.getLt("AGENTGROUPS_ICONSET"));
    int selectedIconId = icons.getSelectedIconId();
%>
<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

  setFocus( "TABAGENTGROUPS_group_name" );
}
</script>

<script javascript>
    function selIcon(iconIdVal, iconName) {
        document.getElementById('TABAGENTGROUPS_group_icon').value = iconName;
        var oldIconIdVal = document.getElementById('group_icon_sel').value;
        var oldIconId = "iconid_" + oldIconIdVal;
        var iconId = "iconid_" + iconIdVal;
        document.getElementById('group_icon_sel').value = iconIdVal;
        document.getElementById(oldIconId).style.border = "";
        document.getElementById(iconId).style.border = "<%=icons.getSelectedBorderStyle()%>";
    }
</script>

<div class="qm-form-body L-column L-gap-32">
  <div class="L-column L-gap-24">
    <div class="L-row L-justify-spacebetween">
      <h2><%= oDec.k("edit_record_groups_title") %></h2>
      <!------------ Not editable items ---------------->
      <%= LowayHtml.sysFields( oC, oDec, "TABAGENTGROUPS", "id_group" ) %>
    </div>

    <div class="L-column L-gap-24">
      <div class="L-column L-gap-8 L-width-50">
        <label for="TABAGENTGROUPS_group_name"><%= oDec.k("edit_record_name") %></label>
        <div><%= oH.textBox( "TABAGENTGROUPS_group_name", true, stWidth, 50 ) %></div>
      </div>

      <div class="L-column L-gap-8  L-width-50">
        <label for="TABAGENTGROUPS_group_description"><%= oDec.k("edit_record_description") %></label>
        <div><%= oH.textBox( "TABAGENTGROUPS_group_description", true, stWidth, 250 ) %></div>
      </div>
      
      <div class="L-row L-gap-24 L-align-flexstart">
        <div class="L-column L-gap-8 L-width-25">
          <label><%= oDec.k("edit_record_icon") %></label>
          <div class="L-grid-box qm-scrollbar">
            <%= iconSet %>
            <input type="hidden" id="group_icon_sel" name="group_icon_sel" value="<%= selectedIconId %>" />
          </div>
          <INPUT CLASS='qm-input Input' TYPE='textbox' NAME="TABAGENTGROUPS_group_icon" ID="TABAGENTGROUPS_group_icon" VALUE="<%=oC.getS("TABAGENTGROUPS_group_icon")%>" MAXLENGTH='250' STYLE="<%=stWidth%>" readonly="yes" >
        </div>

        <div class="L-column L-gap-8">
          <label for="TABAGENTGROUPS_read_key"><%= oDec.k("edit_record_securitykey") %></label>
          <div><%= oH.textBox( "TABAGENTGROUPS_read_key", true, stWidth, 30 ) %></div>
        </div>
      </div>
    </div>

    <div class="L-row L-justify-spacebetween">
        <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
        <div class="L-row L-gap-16">
            <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABAGENTGROUPS_id_group") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
            <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABAGENTGROUPS_id_group") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
            <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABAGENTGROUPS_id_group") > 0 ) && ( nAgentsBelonging == 0) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABAGENTGROUPS_group_name")+"','"+oC.getS("TABAGENTGROUPS_id_group")+"')", "Q-button-secondary") %>
        </div>
        <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
  </div>

  <div class="L-column L-gap-24">
      <h3 class="L-heading-divider"><%= oDec.k("edit_record_groups_agentsingroup") %></h3>
      <div>
      <%
          SmartTable stT = new SmartTable( "x", oC.getLt( "TABAGENTGROUPS_opt_list_users" ) );
          stT.addColumn( oDec.k("edit_record_groups_code"), 0  , "100" );
          stT.addColumn( oDec.k("edit_record_groups_name"),  1  , "200" );
          if ( stT.numRows() > 0 ) {
              stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped L-width-100" );
              out.println( stT.render() );
          } else {
              out.println( "<div class=\"qm-admin-agents-warning\">"+oDec.k("edit_record_groups_noagents")+"</div>");
          }
      %>
      </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
