<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.app.queuemetrics.html.LowayHtml" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_agents";
    final String stTabPrefix  = "TABAGENTI_NOTI";
    String stWidth = "";

%>

<script >
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

  setFocus( "TABAGENTI_NOTI_nome_agente" );
}
</script>

<div class="qm-form-body L-column L-gap-48">
  <div class="L-column L-gap-24">
    <div class="L-row L-justify-spacebetween">
      <h2><%= oDec.k("edit_record_agents_title") %></h2>
      <!------------ Not editable items ---------------->
      <%= LowayHtml.sysFields( oC, oDec, "TABAGENTI_NOTI", "id_agente" ) %>

    </div>

    <div class="L-column L-gap-48">
      <!---------------- row ---------------->
      <div class="L-row L-gap-16 L-align-flexstart">
        <div class="L-column L-gap-8 L-width-25">
          <label for="TABAGENTI_NOTI_nome_agente"><%= oDec.k("edit_record_agents_code") %></label>
          <div><%= oH.textBox( "TABAGENTI_NOTI_nome_agente", true, stWidth, 250 ) %></div>
          <small class="L-tertiary-text"><%= oDec.k("edit_record_agents_eg") %></small>
        </div>

        <div class="L-column L-gap-8 L-width-25">
          <label for="TABAGENTI_NOTI_descr_agente"><%= oDec.k("edit_record_agents_description") %></label>
          <div><%= oH.textBox( "TABAGENTI_NOTI_descr_agente", true, stWidth, 250 ) %></div>
        </div>

        <div class="L-column L-gap-8 L-width-25">
          <label for="TABAGENTI_NOTI_aliases"><%= oDec.k("edit_record_agents_aliases") %></label>
          <div><%= oH.textBox( "TABAGENTI_NOTI_aliases", true, stWidth, 250 ) %></div>
          <small  class="L-tertiary-text">&nbsp; <%= oDec.k("edit_record_agents_multiplealiases1") %> &nbsp; <%= oDec.k("edit_record_agents_multiplealiases2") %></small>
        </div>
      </div>

      <div class="L-column L-gap-24">
        <!---------------- row ---------------->
        <div class="L-row L-gap-16 L-align-flexstart">
          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_supervised_by"><%= oDec.k("edit_record_agents_supervisor") %></label>
            <div><%= oH.combo( "TABAGENTI_NOTI_supervised_by", true, stWidth, oC.getLt( "DATI_supervisors"), 0, 2, "0" ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_location"><%= oDec.k("edit_record_agents_location") %></label>
            <div><%= oH.combo( "TABAGENTI_NOTI_location", true, stWidth, oC.getLt( "DATI_locations_agenti"), 0, 1, "0" ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_group_by"><%= oDec.k("edit_record_agents_group") %></label>
            <div><%= oH.combo( "TABAGENTI_NOTI_group_by", true, stWidth, oC.getLt( "DATI_agentgroups_agenti"), 0, 1, "0" ) %></div>
          </div>
        </div>
        <!---------------- row ---------------->
        <div class="L-row L-gap-16 L-align-flexstart">
          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_default_server"><%= oDec.k("edit_record_agents_defaultserver") %></label>
            <div><%= oH.combo( "TABAGENTI_NOTI_default_server", FA.isClusterMode(oC), stWidth, oC.getLt( "DATI_servers_selectable"), 0, 1, "" ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_chiave_agente"><%= oDec.k("edit_record_agents_agentkeys") %></label>
            <div><%= oH.textBox( "TABAGENTI_NOTI_chiave_agente",  true, stWidth, 64 ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_current_terminal"><%= oDec.k("edit_record_agents_terminal") %></label>
            <div><%= oH.textBox( "TABAGENTI_NOTI_current_terminal", true, stWidth, 250 ) %></div>
          </div>
        </div>
        <!---------------- row ---------------->
        <div class="L-row L-gap-16 L-align-flexstart">
          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_payroll_code"><%= oDec.k("edit_record_agents_payroll") %></label>
            <div><%= oH.textBox( "TABAGENTI_NOTI_payroll_code", true, stWidth, 50 ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_external_reference"><%= oDec.k("edit_record_external_reference") %></label>
            <div><%= oH.textBox( "TABAGENTI_NOTI_external_reference", true, stWidth, 250 ) %></div>
          </div>
        </div>
      </div>
      
      <!---------------- row ---------------->
      <div class="L-row L-gap-16 L-align-flexstart">
        <div class="L-column L-gap-8 L-width-25">
          <label for=""><%= oDec.k("edit_record_agents_vnc") %></label>
          <div class="L-row L-gap-8">
            <%= oH.textBox( "TABAGENTI_NOTI_vnc_url", true, stWidth, 250 ) %>
            <INPUT id="testVnc" TYPE='button' CLASS='Q-button-primary' VALUE="<%= oDec.k("edit_record_test") %>">
          </div>
        </div>

        <div class="L-column L-gap-8 L-width-25">
          <label for="TABAGENTI_NOTI_xmpp_address"><%= oDec.k("edit_record_agents_imaddress") %> &nbsp;</label>
          <div class="L-row L-gap-8">
            <%= oH.textBox( "TABAGENTI_NOTI_xmpp_address", true, stWidth, 200 ) %>
            <INPUT id="testXmpp" TYPE='button' CLASS='Q-button-primary' VALUE='<%= oDec.k("edit_record_test") %>' >
          </div>
        </div>
      </div>
      <!---------------- row ---------------->
      <div class="L-column L-gap-24">
        <div class="L-row L-gap-16 L-align-flexstart">
          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_sip_login"><%= oDec.k("edit_record_agents_webphoneusername") %></label>
            <div><%= oH.textBox( "TABAGENTI_NOTI_sip_login", true, stWidth, 250 ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_sip_pwd"><%= oDec.k("edit_record_agents_webphonepassword") %></label>
            <div><%= oH.textBox( "TABAGENTI_NOTI_sip_pwd", true, stWidth, 250 ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_sip_realm"><%= oDec.k("edit_record_agents_webphonerealm") %></label>
            <div><%= oH.textBox( "TABAGENTI_NOTI_sip_realm", true, stWidth, 250 ) %></div>
          </div>
        </div>
        
        <div class="L-row L-gap-16 L-align-flexstart">
          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_sip_uri"><%= oDec.k("edit_record_agents_webphoneuri") %></label>
            <div><%= oH.textBox( "TABAGENTI_NOTI_sip_uri", true, stWidth, 250 ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="TABAGENTI_NOTI_auto_answer"><%= oDec.k("edit_record_agents_webphoneautoanswer") %></label>
            <div><%= oH.combo( "TABAGENTI_NOTI_auto_answer",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="L-column L-gap-24">
    <h3><%= oDec.k("edit_record_agent_syncsettings") %></h3>
    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8 L-width-25">
        <label for="TABAGENTI_NOTI_delete_protection"><%= oDec.k("edit_record_agent_delete_protection") %></label>
        <div><%= oH.combo( "TABAGENTI_NOTI_delete_protection",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>
      </div>

      <div class="L-column L-gap-8 L-width-25">
        <label for="TABAGENTI_NOTI_update_protection"><%= oDec.k("edit_record_agent_update_protection") %></label>
        <div><%= oH.combo( "TABAGENTI_NOTI_update_protection",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>
      </div>
    </div>
  
    <!------------ Buttons row ---------------->
    <div class="L-row L-justify-spacebetween">
      <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABAGENTI_NOTI_id_agente") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABAGENTI_NOTI_id_agente") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABAGENTI_NOTI_id_agente") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABAGENTI_NOTI_nome_agente")+"','"+oC.getS("TABAGENTI_NOTI_id_agente")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
    <!------------ Agent in queue row ---------------->
    <div class="L-column L-gap-24">
      <h4 class="L-heading-divider"><%= oDec.k("edit_record_agents_agentinqueue") %></h4>
      <div>
        <%
          SmartTable stT = new SmartTable( "x", oC.getLt( "TABAGENTI_NOTI_ltCodeAssociate" ) );

          stT.addColumn( oDec.k("edit_record_agents_queuename"), 1  , "200" );
          stT.addColumn( oDec.k("edit_record_agents_direction"),  0  , "100" );
          stT.addColumn( oDec.k("edit_record_agents_level"),      2  , "100" );

          if ( stT.numRows() > 0 ) {
            stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped L-width-100" );
            out.println( stT.render() );
          } else {
        %>
            <div class="qm-admin-agents-warning"><%=oDec.k("edit_record_agents_noqueues")%></div>
        <%
          }
        %>
      </div>

      <div>
        <small><%= oDec.k("edit_record_agents_configure") %></small>
      </div>
    </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>