<%@ page language="java" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.cfg2.PtButtonModificaDecor"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import= "it.loway.app.queuemetrics.configurazione.cfg2.ptAmoLists" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    oDec.load( "amo_list_states", "amo_list_states.txt", 0, 1 );
    oDec.load( "amo_dialer_states", "amo_dialer_states.txt", 0, 1 );
    final String stVerbPrefix = ptAmoLists.TRANSACTION_PREFIX;
    final String stTabPrefix  = ptAmoLists.CONTEXT_PREFIX;

    //--------------------------------------------------------------
    
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };

    class validFromDecor implements TpfCellDecoratorInterface {
         public String decorate(LTable lt, int r, int c, String width) throws TechException {
           String validFrom = lt.getS(r, c);
           if(validFrom.equals("0000-00-00 00:00:00")){
            validFrom = "-";
           }

           return validFrom;
         }
     }
%>
<%-- transazione standard --%>
<%@ include file="/includes/qm_adm/21_qm_adm_transazione_standard.jspf" %>

<div class="qm-form-body L-column L-gap-24">
  <h2 class="L-row"><%= oC.getS(ptAmoLists.DEPENDENT_QUEUE_NAME) %><span loway-icon="chevron-right"></span><%=oDec.k("edit_amo_lists_list")%></h2>
  <div class="qm-editor-search">
    <%-- search line --%>
    <% out.println(LowayHtml.tertiaryButton("<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "qm_cfg2_amo_campaigns_list", "")); %>
    <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>
    <%@ include file="/includes/qm_adm/23_qm_adm_buttons.jspf" %>
  </div>

  <%
    SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
      ptAmoLists.SORTINGS );

    stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
    stT.addColumn( oDec.k("edit_amo_list_name"),           1  , "150px", "nome" );
    stT.addColumn( oDec.k("edit_amo_list_weight"),           2  , "150px", "nome" );
    stT.addColumn( oDec.k("edit_amo_list_state"),           3  , "150px", "nome", new decoderDecor(oDec, "amo_list_states"));
    stT.addColumn( oDec.k("edit_amo_list_dialer_state"),           4  , "150px", "nome", new decoderDecor(oDec, "amo_dialer_states") );
    stT.addColumn( oDec.k("edit_amo_list_n_added"),           5  , "150px", "nome" );
    stT.addColumn( oDec.k("edit_amo_list_n_completed"),           6  , "150px", "nome" );
    stT.addColumn( oDec.k("edit_amo_list_n_pulled"),           7  , "150px", "nome" );
    stT.addColumn( oDec.k("edit_amo_list_last_pull"),           8  , "150px", "nome" , new validFromDecor() );
    stT.addColumn( oDec.k("edit_amo_list_pull_by"),           10  , "150px", "nome" );
    stT.addColumn( "&nbsp;",  0 , "20px", new PtButtonModificaDecor( oH, stVerbPrefix )   );

      if ( stT.getNRigheTotaliQuery() > 0 ) {
  %>

  <%@ include file="/includes/qm_adm/11_qm_adm_loway_pagination.jspf" %>

  <%
      }
  %>
  <%
      if ( stT.numRows() > 0 ) {
          stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped" );
          out.println( stT.render() );
      }
      if ( stT.getNRigheTotaliQuery() == 0 ) {
  %>
  <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
  <%
      } else { // ci sono righe
  %>

  <%@ include file="/includes/qm_adm/10_qm_adm_pagination_buttons.jspf" %>

  <%
      };
  %></div>


<%@ include file="/includes/00_page_footer.jspf" %>
