<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );
%>

<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_cbts";
    final String stTabPrefix  = "TABCBTS";
    String stWidth = "";
%>



<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  setFocus( "TABCBTS_name" );
}

function checkURL() {
    url = document.forms[0].TABCBTS_url.value;
    if (url.length !== 0) {
        agentCode = "<%= oU.getLogin() %>";
        url=url.replace("[u]",agentCode);
        url=url.replace("[U]", agentCode);
        window.open(url,'_blank');
    }
}
</script>

<div class="qm-form-body">
  <div class="L-column L-gap-48">
    <div class="L-row L-justify-spacebetween">
      <h2><%= oDec.k("edit_record_cbt_title") %></h2>
      <!------------ Not editable items ---------------->
      <%= LowayHtml.sysFields( oC, oDec, "TABCBTS", "id" ) %>
    </div>

    <div class="L-column L-gap-24">
      <div class="L-row L-gap-16">
        <div class="L-column L-gap-8">
          <label for="TABCBTS_name"><%= oDec.k("edit_record_cbt_code") %></label>
          <div><%= oH.textBox( "TABCBTS_name",  true, stWidth, 45 ) %></div>
        </div>

        <div class="L-column L-gap-8 L-width-50">
          <label for="TABCBTS_description"><%= oDec.k("edit_record_description") %></label>
          <div><%= oH.textBox( "TABCBTS_description",  true, stWidth, 100 ) %></div>
        </div>
      </div>

      <div class="L-row">
        <div class="L-column L-gap-8">
          <label for="TABCBTS_read_key"><%= oDec.k("edit_record_securitykey") %></label>
          <div><%= oH.textBox( "TABCBTS_read_key",  true, stWidth, 100 ) %></div>
        </div>
      </div>

      <div class="L-row L-gap-16">
        <div class="L-column L-gap-8 L-width-25">
        <!-- Sostituire con radio button in prossima versione -->
          <label for="TABCBTS_deleted"><%= oDec.k("edit_record_cbt_offline") %></label>
          <div><%= oH.combo( "TABCBTS_deleted", true, stWidth, oC.getLt( "TABCBTS_deletedyesno" ), 0, 1, "n" ) %></div>
        </div>

        <div class="L-column L-gap-8">
          <label for="TABCBTS_track"><%= oDec.k("edit_record_cbt_counter") %></label>
          <div><%= oH.textBox( "TABCBTS_track",  false, stWidth, 100 ) %></div>
        </div>
      </div>

      <div class="L-row L-gap-16">
        <div class="L-column L-gap-8 L-width-50">
          <label for="TABCBTS_url"><%= oDec.k("edit_record_cbt_url") %></label>
          <div class="L-row L-gap-16">
            <%= oH.textBox( "TABCBTS_url",  true, stWidth + "", 10000 ) %>
            <%= oH.buttonScript(oDec.k("edit_record_test"),true,"", "checkURL()") %>
          </div>
        </div>
      </div>
    </div>

    <div class="L-row L-justify-spacebetween">
      <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCBTS_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCBTS_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCBTS_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCBTS_name")+"','"+oC.getS("TABCBTS_id")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>