<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "known_number_action", "known_number_action.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_known_numbers";
    final String stTabPrefix  = "TABKNOWN_NUMBERS";
    String stWidth = "";

%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  //$("#TABKNOWN_NUMBERS_expires_on").datepicker( { dateFormat: 'yy-mm-dd' } );
  setFocus( "TABKNOWN_NUMBERS_number" );
}
</script>

<div class="qm-form-body L-column L-gap-24">
  <div class="L-row L-justify-spacebetween">
    <h2><%= oDec.k("edit_kn_title") %></h2>
    <!------------ Not editable items ---------------->
    <%= LowayHtml.sysFields( oC, oDec, "TABKNOWN_NUMBERS", "number_id" ) %>
   
  </div>

  <div class="L-column L-gap-24">
    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8">
        <label for="TABKNOWN_NUMBERS_number"><%= oDec.k( "edit_kn_number" ) %></label>
        <div><%= oH.textBox( "TABKNOWN_NUMBERS_number",  true, stWidth, 100 ) %></div>
      </div>
      <div class="L-column L-gap-8">
        <label for="TABKNOWN_NUMBERS_action"><%= oDec.k( "edit_kn_action" ) %></label>
        <div><%= oH.combo( "TABKNOWN_NUMBERS_action",  true, stWidth, "known_number_action", "NONE" ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="TABKNOWN_NUMBERS_name"><%= oDec.k( "edit_kn_name" ) %></label>
        <div><%= oH.textBox( "TABKNOWN_NUMBERS_name",  true, stWidth, 100 ) %></div>
      </div>
    </div>

    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8 L-width-25">
        <label for="TABKNOWN_NUMBERS_description"><%= oDec.k( "edit_kn_desc" ) %></label>
        <div><%= oH.textBox( "TABKNOWN_NUMBERS_description",  true, stWidth, 100 ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="TABKNOWN_NUMBERS_expires_on"><%= oDec.k( "edit_kn_expires_on" ) %></label>
        <div><%= oH.datepicker( "TABKNOWN_NUMBERS_expires_on",  true, "", 10 ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="TABKNOWN_NUMBERS_affinity"><%= oDec.k( "edit_kn_agent_affinity" ) %></label>
        <div><%= oH.textBox( "TABKNOWN_NUMBERS_affinity",  true, stWidth, 100 ) %></div>
      </div>
    </div>

    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8">
        <label for="TABKNOWN_NUMBERS_n_hits"><%= oDec.k( "edit_kn_n_hits" ) %></label>
        <div><%= oH.textBox( "TABKNOWN_NUMBERS_n_hits",  false, stWidth, 100 ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="TABKNOWN_NUMBERS_last_hit"><%= oDec.k( "edit_kn_last_hit" ) %></label>
        <div><%= oH.textBox( "TABKNOWN_NUMBERS_last_hit",  false, stWidth, 100 ) %></div>
      </div>
    </div>
  </div>

  <div class="L-row L-justify-spacebetween">
    <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("editor_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("editor_new"), (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
      <%= oH.button( oDec.k("editor_clone"), (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
      <%= oH.button( oDec.k("editor_delete"), (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ) , "", stVerbPrefix + "_edit", "D", "Q-button-secondary") %>
      <%= oH.buttonScript( "Delete", (oC.getI("TABKNOWN_NUMBERS_number_id") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABKNOWN_NUMBERS_name")+"','"+oC.getS("TABKNOWN_NUMBERS_number_id")+"')", "Q-button-secondary") %>
    </div>
    <%= oH.button( oDec.k("editor_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
//
%>
