<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_locations";
    final String stTabPrefix  = "TABLOCATIONS";
    String stWidth = "";
    int nAgentsBelonging = oC.getI( "TABLOCATIONS_opt_n_users" );
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  setFocus( "TABLOCATIONS_loc_name" );
}
</script>

<div class="qm-form-body L-column L-gap-24">
  <div class="L-row L-justify-spacebetween">
    <h2><%= oDec.k("edit_record_locations_title") %></h2>
    <!------------ Not editable items ---------------->
    <%= LowayHtml.sysFields( oC, oDec, "TABLOCATIONS", "id_location" ) %>
    
  </div>

  <div class="L-column L-gap-24">
    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8">
        <label for="TABLOCATIONS_loc_name"><%= oDec.k("edit_record_name") %></label>
        <div><%= oH.textBox( "TABLOCATIONS_loc_name", true, stWidth, 50 ) %></div>
      </div>

      <div class="L-column L-gap-8 L-width-25">
        <label for="TABLOCATIONS_loc_description"><%= oDec.k("edit_record_description") %></label>
        <div><%= oH.textBox( "TABLOCATIONS_loc_description", true, stWidth, 250 ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="TABLOCATIONS_read_key"><%= oDec.k("edit_record_securitykey") %></label>
        <div><%= oH.textBox( "TABLOCATIONS_read_key", true, stWidth, 30 ) %></div>
      </div>
    </div>

    <div class="L-text-primary"> Number of agents belonging to this location: <%= nAgentsBelonging %>. </div>

    <div class="L-row L-justify-spacebetween">
      <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABLOCATIONS_id_location") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABLOCATIONS_id_location") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABLOCATIONS_id_location") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABLOCATIONS_loc_name")+"','"+oC.getS("TABLOCATIONS_id_location")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>