<!-- This modal dialog is included in cfg2_qa_perftrack_rulegroups_edit.jsp -->

<!-- Start of custom rule dialog -->
<%
    String crDialogTitle = oDec.k("qa_perftrack_crs_titledialog");
%>

<script>
var privateData = {
                    ruleRow: -1,
                    ruleId: 0,
                    queueId: 0,
                    formId: 0,
                    y_rule: "",
                    r_rule: ""
                  }

var yslider = { selector: "#y_slider",
                default: 80,
                min: 0,
                max: 100,
                labelselector : "#y_amount",
                labeltext : "<%= oDec.k("qa_perftrack_crs_yellow")%>" };

var rslider = { selector: "#r_slider",
                default: 90,
                min: 0,
                max: 100,
                labelselector : "#r_amount",
                labeltext : "<%= oDec.k("qa_perftrack_crs_red")%>" };
</script>

<!-- This is the modal -->
<div loway-modal id="dialog-modal-customrule" title="<%= crDialogTitle %>">
  <div class="L-padding-32 L-border-radius-2" style="width: 50%;">
    <h2 class="L-title" style="display:none"></h2>
    <div class="L-column L-gap-24">
      <!-- modal content-->
      <h3 class="L-heading-divider"><%= crDialogTitle %></h3>
      <div class="L-column L-gap-24">
        <div class="L-column L-gap-16" id="dialog-modal-customrule" title="<%= crDialogTitle %>">
          <div class="L-row L-justify-spacebetween">
            <div class="L-row L-gap-8 L-flex-1">
              <label><%= oDec.k("qa_perftrack_crs_queue") + ":" %></label>
              <div id="dialog-queuename"></div>
            </div>

            <div class="L-row L-gap-8 L-flex-1">
              <label><%= oDec.k("qa_perftrack_qaform") + ":" %></label>
              <div id="dialog-formname"></div>
            </div>
          </div>

          <div class="L-row L-justify-spacebetween">
            <div class="L-row L-gap-8 L-flex-1">
              <label><%= oDec.k("qa_perftrack_crs_rule") + ":" %></label>
              <div id="dialog-rulename"></div>
            </div>

            <div class="L-row L-gap-8 L-flex-1">
              <label><%= oDec.k("qa_perftrack_crs_targetname") + ":" %></label>
              <div id="dialog-targetname"></div>
            </div>
          </div>

          <div class="L-row L-gap-16">
            <div class="L-column L-gap-8">
              <label for="QA_PERFTRACK_dtFrom_date"><%= oDec.k("qa_perftrack_fromdate") %></label>
              <div class="qm-form-datehourpicker"><%= FA.generaJQueryComboDataOra("QA_PERFTRACK_dtFrom", oC, oH, true, oDec) %></div>
            </div>

            <div class="L-column L-gap-8">
              <label for="QA_PERFTRACK_dtTo_date"><%= oDec.k("qa_perftrack_todate") %></label>
              <div class="qm-form-datehourpicker"><%= FA.generaJQueryComboDataOra("QA_PERFTRACK_dtTo", oC, oH, true, oDec) %></div>
            </div>
          </div>
        </div>

        <div class="L-column">
          <h4 class="L-heading-divider"><%= oDec.k("qa_perftrack_crs_scoresfor") %></h4>
          <div class="L-column L-gap-16">
            <div><%= oDec.k("qa_perftrack_crs_perccalls") %></div>
            <div><%= oDec.k("qa_perftrack_crs_intvtype") %></div>
            <div><%= oDec.k("qa_perftrack_crs_extrincl") %></div>

            <div>
              <label id="y_amount" class="L-warning"> </label>
              <div> <input id="y_slider" type="number" mix="0" max="100">  </div>
            </div>
            
            <div>
              <div id="y_intv" class="L-row L-gap-24">
                <div class="L-row L-gap-8">
                  <input type="radio" id="y_intv_int" value="0" name="y_intv_radio" />
                  <label for="y_intv_int"><%= oDec.k("qa_perftrack_crs_internal") %></label>
                </div>

                <div class="L-row L-gap-8">
                  <input type="radio" id="y_intv_ext" value="1" name="y_intv_radio" checked="checked"/>
                  <label for="y_intv_ext"><%= oDec.k("qa_perftrack_crs_external") %></label>
                </div>
              </div>
            </div>

            <div>
              <input type="checkbox" id="y_extr_yes" />
              <label for="y_extr_yes">&nbsp;<%= oDec.k("qa_perftrack_crs_yes") %>&nbsp;</label>
            </div>

            <div>
              <label id="r_amount" class="L-error"> </label>
              <div> <input id="r_slider" type="number" mix="0" max="100">  </div>
            </div>

            <div>
              <div id="r_intv" class="L-row L-gap-24">
                <div class="L-row L-gap-8">
                  <input type="radio" id="r_intv_int" value="0" name="r_intv_radio" />
                  <label for="r_intv_int"><%= oDec.k("qa_perftrack_crs_internal") %></label>
                </div>

                <div class="L-row L-gap-8">
                  <input type="radio" id="r_intv_ext" value="1" name="r_intv_radio" checked="checked"/>
                  <label for="r_intv_ext"><%= oDec.k("qa_perftrack_crs_external") %></label>
                </div>
              </div>
            </div>

            <div>
              <input type="checkbox" id="r_extr_yes" />
              <label for="r_extr_yes">&nbsp;<%= oDec.k("qa_perftrack_crs_yes") %>&nbsp;</label>
            </div>
          </div>
        </div>

        <div class="L-row">
          <div class="L-grid-3">
            <div >&nbsp;</div>
            <div >Min</div>
            <div >Max</div>

            <div ><%= oDec.k("qa_perftrack_crs_yellow")%>:</div>
            <div id="y_minval">-</div>
            <div id="y_maxval">-</div>

            <div ><%= oDec.k("qa_perftrack_crs_red")%>:</div>
            <div id="r_minval">-</div>
            <div id="r_maxval">-</div>

            <div ><%= oDec.k("qa_perftrack_crs_numcalls")%>:</div>
            <div id="numcalls">-</div>
            <div >&nbsp;</div>

            <div class="">
              <input type="button" id="calculate_btn" class="Q-button-primary" name="calculate_btn" value="<%= oDec.k("qa_perftrack_crs_calculate") %>" >
            </div>
          </div>
        </div>
      </div>
      <!-- modal content end -->
    </div>

    <div class="L-row L-gap-16 L-justify-flexend">
      <button class="Q-button-tertiary qm-button-cancel" type="button" id="LowayModal-cancel" ><%= oDec.k("modal_cancel") %></button>
      <button class="Q-button-primary qm-button-ok" autofocus="" id="LowayModal-ok" ><%= oDec.k("modal_ok") %></button>
    </div>
  </div>
</div>
<!-- modal end -->

<!-- End of custom rule dialog definition -->
