<%@ page language="java" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.cfg2.PtButtonModificaDecor"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_qa_forms";
    final String stTabPrefix  = "TABQA_FORMS";
    //--------------------------------------------------------------
    class btnModDecor implements TpfCellDecoratorInterface {
            HtmlGeneratorEx oH = null;
            public btnModDecor( HtmlGeneratorEx oHx) { oH = oHx; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int nItems     = lt.getI(r, 15 );
                String idToEdit = lt.getS(r, c );
                String stButton = "";

                if (nItems == 0) {
                    stButton += oH.iconButton("<span loway-icon='user' title='Edit'></span>", true, "", "qm_cfg2_qa_form_items", idToEdit, "Q-button-icon");
                }
                stButton += oH.iconButton("<span loway-icon='pencil' title='Edit'></span>", true, "", stVerbPrefix + "_edit", idToEdit, "Q-button-icon");
                return  "  <td class='stData' style='width: " + width + ";'><div class='L-row L-gap-16 L-justify-flexend'>" + stButton + "</div></td>\n";
            }
    };
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };
    class yesNoDecor implements TpfCellDecoratorInterface {
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                int inCode = lt.getS(r, c ).equalsIgnoreCase("Y") ? 1 : 0;
                String stTesto = "&nbsp;";
                if ( inCode > 0 ) {
                    stTesto = "<img src='../img/icons_silk/key_delete.png' width=16 height=16>";
                }
                return  "  <td class='stData' style='width: " + width + "; text-align: center;'>" + stTesto+ "</td>\n";
            }
    };
%>

<script >
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
}

var page_enableAdminSearch = true;
var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
var stVerbPrefix = "<%=stVerbPrefix%>";


</script>

<div class="qm-form-body">
  <div class="L-column L-gap-24">
    <h2><%=oDec.k("edit_qa_title")%></h2>
    <div class="qm-editor-search">
      <%-- search line --%>
      <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>
      
      <div class="qm-editor-button">
        <div><%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N", "Q-button-primary") %></div>
        <div><%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')", "Q-button-secondary") %></div>
        <div><%= oH.button( oDec.k("editor_edit_items"), true, "", "qm_cfg2_qa_items_list", "", "Q-button-secondary") %></div>
      </div>
    </div>

    <%
        SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
            it.loway.app.queuemetrics.configurazione.cfg2.ptQAForms.SORTINGS );

        //stT.addColumn( "&nbsp;",      10   , "10"   );
        stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
        stT.addColumn( oDec.k("edit_qa_name"),      1  , "200px", "nom" );
        stT.addColumn( "&nbsp;",    4  ,  "30px",  "lok", new yesNoDecor() );
        stT.addColumn( oDec.k("edit_qa_key_in"),    2  , "50px",  "sec" );
        stT.addColumn( oDec.k("edit_qa_key_rep"),   3  , "50px",  "sei" );
        stT.addColumn( oDec.k("edit_qa_sec_1"), 5  , "120px", "se1" );
        stT.addColumn( oDec.k("edit_qa_sec_2"), 6  , "120px", "se2" );
        stT.addColumn( oDec.k("edit_qa_sec_3"),7  , "120px", "se3" );
        stT.addColumn( oDec.k("edit_qa_sec_4"), 8  , "120px", "se4" );
        stT.addColumn( oDec.k("edit_qa_sec_5"), 9  , "120px", "se5" );
        stT.addColumn( oDec.k("edit_qa_sec_6"), 10  , "120px", "se6" );
        stT.addColumn( oDec.k("edit_qa_sec_7"), 11  , "120px", "se7" );
        stT.addColumn( oDec.k("edit_qa_sec_8"), 12  , "120px", "se8" );
        stT.addColumn( oDec.k("edit_qa_sec_9"), 13  , "120px", "se9" );
        stT.addColumn( oDec.k("edit_qa_sec_10"),14  , "120px", "se10" );
        stT.addColumn( oDec.k("edit_qa_items"),     15 , "70px" , "num" );
        stT.addColumn( "&nbsp;",    0  , "100px",   new btnModDecor( oH )   );

        if ( stT.getNRigheTotaliQuery() > 0 ) {
    %>
    <%@ include file="/includes/qm_adm/11_qm_adm_loway_pagination.jspf" %>
    <%
        }
    %>
    <%
        if ( stT.numRows() > 0 ) {
            stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped" );
            out.println( stT.render() );
        }

        if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
      <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
    <%
        } else { // ci sono righe
    %>
    <%@ include file="/includes/qm_adm/10_qm_adm_pagination_buttons.jspf" %>
    <%
        };
    %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
//
%>
