<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.html.QAItemTypeHandler" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_qa_items";
    final String stTabPrefix  = "TABQA_FORMS_ITEMS";
    String stWidth       = "" ;
    String stWidthShort  = "" ;
//    oDec.load( "queueDirection", "queueDirection.txt", 0, 1 );
//    oDec.load( "queueDirectionImg", "queueDirection.txt", 0, 2 );
//    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    LTable ltUsato = oC.getLt( "TABQA_FORMS_ITEMS__usedWhere" );
    boolean boInUso = (ltUsato.numRows() > 0);
    QAItemTypeHandler typeHandler = new QAItemTypeHandler(oDec, oH);
%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>

<div class="qm-form-body L-column L-gap-24">
  <div class="L-row L-justify-spacebetween">
    <h2><%= oDec.k("edit_record_qaitems_title") %></h2>
    <!------------ Not editable items ---------------->
    <%= LowayHtml.sysFields( oC, oDec, "TABQA_FORMS_ITEMS", "" ) %>
  </div>

  <div class="L-column L-gap-24">
    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8">
        <label for="TABQA_FORMS_ITEMS_item_code"><%= oDec.k("edit_record_qaitems_code") %></label>
        <div><%= oH.textBox( "TABQA_FORMS_ITEMS_item_code",  !boInUso, stWidth, 5 ) %></div>
      </div>

      <div class="L-column L-gap-8 L-width-50">
        <label for="TABQA_FORMS_ITEMS_item_desc"><%= oDec.k("edit_record_description") %></label>
        <div><%= oH.textBox( "TABQA_FORMS_ITEMS_item_desc",  true, stWidth, 250 ) %></div>
      </div>
    </div>

    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8">
        <label for="TABQA_FORMS_ITEMS_weight"><%= oDec.k("edit_record_qaitems_weight") %></label>
        <div><%= oH.textBox("TABQA_FORMS_ITEMS_weight", true, stWidth, 250 ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="TABQA_FORMS_ITEMS_shortcut"><%= oDec.k("edit_record_qaitems_shortcut") %></label>
        <div><%= oH.combo( "TABQA_FORMS_ITEMS_shortcut",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="TABQA_FORMS_ITEMS_ses_shortcut"><%= oDec.k("edit_record_qaitems_section") %></label>
        <div><%= oH.combo( "TABQA_FORMS_ITEMS_ses_shortcut",  true, stWidth, "masterkeyAbilitato", "0" ) %></div>
      </div>
    </div>

    <div class="L-row L-gap-16 L-align-flexstart">
      <div class="L-column L-gap-8">
        <label for="TABQA_FORMS_ITEMS_mandatory"><%= oDec.k("edit_record_qaitems_mandatory") %></label>
        <div><%= oH.combo( "TABQA_FORMS_ITEMS_mandatory",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>
      </div>

      <div class="L-column L-gap-8">
        <label for="<%=stTabPrefix + "_valuetype"%>"><%= oDec.k("edit_record_qaitems_type") %></label>
        <div><%= typeHandler.RenderSelectorTypeOptions(stTabPrefix + "_valuetype", stWidth) %></div>
      </div>

      <div class="L-column L-gap-8 L-width-50">
        <label for="<%=stTabPrefix + "_ddranges"%>"><%= oDec.k("edit_record_qaitems_multivalue") %></label>
        <div><%= oH.textArea( stTabPrefix + "_ddranges",  true, stWidth + "height: 90px;", 10000 ) %></div>
      </div>
    </div>
  </div>

  <div class="qm-adm-qaitems_usingcode L-column L-gap-24">
    <%
      if (ltUsato.numRows() > 0 ) {
          SmartTable TT = new SmartTable( "x", ltUsato );
          TT.addSortableColumn( oDec.k("edit_record_qaitems_form"), 1, "200px", SmartTable.SORT_TEXT_CI );
          out.println( "<h3 class='L-heading-divider'>"+oDec.k("edit_record_qaitems_usingcode")+"</h3>" );
          TT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped L-width-25" );
          out.println(TT.render());
      } else {
          out.println( "<div>"+oDec.k("edit_record_qaitems_notuse")+"</div>" );
      }
    %>
  </div>

  <div class="L-row L-justify-spacebetween">
      <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
        <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABQA_FORMS_ITEMS_item_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
        <!-- <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCALL_TAGS_tag_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %> -->
        <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABQA_FORMS_ITEMS_item_id") > 0 ) && !boInUso, "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABQA_FORMS_ITEMS_item_code")+"','"+oC.getS("TABQA_FORMS_ITEMS_item_id")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>