<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    oDec.load( "amo_recall_stepping", "amo_recall_stepping.txt", 0, 1 );


    final String stVerbPrefix = "qm_cfg2_queues";
    final String stTabPrefix  = "TABCODE_POSSIBILI";
    String stWidth       = "" ;
    String stWidthShort  = "" ;
    oDec.load( "queueDirection", "queueDirection.txt", 0, 1 );
    oDec.load( "queueDirectionImg", "queueDirection.txt", 0, 2 );
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    class agentsDecor {
        public agentsDecor(){ };
        public String colorifyInvalidAgents(String agentList, String invalidAgentList) {
            ArrayList arAgentList = U.split(agentList, "|");
            Set setInvalidAgents = new HashSet(U.split(invalidAgentList, "|"));
            ArrayList arResult = new ArrayList();
            for (int i = 0; i < arAgentList.size(); i++) {
                String agent = (String) arAgentList.get(i);
                if (setInvalidAgents.contains(agent))
                    arResult.add("<font color='red'>" + agent + "</font>");
                else
                    arResult.add(agent);
            }
            return U.join( arResult, ", " );
        }
    }
   agentsDecor agentsDecorator = new agentsDecor();

%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
  setFocus( "TABCODE_POSSIBILI_nome_coda" );
}
</script>

<div class="qm-form-body L-column L-gap-32">
  <div class="L-row L-justify-spacebetween">
    <h2><%= oDec.k("edit_record_queue_title") %></h2>
    <!------------ Not editable items ---------------->
    <%= LowayHtml.sysFields( oC, oDec, "TABCODE_POSSIBILI", "id_coda" ) %>
    
  </div>

  <div class="L-row L-gap-48">
    <div class="L-width-100">
      <div class="L-column L-gap-24">
        <div class="L-row L-gap-16 L-align-flexstart">
          <div class="L-column L-gap-8 L-width-25">
            <label for="TABCODE_POSSIBILI_nome_coda"><%= oDec.k("edit_record_queue_alias") %></label>
            <div><%= oH.textBox( "TABCODE_POSSIBILI_nome_coda", true, stWidth, 50 ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-50">
            <label for="TABCODE_POSSIBILI_composizione_coda">
              <%= oDec.k("edit_record_queue_queues") %><br>
            </label>
            <div><%= oH.textArea( "TABCODE_POSSIBILI_composizione_coda", true, stWidth , 500 ) %></div>
            <small><%= oDec.k("edit_record_queue_separate") %></small>
          </div>
        </div>

        <hr />

        <div class="L-row L-gap-16 L-align-flexstart">
          <div class="L-column L-gap-8 L-width-25">
            <label for="TABCODE_POSSIBILI_q_direction"><%= oDec.k("edit_record_queue_flow") %></label>
            <div><%= oH.combo( "TABCODE_POSSIBILI_q_direction",  true, stWidth, "queueDirection", "inbound" ) %></div>
          </div>
          <div class="L-column L-gap-8 L-width-25">
            <label for="TABCODE_POSSIBILI_visibility_key"><%= oDec.k("edit_record_queue_visibility") %></label>
            <div><%= oH.textBox( "TABCODE_POSSIBILI_visibility_key", true, stWidth, 500 ) %></div>
          </div>
          <div class="L-column L-gap-8 L-width-25">
            <label for="TABCODE_POSSIBILI_q_frontpage"><%= oDec.k("edit_record_queue_shown") %></label>
            <div><%= oH.combo( "TABCODE_POSSIBILI_q_frontpage",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>
          </div>
        </div>
        
        <div class="L-row L-gap-16">
          <div class="L-column L-gap-8 L-width-25">
            <label for="TABCODE_POSSIBILI_chat_group"><%= oDec.k("edit_record_queue_chat") %></label>
            <div><%= oH.textBox( "TABCODE_POSSIBILI_chat_group", true, stWidth, 50 ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="TABCODE_POSSIBILI_queue_url"><%= oDec.k("edit_record_queue_url") %></label>
            <div><%= oH.textBox( "TABCODE_POSSIBILI_queue_url", true, stWidth, 249 ) %></div>
          </div>

          <div class="L-column L-gap-8 L-width-25">
            <label for="TABCODE_POSSIBILI_external_reference"><%= oDec.k("edit_record_external_reference") %></label>
            <div><%= oH.textBox( "TABCODE_POSSIBILI_external_reference", true, stWidth, 250 ) %></div>
          </div>
        </div>

        <div class="L-column L-gap-16 L-padding-24 L-border L-border-radius-2 L-width-25">
          <div class="L-row L-gap-8">
            <div class="L-tertiary-text"><%= oDec.k("edit_record_queue_mainag") %></div>
            <%= agentsDecorator.colorifyInvalidAgents(oC.getS("TABCODE_POSSIBILI_agenti_membri"), oC.getS("TABCODE_POSSIBILI_agenti_membri_invalid") ) %>
          </div>

          <div class="L-row L-gap-8">
            <div class="L-tertiary-text"><%= oDec.k("edit_record_queue_wrapag") %></div>
            <%= agentsDecorator.colorifyInvalidAgents(oC.getS("TABCODE_POSSIBILI_agenti_spilloff_1"), oC.getS("TABCODE_POSSIBILI_agenti_spilloff_1_invalid") ) %>
          </div>

          <div class="L-row L-gap-8">
            <div class="L-tertiary-text"><%= oDec.k("edit_record_queue_spillag") %></div>
            <%= agentsDecorator.colorifyInvalidAgents(oC.getS("TABCODE_POSSIBILI_agenti_spilloff_2"), oC.getS("TABCODE_POSSIBILI_agenti_spilloff_2_invalid") ) %>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="L-column L-gap-24">
    <h3 class="L-heading-divider"><%= oDec.k("edit_record_queue_amo") %></h3>
    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCODE_POSSIBILI_amo_enabled"><%= oDec.k("edit_record_queue_amo_enabled") %></label>
        <div><%= oH.combo( "TABCODE_POSSIBILI_amo_enabled",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>
      </div>

      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCODE_POSSIBILI_amo_recall_max_attempts"><%= oDec.k("edit_record_queue_amo_recall_max_attempts") %></label>
        <div><%= oH.textBox( "TABCODE_POSSIBILI_amo_recall_max_attempts", true, stWidth, 500 ) %></div>
      </div>

      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCODE_POSSIBILI_amo_recall_sec"><%= oDec.k("edit_record_queue_amo_recall_sec") %></label>
        <div><%= oH.textBox( "TABCODE_POSSIBILI_amo_recall_sec", true, stWidth, 500 ) %></div>
      </div>
    </div>

    <div class="L-row L-gap-16">
      <div class="L-column L-gap-8 L-width-25">  
        <label for="TABCODE_POSSIBILI_amo_recall_stepping"><%= oDec.k("edit_record_queue_amo_recall_stepping") %></label>
        <div><%= oH.combo( "TABCODE_POSSIBILI_amo_recall_stepping",  true, stWidth, "amo_recall_stepping", "1" ) %></div>
      </div>

      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCODE_POSSIBILI_amo_recall_valid_outcomes"><%= oDec.k("edit_record_queue_amo_recall_valid_outcomes") %></label>
        <div><%= oH.textBox( "TABCODE_POSSIBILI_amo_recall_valid_outcomes", true, stWidth, 500 ) %></div>
      </div>

      <div class="L-column L-gap-8 L-width-25">
        <label for="TABCODE_POSSIBILI_amo_recall_attributes"><%= oDec.k("edit_record_queue_amo_recall_attributes") %></label>
        <div><%= oH.textBox( "TABCODE_POSSIBILI_amo_recall_attributes", true, stWidth, 500 ) %></div>
      </div>
    </div>
  </div>

  <div class="L-column L-gap-24">
    <h3 class="L-heading-divider"><%= oDec.k("edit_record_queue_attention") %></h3>
    <div class="L-grid-3 L-width-50">
      <div></div>
      <div class="L-warning">Yellow alarm</div>
      <div class="L-error">Red alarm</div>

      <label for="TABCODE_POSSIBILI_sl_calls_y"><%= oDec.k("edit_record_queue_callsinqueue") %></label>
      <div class="L-width-100"><%= oH.textBox( "TABCODE_POSSIBILI_sl_calls_y", true, stWidthShort, 20 ) %></div>
      <div class="L-width-100"><%= oH.textBox( "TABCODE_POSSIBILI_sl_calls_r", true, stWidthShort, 20 ) %></div>

      <label for="TABCODE_POSSIBILI_sl_ag_calls_y"><%= oDec.k("edit_record_queue_agentsoncall") %></label>
      <div class="L-width-100"> <%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_calls_y", true, stWidthShort, 20 ) %></div>
      <div class="L-width-100"><%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_calls_r", true, stWidthShort, 20 ) %></div>

      <label for="TABCODE_POSSIBILI_sl_ag_wait_y"><%= oDec.k("edit_record_queue_agentswaiting") %></label>
      <div class="L-width-100"><%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_wait_y", true, stWidthShort, 20 ) %></div>
      <div class="L-width-100"><%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_wait_r", true, stWidthShort, 20 ) %></div>

      <label for="TABCODE_POSSIBILI_sl_ag_pause_y"><%= oDec.k("edit_record_queue_agentspaused") %></label>
      <div class="L-width-100"><%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_pause_y", true, stWidthShort, 20 ) %></div>
      <div class="L-width-100"><%= oH.textBox( "TABCODE_POSSIBILI_sl_ag_pause_r", true, stWidthShort, 20 ) %></div>

      <label for=""><%= oDec.k("edit_record_queue_waitduration") %></label>
      <div class="L-width-100"><%= oH.textBox( "TABCODE_POSSIBILI_sl_waittime_y", true, stWidthShort, 20 ) %></div>
      <div class="L-width-100"><%= oH.textBox( "TABCODE_POSSIBILI_sl_waittime_r", true, stWidthShort, 20 ) %></div>

      <label for=""><%= oDec.k("edit_record_queue_talkingduration") %></label>
      <div class="L-width-100"><%= oH.textBox( "TABCODE_POSSIBILI_sl_talktime_y", true, stWidthShort, 20 ) %></div>
      <div class="L-width-100"><%= oH.textBox( "TABCODE_POSSIBILI_sl_talktime_r", true, stWidthShort, 20 ) %></div>
    </div>
  </div>

  <div class="L-grid L-gap-48">
    <div class="L-column L-gap-24">
      <h3 class="L-heading-divider"><%= oDec.k("edit_record_queue_wdsettings") %></h3>
      <div class="L-row L-gap-16 L-align-flexstart">
        <div class="L-column L-gap-8 L-width-50">
          <label for="TABCODE_POSSIBILI_wb_campaigns">
            <%= oDec.k("edit_record_queue_recall") %>
          </label>
          <div><%= oH.textBox( "TABCODE_POSSIBILI_wb_campaigns", true, stWidth, 500 ) %></div>
          <small class="L-text-tertiary"><%= oDec.k("edit_record_queue_separate") %></small>
        </div>

        <div class="L-column L-gap-8 L-width-50">
          <label for="TABCODE_POSSIBILI_wb_recallmaxdays"><%= oDec.k("edit_record_queue_recalldays") %></label>
          <div><%= oH.textBox( "TABCODE_POSSIBILI_wb_recallmaxdays", true, stWidth, 500 ) %></div>
        </div>
      </div>
    </div>

    <div class="L-column L-gap-24">
      <h3 class="L-heading-divider"><%= oDec.k("edit_record_queue_syncsettings") %></h3>
      <div class="L-row L-gap-16 L-align-flexstart">
        <div class="L-column L-gap-8 L-width-50">
          <label for="TABCODE_POSSIBILI_delete_protection"><%= oDec.k("edit_record_queue_delete_protection") %></label>
          <div><%= oH.combo( "TABCODE_POSSIBILI_delete_protection",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>
        </div>

        <div class="L-column L-gap-8 L-width-50">
          <label for="TABCODE_POSSIBILI_update_protection"><%= oDec.k("edit_record_queue_update_protection") %></label>
          <div><%= oH.combo( "TABCODE_POSSIBILI_update_protection",  true, stWidth, "masterkeyAbilitato", "1" ) %></div>
        </div>
      </div>
    </div>
  </div>

  <div class="L-row L-justify-spacebetween">
    <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("edit_record_queue_agentsbutton"), (oC.getI("TABCODE_POSSIBILI_id_coda") > 0 ) , "", "qm_cfg2_queues_agents", oC.getS("TABCODE_POSSIBILI_id_coda"), "Q-button-secondary") %>
    </div>
    
    <div class="L-row L-gap-16">
      <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABCODE_POSSIBILI_id_coda") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
      <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABCODE_POSSIBILI_id_coda") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
      <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABCODE_POSSIBILI_id_coda") > 0 ) , "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABCODE_POSSIBILI_nome_coda")+"','"+oC.getS("TABCODE_POSSIBILI_id_coda")+"')", "Q-button-secondary") %>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
    </div>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<% 
  // Rimosso TABCODE_POSSIBILI_req_sla 
%>