<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    //--------------------------------------------------------------
    class CheckBoxDecor implements TpfCellDecoratorInterface {
            String stName = "";
            public CheckBoxDecor( String name) { stName = name; };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                boolean boChecked = (lt.getI(r, c ) != 0);
                StringBuffer sb = new StringBuffer();
                sb.append( "<input type='checkbox' ");
                sb.append( boChecked ? "CHECKED" : "" );
                sb.append( " name='I_").append( stName ).append( ";" ).append( r ).append( "' " );
                sb.append( " value='").append( lt.getI(r, 2 ) ).append("' >" );
                return  "  <td class='stData'>" + sb.toString() + "</td>\n";
            }
    };

%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";
}
</script>

<div class="qm-form-body L-column L-gap-24">
  <h2><%= oDec.k("edit_ssar_queues_title") %> <%= oC.getS("STAMPA_coda_scelta") %></h2>
  <%
      SmartTable T = new SmartTable( "x", oC.getLt("DATI_ag_membri") );
      T.addSortableColumn( oDec.k("edit_ssar_queues_code"), 1, "100", SmartTable.SORT_TEXT_CI );
      T.addColumn( oDec.k("edit_ssar_queues_assigned"),  3, "50", new CheckBoxDecor( "a" ) );
      T.addSortableColumn( oDec.k("edit_record_description"), 0, "200", SmartTable.SORT_TEXT_CI );
      T.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped" );
      out.println( T.render() );
  %>
  <div class="L-row L-justify-spacebetween">
    <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_backtoallqueues") , true, "", "qm_cfg2_queues_list", "E", "Q-button-tertiary" ) %>
    <%= oH.button( oDec.k("edit_record_save"), true, "", "qm_cfg2_queues_ssar_agents_save", "") %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%

%>
