<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    final String stVerbPrefix = "qm_cfg2_reports_export";
    final String stTabPrefix  = "TABREPORTS_EXPORT";
    String stWidth       = "" ;
    String stWidthShort  = "" ;
%>

<script >
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
        setFocus( "TABREPORTS_EXPORT_nome" );
}
</script>


<div class="qm-form-body L-column L-gap-24">
  <div class="L-row L-justify-spacebetween">
    <h2><%= oDec.k("edit_record_export_title") %></h2>
    <!------------ Not editable items ---------------->
    <%= LowayHtml.sysFields( oC, oDec, "TABREPORTS_EXPORT", "id" ) %>
    
  </div>

  <div class="L-row L-gap-16">
    <div class="L-column L-gap-8 L-width-25">
      <label for="TABREPORTS_EXPORT_name"><%= oDec.k("edit_record_export_titlefield") %></label>
      <div><%= oH.textBox( "TABREPORTS_EXPORT_name", true, stWidth, 50 ) %></div>
    </div>
    <%--
        <label for="TABREPORTS_EXPORT_period"><%= oDec.k("edit_record_export_period") %></label>
        <div><%= oH.combo( "TABREPORTS_EXPORT_period", true, stWidth, oC.getLt( "DATI_report_export_periods" ), 0, 1, "" ) %></div>

        <label for="TABREPORTS_EXPORT_queue_id"><%= oDec.k("edit_record_export_queue") %></label>
        <div><%= oH.combo( "TABREPORTS_EXPORT_queue_id", true, stWidth, FA.filterSelectableQueues(oU, oC.getLt( "DATI_code" )), 2, 0, "" ) %></div>
    --%>

    <div class="L-column L-gap-8 L-width-25">
      <label for="TABREPORTS_EXPORT_report_id"><%= oDec.k("edit_record_export_reportname") %></label>
      <div><%= oH.combo( "TABREPORTS_EXPORT_report_id", true, stWidth, oC.getLt( "DATI_dynpages_qmreports" ), 0, 1, "" ) %></div>
    </div>

    <div class="L-column L-gap-8 L-width-25">
      <label for="TABREPORTS_EXPORT_export_type"><%= oDec.k("edit_record_export_reporttype") %></label>
      <div><%= oH.combo( "TABREPORTS_EXPORT_export_type", true, stWidth, oC.getLt( "DATI_report_export_type" ), 0, 1, "" ) %></div>
    </div>
  </div>

  <div class="L-row L-gap-16 L-align-flexstart">
    <div class="L-column L-gap-8 L-width-25">
      <label for="TABREPORTS_EXPORT_orientation"><%= oDec.k("edit_record_export_orientation") %></label>
      <div><%= oH.combo( "TABREPORTS_EXPORT_orientation", true, stWidth, oC.getLt( "DATI_report_export_orientation" ), 0, 1, "" ) %></div>
    </div>

    <div class="L-column L-gap-8 L-width-25">
      <label for="TABREPORTS_EXPORT_security_key"><%= oDec.k("edit_record_export_visibility") %></label>
      <div><%= oH.textBox( "TABREPORTS_EXPORT_security_key", true, stWidth, 500 ) %></div>
    </div>

    <div class="L-column L-gap-8 L-width-25">
      <label for="TABREPORTS_EXPORT_email_list"><%= oDec.k("edit_record_export_emails") %>
      <div><%= oH.textArea( "TABREPORTS_EXPORT_email_list", true, stWidth + "; height: 60px;", 500 ) %></div>
      <small class="L-tertiary-text">Separate with '|'</small></label>
    </div>
  </div>

  <div class="L-row L-justify-spacebetween">
      <%= oH.iconButton( "<span loway-icon='chevron-left'></span>"+oDec.k("edit_record_back"), true, "", stVerbPrefix + "_list", "", "Q-button-tertiary") %>
      <div class="L-row L-gap-16">
          <%= oH.button( oDec.k("edit_record_new"), (oC.getI("TABREPORTS_EXPORT_id") > 0 ), "", stVerbPrefix + "_edit", "N", "Q-button-secondary") %>
          <%= oH.button( oDec.k("edit_record_clone"), (oC.getI("TABREPORTS_EXPORT_id") > 0 ), "", stVerbPrefix + "_edit", "C", "Q-button-secondary") %>
          <%= oH.buttonScript( oDec.k("edit_record_delete"), (oC.getI("TABREPORTS_EXPORT_id") > 0 ), "", "deleteSingleRecord('"+stVerbPrefix+"','"+oC.getS("TABREPORTS_EXPORT_name")+"','"+oC.getS("TABREPORTS_EXPORT_id")+"')", "Q-button-secondary") %>
      </div>
      <%= oH.button( oDec.k("edit_record_save"), true, "", stVerbPrefix + "_edit", "S" ) %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>
