<%@ page language="java" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.cfg2.PtButtonModificaDecor"%>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.transaction.db.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="ch.loway.app.queuemetrics.newSmartTableDecorators.divInCellDecor" %>
<%@ page import="ch.loway.app.queuemetrics.newSmartTableDecorators.EllipsisDecor" %>

<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
        String pageBundle = AssetManager.basicBundle(session, application, request);

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes
    //oDec.load( "ricerchePubbliche", "ricerchePubbliche.txt", 0, 1 );

    final String stVerbPrefix = "qm_cfg2_users";
    final String stTabPrefix  = "TABUSERS";
    //--------------------------------------------------------------
    
    class selectDecor implements TpfCellDecoratorInterface {
            public selectDecor() { };
            public String decorate(LTable lt, int r, int c, String width) throws TechException {
                String stTesto = lt.getS(r, c );
                return "  <td class='stData'  style='width:' " + width + ";'>" +"  <input type='checkbox'  name ='cb' value='"+lt.getS(r, c )+"'></input>" + "</td>\n";
            }
    };

class yesNoDecor implements TpfCellDecoratorInterface {
		String stYes = "";
		String stNo  = "";
		public yesNoDecor( String Y, String N ) { stYes = Y; stNo = N; };

		public String decorate(LTable lt, int r, int c, String width) throws TechException {
		    String stTesto = lt.getS(r, c );
		    String stH = "";

		    if ( stTesto.equalsIgnoreCase("0") ) {
		    	stH = stNo;
		    } else {
		    	stH = stYes;
		    }

		    return  "  <td class='smart' style='width: " + width + ";'>" + stH + "</td>\n";
		}
	};

%>

<script defer>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "<%= stVerbPrefix %>_list";
	document.forms[0].<%= K.REQ_PARAM %>.value = "WithQuery";

  //setFocus( "<%= PagedTransactor.getQueryField( stTabPrefix ) %>" );
}

var page_enableAdminSearch = true;
var setFocusPath = "<%= PagedTransactor.getQueryField( stTabPrefix ) %>";
var stVerbPrefix = "<%=stVerbPrefix%>";

</script>


<div class="qm-form-body">
  <div class="L-column L-gap-24">
    <h2><%=oDec.k("edit_users_title")%></h2>
    <div class="qm-editor-search">
      <%-- search line --%>
      <%@ include file="/includes/qm_adm/20_qm_adm_searchbox.jspf" %>
      <%-- buttons --%>
      <div class="qm-editor-button">
        <div> <%= oH.button( oDec.k("editor_create_new"), true, "", stVerbPrefix + "_edit", "N", "Q-button-primary") %> </div>
        <div> <%= oH.buttonScript( oDec.k("editor_delete_selected"), true, "", "deleteSelected('"+stVerbPrefix+"')", "Q-button-secondary") %> </div>
        <%= oH.iconButton( oDec.k("editor_show_classes") + "<span loway-icon='chevron-right'></span>", true, "", "qm_cfg2_classes_list", "", "Q-button-tertiary") %>
      </div>
    </div>

    <%
        SmartTableTransactor s2 = null;

    //    LTable ltRisultato = PagedTransactor.getDataList( oC, stTabPrefix );
    //    SmartTable stT = new SmartTable( stTabPrefix, ltRisultato );
        SmartTableTransactor stT = new SmartTableTransactor( oC, stTabPrefix, stVerbPrefix + "_list",
        it.loway.app.queuemetrics.configurazione.cfg2.ptUsers.SORTINGS );

        stT.addColumn( "<input type='checkbox' onclick='selectAll(this);'></input>" ,  0 , "30px", new selectDecor( ) );
        stT.addColumn( oDec.k("edit_users_login"),       1   , "150px" , "login"  );
        stT.addColumn( oDec.k("edit_users_real_name"),   2   , "200px" , "rname"  );
        stT.addColumn( oDec.k("edit_users_email"),       8   , "150px" , "email"  );
        stT.addColumn( oDec.k("edit_users_enabled"),     3  , "50px" , "abilit", new yesNoDecor( "Yes", "No" )  );
        stT.addColumn( oDec.k("edit_users_master_key"),   7  , "50px" , "mastkey", new yesNoDecor( "Yes", "No" )  );
        stT.addColumn( oDec.k("edit_users_class"),       6  , "100px", "nclasse"   );
        stT.addColumn( oDec.k("edit_users_user_keys"),   5  , "200px", "chiavi", new EllipsisDecor("ellipsis")     );
        stT.addColumn( "&nbsp;",  0 , "20px", new PtButtonModificaDecor( oH, stVerbPrefix )   );

        if (stT.getNRigheTotaliQuery() > 0) { %>

        <%@ include file="/includes/qm_adm/11_qm_adm_loway_pagination.jspf" %>  <% } %>
    <%
        if ( stT.numRows() > 0 ) {

            //stT.withCaption( );
            stT.withTableClass( "qm-table Q-table Q-table-divider qm-table-striped L-width-100" );
            out.println( stT.render() );
        }
        if ( stT.getNRigheTotaliQuery() == 0 ) {
    %>
        <%@ include file="/includes/qm_adm/30_qm_adm_noresultsbox.jspf" %>
    <%
        } else { // ci sono righe
    %>
        <%@ include file="/includes/qm_adm/10_qm_adm_pagination_buttons.jspf" %>
    <%
        };
    %>
  </div>
</div>

<%@ include file="/includes/00_page_footer.jspf" %>

<%
//
%>
