<%@ page language="java" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="it.loway.app.queuemetrics._tpf_staging.Htmx" %>
<%@ page import="it.loway.tpf.presentation.html.SmartTable" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.MonospaceDecorator" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.MonospacePasswordDecorator" %>
<%@ page import="it.loway.tpf.common.containers.LTable" %>

<%
{
  it.loway.tpf.common.containers.LDecoder oD = Htmx.oDec(request);
  LTable ltHistory = Htmx.getLt( request, "item_ltt_history" );
%>

<div id="div_current_properties" class="L-column L-gap-16">
  <h3 style="word-break: break-word; overflow-wrap: break-word;">
    <%= Htmx.getS(request, "item" ) %>
  </h3>
  <div class="L-column L-gap-32">
    <div class="L-column L-gap-8">
      <div class="L-grid" style="word-break: break-word; overflow-wrap: break-word;">
        <div class="L-tertiary-text L-text-nowrap">
          <%= oD.k("cfgprops_col_value") %>:
        </div>
        <div class='Q-monospaced-text' style="word-break: break-all;">
          <%= Htmx.getS(request, "item_value" ) %>
        </div>
      </div>

      <div class="L-grid" style="word-break: break-word; overflow-wrap: break-word;">
        <div class="L-tertiary-text L-text-nowrap">
          <%= oD.k("cfgprops_col_comment") %>:
        </div>
        <%= Htmx.getS( request, "item_comment" ) %>
      </div>

      <div class="L-grid" style="word-break: break-word; overflow-wrap: break-word;">
        <div class="L-tertiary-text L-text-nowrap">
          <%= oD.k("cfgprops_history_date") %>:
        </div> 
        <%= Htmx.getS( request, "user_info" ) %>
      </div>
    </div>

    <div class="L-column L-gap-4">
      <div class="L-row L-gap-8 L-tertiary-text L-justify-flexend L-font-14">
        <%= oD.k("cfgprops_history_previous") %>:
        <%= ltHistory.numRows() %>
      </div>

      <div class="qm-scrollbar" style="max-height: 320px;">
        <%
          if ( ltHistory.numRows() > 0 ) {
            SmartTable T = new SmartTable("tbl_current_properties", ltHistory);
            T.setDecoder(oD);
            T.addColumn( oD.k("cfgprops_history_date") , 2, "");
            T.addColumn( oD.k("cfgprops_history_value") , 0, "", new MonospaceDecorator());
            T.addColumn( oD.k("cfgprops_col_comment") , 1, "");

            T.withTableClass( "Q-table qm-table Q-table-small L-width-100 qm-table-striped" );
            out.println(T.render());
          }
        %>
      </div>
    </div>
  </div>
</div>

<%
}
%>