<%@ page language="java" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="it.loway.app.queuemetrics._tpf_staging.Htmx" %>
<%@ page import="it.loway.tpf.presentation.html.SmartTable" %>

<%
{
    it.loway.tpf.common.containers.LDecoder oDec = Htmx.oDec(request);
%>

	<div id="content"
	     _="on load showMyModal()"
	     class="qm-modal-dialog L-border-radius-2 L-column L-gap-24">

		<h3 class="L-title"><%= oDec.k("cfgprops_title") %></h3>


		<div id="fakeform"
		     class="L-column L-gap-24"
		    <%= Htmx.hxPostWithVals("qm_props_editor", "SAVE",
		        request, "$ED_text", "$ED_comment") %>
		    hx-trigger="click from:#saveButton">
			<div>
				<textarea 
          name="ED_text"
          class="Q-monospaced-text"
          rows="8"
          placeholder="<%= oDec.k("cfgprops_input") %>"
        ><%= Htmx.getS(request, "text" ) %></textarea>
			</div>

			<div>
        <input 
          name="ED_comment" 
          class="qm-input"
          placeholder="<%= oDec.k("cfgprops_comment") %>">
      </div>

      <div class="L-row L-justify-spacebetween">
        <button
          id="cancelButton"
          type="button"
          class="Q-button-tertiary"
          _="on click closePageModal()"
          >
          <%= oDec.k("editor_back") %>
        </button>

        <button 
          id="saveButton"
          type="button"
          name="<%= oDec.k("editor_save") %>"
          class="Q-button-primary"
          >
          <%=oDec.k("editor_save") %>
        </button>
      </div>
    </div>

    <div class="L-tertiary-text">
      <small><%= oDec.k("cfgprops_notice") %></small>
    </div>

	</div>


<%
    };
%>