<%@ page language="java" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="it.loway.app.queuemetrics._tpf_staging.Htmx" %>
<%@ page import="it.loway.tpf.presentation.html.SmartTable" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.MonospaceDecorator" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.MonospacePasswordDecorator" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.ScrollDecorator" %>
<%@ page import="it.loway.app.queuemetrics.smartTableDecorators.rightAlignDecor" %>
<%@ page import="it.loway.tpf.common.containers.LTable" %>


<%
{
  it.loway.tpf.common.containers.LDecoder oD = Htmx.oDec(request);
  LTable ltProps = Htmx.getLt( request, "current_properties" );
%>


<div id="div_current_properties" class="L-column L-gap-16">
  <div class="L-tertiary-text">
    <%= oD.k("cfgprops_n_items") %>: <%= ltProps.numRows() %>
  </div>

  <%
      SmartTable T = new SmartTable("tbl_current_properties", ltProps);
      T.setDecoder(oD);
      T.addColumn( oD.k("cfgprops_col_name") , 0, "", new MonospaceDecorator());
      T.addColumn( oD.k("cfgprops_col_value") , 1, "", new MonospacePasswordDecorator());
      T.addColumn( oD.k("cfgprops_col_comment") , 2, "", new ScrollDecorator());
      T.addColumn("", 3, "", new rightAlignDecor());

      T.withTableClass( "Q-table qm-table Q-table-small L-width-100 qm-table-striped" );
      out.println(T.render());
  %>
</div>


<%
}
%>