<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%
    // BUNDLES SPECIFICI PER LA PAGINA. VENGONO IMPORTATI IN PAGINA DA 00_page_header.jsp
		String pageBundle = AssetManager.basicBundle(session, application, request);
%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    //$Id: users_page.jsp,v 1.3 2015/09/28 08:41:15 marcos Exp $
    //
   ////////////////////DECORATORS/////////////////////////////////////
%>

<%
  LTable availableThemes = oC.getLt("THEME_themes");
%>



<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>


<script>

    $(document).ready(function() {
        doOnLoad( <%= oC.getI( "WEB_DisableBackHistory" ) %>, "<%= stErr %>");
    });

    function writeTheme() {
        var theme = document.getElementById("THEME_selected_theme").value;
        setCookie('theme',theme,99999);
        location.reload();
    }

</script>


<div class="qm-form-body L-column L-gap-24">
	<h1><%= oDec.k("userpage_title") %></h1>
	<div class="L-row L-gap-32 L-align-flexstart">
		<div class="left L-width-100 L-column L-gap-24">
		  <div class="L-grid">
				<div class="L-column L-gap-4">
					<label><%= oDec.k("userpage_login") %></label>
					<span class="font-weight-500"><%= oU.getLogin() %></span>
				</div>

				<div class="L-column L-gap-4">	
					<label><%= oDec.k("userpage_name") %></label>
					<span class="font-weight-500"><%= oU.getRealName() %></span>
				</div>
				
				<div class="L-column L-gap-4">	
					<label><%= oDec.k("userpage_class") %></label>
					<span class="font-weight-500"><%= oU.getNomeClasse() %></span>
				</div>	

				<div class="L-column L-gap-4">	
					<label><%= oDec.k("userpage_number_logons") %></label>
					<span class="font-weight-500"><%= oU.getNLogon() %></span>
				</div>	

				<div class="L-column L-gap-4">	
					<label><%= oDec.k("userpage_last_changed") %></label>
					<span class="font-weight-500"><%= oU.getSysDtModifica() %></span>
				</div>
		  </div>

      <hr />

      <% if (oU.hasKey( "CHPASSWD") ) { %>
      <div class="L-row">
        <div class="L-column L-gap-24 L-width-100">
          <h3><%= oDec.k("userpage_change_theme") %></h3>
          <div class="L-gap-16 L-align-center L-width-50">
            <div class="L-column L-gap-8 L-flex-2">
              <%= oH.combo("THEME_selected_theme", true, "", availableThemes, 0, 1, NoCache.getCurrentTheme(request, oC)) %>
            </div>
            <div class="L-flex-1">
              <%= oH.buttonScript( oDec.k("userpage_change_button"), true, "", "writeTheme()") %>
            </div>
          </div>
        </div>
      </div>

      <% }; %>
		</div>
	
		<% if (oU.hasKey( "CHPASSWD") ) { %>
		<div class="right L-width-100">
			<div class="L-column L-gap-24 L-width-100">
				<h3><%= oDec.k("userpage_change_password") %></h3>

				<div class="L-column L-gap-16">
					<div class="L-column L-gap-8 L-width-50">
						<label> <%= oDec.k("userpage_old_password") %> </label>
						<%= oH.password( "USRPASS_oldp", true, "", 30 ) %>
					</div>
					
					<div class="L-column L-gap-8 L-width-50">
						<label> <%= oDec.k("userpage_new_password") %> </label>
						<%= oH.password( "USRPASS_newp1", true, "", 30) %>
					</div>
					
					<div class="L-column L-gap-8 L-width-50">
						<label> <%= oDec.k("userpage_retype") %> </label>
						<%= oH.password( "USRPASS_newp2", true, "", 30) %>
					</div>

					<div class="">
						<%= oH.button( oDec.k("userpage_change_button"), true, "", "qm_user_change_password", "") %>
					</div>
				</div>
			</div>
		</div>
		<% }; %>
	</div>
</div>

</div>
<%@ include file="/includes/00_page_footer.jspf" %>